<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_admin', 'adminpage_title_pn_admin');
function adminpage_title_pn_admin(){
	_e('Admin panel','pn');
}

/* настройки */
add_action('adminpage_content_pn_admin','def_adminpage_content_pn_admin');
function def_adminpage_content_pn_admin(){
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Widgets on the main','pn'), __('Save','pn'));
					
				$widgets = array(
					'w0' => __('Hide Welcome Panel','pn'),
					'w1' => __('Hide At a glance','pn'),
					'w2' => __('Hide Activity','pn'),
					'w3' => __('Hide Quick Draft','pn'),
					'w4' => __('Hide WordPress News','pn'),
					'w5' => __('Hide Recent Comments','pn'),
					'w6' => __('Hide Incoming links','pn'),
					'w7' => __('Hide Plugins','pn'),
					'w8' => __('Hide Recent Drafts','pn'),
				);
					
				foreach($widgets as $key => $title){
					pn_select($title, $key, array('0'=>__('No','pn'), '1'=>__('Yes','pn')), get_change('admin', $key));
				}
				
				pn_h3('', __('Save','pn'));
					
			?>
		</table>
	</form>
		
</div>		
<?php
}

/* обработка */
add_action('myaction_post_pn_admin','def_myaction_post_pn_admin');
function def_myaction_post_pn_admin(){
global $wpdb;	

	only_post();

	if(current_user_can('administrator')){
		
		$widgets = array(
			'w0' => __('Hide Welcome Panel','pn'),
			'w1' => __('Hide At a glance','pn'),
			'w2' => __('Hide Activity','pn'),
			'w3' => __('Hide Quick Draft','pn'),
			'w4' => __('Hide WordPress News','pn'),
			'w5' => __('Hide Recent Comments','pn'),
			'w6' => __('Hide Incoming links','pn'),
			'w7' => __('Hide Plugins','pn'),
			'w8' => __('Hide Recent Drafts','pn'),
		);

		foreach($widgets as $key => $title){
			update_change('admin',$key,intval(is_param_post($key)));
		}
				
		$url = admin_url('admin.php?page=pn_admin&reply=true');
		wp_redirect($url);
		exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


/* скрываем ненужные вещи */
add_filter( 'admin_footer_text', '__return_false' );

if(get_change('admin', 'w0') == 1){
	remove_action( 'welcome_panel', 'wp_welcome_panel' );
}

add_action('wp_dashboard_setup', 'pn_remove_dashboard_widgets' );
function pn_remove_dashboard_widgets() {

	if(get_change('admin','w1') == 1){
		remove_meta_box('dashboard_right_now', 'dashboard', 'normal'); 
	}
	if(get_change('admin','w2') == 1){
		remove_meta_box('dashboard_activity', 'dashboard', 'normal'); 
	}	
	if(get_change('admin','w3') == 1){
		remove_meta_box('dashboard_quick_press', 'dashboard', 'side'); 
	}	
	if(get_change('admin','w4') == 1){
		remove_meta_box('dashboard_primary', 'dashboard', 'side'); 
	}	
	if(get_change('admin','w5') == 1){
		remove_meta_box('dashboard_recent_comments', 'dashboard', 'normal');
	}
	if(get_change('admin','w6') == 1){
		remove_meta_box('dashboard_incoming_links', 'dashboard', 'normal');
	}
	if(get_change('admin','w7') == 1){
		remove_meta_box('dashboard_plugins', 'dashboard', 'normal');
	}	
	if(get_change('admin','w8') == 1){
		remove_meta_box('dashboard_recent_drafts', 'dashboard', 'side');
	}
	
	remove_meta_box('dashboard_secondary', 'dashboard', 'side');
	
}

add_filter( 'gettext', 'pn_remove_howdy', 10, 3 );
function pn_remove_howdy( $translation, $text, $domain ) {
	if ( $text == 'Howdy, %1$s' ){
		return '%1$s';
	}
	
		return $translation;
}

add_action( 'widgets_init', 'pn_remove_default_widget' );
function pn_remove_default_widget() {
    unregister_widget('WP_Widget_RSS');
	unregister_widget('WP_Widget_Calendar');
	unregister_widget('WP_Widget_Tag_Cloud');		
	unregister_widget('WP_Nav_Menu_Widget');
    unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Pages');
	unregister_widget('WP_Widget_Archives');		
	unregister_widget('WP_Widget_Meta');	
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Categories');
	unregister_widget('WP_Widget_Recent_Comments');	
	/* unregister_widget('WP_Widget_Text'); */
}

add_action( 'admin_menu', 'pn_remove_meta_boxes' );
function pn_remove_meta_boxes() {

	remove_meta_box('trackbacksdiv', 'post', 'normal');
	remove_meta_box('postcustom', 'post', 'normal');
	remove_meta_box('trackbacksdiv', 'page', 'normal');
	remove_meta_box('postcustom', 'page', 'normal');	

}

if ( !function_exists('wp_new_user_notification') ) :
	function wp_new_user_notification($user_id, $plaintext_pass = '') {

	    $user = new WP_User($user_id);

	    $user_login = stripslashes($user->user_login);
	    $user_email = stripslashes($user->user_email);

	    $blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);

	    $message  = sprintf(__('New user registration on your blog %s:'), $blogname) . "\r\n\r\n";
	    $message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
	    $message .= sprintf(__('E-mail: %s'), $user_email) . "\r\n";

	    if ( empty($plaintext_pass) ){
	        return;
		}			

	    $message  = sprintf(__('Username: %s'), $user_login) . "\r\n";
	    $message .= sprintf(__('Password: %s'), $plaintext_pass) . "\r\n";
	    $message .= wp_login_url() . "\r\n";

	    wp_mail($user_email, sprintf(__('[%s] Your username and password'), $blogname), $message);
	}
endif;

remove_action( 'wp_head', 'wp_generator' );

foreach ( array( 'rss2_head', 'commentsrss2_head', 'rss_head', 'rdf_header', 'atom_head', 'comments_atom_head', 'opml_head', 'app_head' ) as $action ) {
	remove_action( $action, 'the_generator' );
}

remove_action( 'wp_head', 'rsd_link');
remove_action( 'wp_head', 'wlwmanifest_link');

add_action('wp_before_admin_bar_render', 'pn_admin_bar_links');
function pn_admin_bar_links() {
    global $wp_admin_bar;

    $wp_admin_bar->remove_menu('wp-logo'); 
	$wp_admin_bar->remove_menu('new-media');
	$wp_admin_bar->remove_menu('new-link');
	$wp_admin_bar->remove_menu('themes');
	$wp_admin_bar->remove_menu('search');
	$wp_admin_bar->remove_menu('customize');
	$wp_admin_bar->remove_menu('comments');
	
}

add_action('admin_menu', 'pn_remove_menus');
function pn_remove_menus(){
	global $menu;

	$r=0;

	$restricted = array();
	$restricted[] = __('Comments');

	end($menu);
	 
	while(prev($menu)){
		$value = explode(' ',$menu[key($menu)][0]);
		if(in_array($value[0] != NULL?$value[0]:"" , $restricted)){
			unset($menu[key($menu)]);
		}
	}
}

add_filter('the_content', 'do_shortcode', 11);		
add_filter('comment_text', 'do_shortcode', 11);

add_action( 'parse_query', 'pn_search_turn_off' );
function pn_search_turn_off( $q, $e = true ) {
	if ( is_search() ) {
		$q->is_search = false;
		$q->query_vars['s'] = false;
		$q->query['s'] = false;	
		if ( $e == true ){
			$q->is_404 = true;
		}
	}
}

add_filter( 'get_search_form', 'def_get_search_form');
function def_get_search_form(){
	return null;
}

/* login form */
add_filter('login_headerurl', 'def_login_headerurl' );
function def_login_headerurl($login_header_url){
	
	$login_header_url = 'http://best-curs.info/product/skript-obmennogo-punkta-exchangebox/';
	
	return $login_header_url;
}
add_filter('login_headertitle', 'def_login_headertitle' );
function def_login_headertitle($login_header_title){
	
	$login_header_title = 'ExchangeBox';
	
	return $login_header_title;
}

add_action('login_head','def_login_head');
function def_login_head(){
?>
<style>
.login h1 a {
height: 104px;
width: 104px;
background: url(<?php echo PN_PLUGIN_URL; ?>/images/admin-logo.png) no-repeat center center;	
}
</style>
<?php
}
/* end login form */

?>