<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_add_cfc', 'adminpage_title_pn_add_cfc');
function adminpage_title_pn_add_cfc(){
	$id = intval(is_param_get('item_id'));
	if($id){
		_e('Edit custom field','pn');
	} else {
		_e('Add custom field','pn');
	}
}

add_action('adminpage_content_pn_add_cfc','def_adminpage_content_pn_add_cfc');
function def_adminpage_content_pn_add_cfc(){
global $wpdb;

	$id = intval(is_param_get('item_id'));
	$data_id = 0;
	$data = '';
	 
	if($id){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."custom_fields_valut WHERE id='$id'");
		if(isset($data->id)){
			$data_id = $data->id;
		}	
	}

	if($data_id){
		$title = __('Edit custom field','pn');
	} else {
		$title = __('Add custom field','pn');
	}
	
	$valuts = array();
	$valuts[0] = __('No item','pn');
	$items = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts ORDER BY vname ASC");		  
	foreach($items as $item){
		$valuts[$item->id] = pn_strip_input($item->vname .' '. $item->vtype);
	}	
?>	

<div style="margin: 0 0 10px 0;">

	<a href="<?php echo admin_url('admin.php?page=pn_cfc');?>" class="button"><?php _e('Back to list','pn'); ?></a>
	<?php if($data_id){ ?>
		<a href="<?php echo admin_url('admin.php?page=pn_add_cfc');?>" class="button"><?php _e('Add new','pn'); ?></a>
	<?php } ?>

</div>

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="data_id" value="<?php echo $data_id; ?>" />
		
		<table class="premium_standart_table">
			<?php
				pn_h3($title, __('Save','pn'));
						
				pn_inputbig(__('Custom field title','pn'), 'cf_name' , is_isset($data, 'cf_name'));
				
				pn_select(__('Currency title','pn'), 'valut_id', $valuts, is_isset($data, 'valut_id'));	
				
				pn_select(__('Display field','pn'), 'place_id', array('0'=> __('always','pn'), '1'=> __('give','pn'), '2'=> __('get','pn')),  is_isset($data, 'place_id'));
				pn_select(__('Visibility in the application','pn'), 'cf_hidden', array('0'=>__('open data','pn'),'1'=>__('hidden data','pn'),'2'=>__('first 4 characters','pn'),'3'=>__('last 4 characters','pn'),'4'=>__('first 4 characters and last 4 characters','pn')),  is_isset($data, 'cf_hidden'));
				
				pn_line();
				
				pn_select(__('Custom field type','pn'), 'vid', array('0'=> __('Text input','pn'), '1'=> __('Select','pn')),  is_isset($data, 'vid'));
				
				
				$vid = intval(is_isset($data, 'vid'));
				if($vid == 0){
					$cl1 = '';
					$cl2 = 'mhide';
				} else {
					$cl1 = 'mhide';
					$cl2 = '';			
				}
								
				pn_input(__('Min. number of symbols','pn'), 'minzn', is_isset($data, 'minzn'), 'thevib thevib0 '.$cl1);
				pn_input(__('Max. number of symbols','pn'), 'maxzn', is_isset($data, 'maxzn'), 'thevib thevib0 '.$cl1);
				pn_input(__('First symbols','pn'), 'firstzn', is_isset($data, 'firstzn'), 'thevib thevib0 '.$cl1);
				pn_help(__('More info','pn'), __('Checking the first symbols when a customer fills out a field.','pn'), 'thevib thevib0 '.$cl1);
				
				pn_select(__('Required field?','pn'), 'cf_req', array('1'=>__('Yes','pn'),'0'=>__('No','pn')),  is_isset($data, 'cf_req'), 'thevib thevib0 '.$cl1);
				pn_textarea(__('Tips on filling','pn'), 'helps', is_isset($data, 'helps'), '100%', '100px', 'thevib thevib0 '.$cl1);

				pn_textarea(__('Options (on a new line)','pn'), 'datas', is_isset($data, 'datas'), '', '200px', 'thevib thevib1 '.$cl2);				

				pn_select(__('Status','pn'), 'status', array('1'=>__('active field','pn'),'0'=>__('not active field','pn')),  is_isset($data, 'status'));
				
				do_action('pn_cfc_addform', $data); 
				
				pn_h3('', __('Save','pn'));
			?>
		</table>
	</form>		
</div>	

<script type="text/javascript">
$(function(){
	$('#pn_vid').live('change', function(){
		var id = $(this).val();
		$('.thevib').hide();
		$('.thevib' + id).show();
		
		return false;
	});
});
</script>	
<?php
} 

/* обработка формы */
add_action('myaction_post_pn_add_cfc','def_myaction_post_pn_add_cfc');
function def_myaction_post_pn_add_cfc(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$data_id = intval(is_param_post('data_id'));
			$array = array();
			$array['cf_name'] = pn_strip_input(is_param_post('cf_name'));
			$array['place_id'] = intval(is_param_post('place_id'));	
			$array['valut_id'] = intval(is_param_post('valut_id'));				
			$array['vid'] = intval(is_param_post('vid'));
			$array['cf_hidden'] = intval(is_param_post('cf_hidden'));
			if($array['vid'] == 0){
			
				$array['cf_req'] = intval(is_param_post('cf_req'));		
				$array['minzn'] = intval(is_param_post('minzn'));
				$array['maxzn'] = intval(is_param_post('maxzn'));
				$array['helps'] = pn_strip_input(is_param_post('helps'));
				$array['firstzn'] = is_firstzn_value(is_param_post('firstzn'));
				$array['datas'] = '';
			
			} else {
				
				$array['cf_req'] = 0;		
				$array['minzn'] = 0;
				$array['maxzn'] = 0;
				$array['helps'] = '';
				$array['firstzn'] = '';	
				$array['datas'] = pn_strip_input(is_param_post('datas'));
				
			}
			
			$array['status'] = intval(is_param_post('status'));

			$array = apply_filters('pn_cfc_addform_post',$array);
			
			if($data_id){
				do_action('pn_cfc_edit_before', $data_id, $array);
				$wpdb->update($wpdb->prefix.'custom_fields_valut', $array, array('id'=>$data_id));
				do_action('pn_cfc_edit', $data_id, $array);
			} else {
				
				$wpdb->insert($wpdb->prefix.'custom_fields_valut', $array);
				$data_id = $wpdb->insert_id;	
				do_action('pn_cfc_add', $data_id, $array);
				
			}

			$url = admin_url('admin.php?page=pn_add_cfc&item_id='. $data_id .'&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}
/* end обработка формы */
?>