<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_config', 'adminpage_title_pn_config');
function adminpage_title_pn_config($page){

	_e('Exchanger settings','pn');

} 

/* настройки */
add_action('adminpage_content_pn_config','def_adminpage_content_pn_config');
function def_adminpage_content_pn_config(){
global $wpdb;
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Exchanger settings','pn'), __('Save','pn'));
					
				$row = $wpdb->get_row( "SELECT option_value FROM ". $wpdb->prefix ."options WHERE option_name = 'blogname'");	
				pn_inputbig(__('Site Title'), 'blogname', $row->option_value);
				
				$row = $wpdb->get_row( "SELECT option_value FROM ". $wpdb->prefix ."options WHERE option_name = 'blogdescription'");
				pn_inputbig(__('Tagline'), 'blogdescription', $row->option_value);				
					
				pn_select(__('Cron','pn'), 'cron', array('0'=>__('Always','pn'), '1'=>__('In a special file','pn')), get_change('cron'));
				pn_help(__('More info','pn'), __('If you are using server cron, then select "In a special file."','pn'));
				
				pn_select(__('Captcha admin panel','pn'), 'admincaptcha', array('0'=>__('No','pn'), '1'=>__('Yes','pn')), get_change('admincaptcha'));
				pn_help(__('More info','pn'), __('Captcha in admin panel for authorization, registration and password recovery.','pn'));
				
				pn_inputbig(__('Address of the admin panel','pn'), 'admin_panel_url', get_change('admin_panel_url'));
				pn_help(__('More info','pn'), __('New address to enter the admin panel. Use only letters and numbers. Be sure to remember the entered address!','pn'));
				
				do_action('pn_config_option');
				
				pn_h3('', __('Save','pn'));								
			?>
		</table>
	</form>
		
</div>		
<?php
} 

/* обработка */
add_action('myaction_post_pn_config','def_myaction_post_pn_config');
function def_myaction_post_pn_config(){
global $wpdb;	

	only_post();

	if(current_user_can('administrator')){
		
		$blogname = pn_strip_input(is_param_post('blogname'));
		update_option('blogname', $blogname);
			
		$blogdescription = pn_strip_input(is_param_post('blogdescription'));
		update_option('blogdescription', $blogdescription);			
	
		$options = array('cron','admincaptcha');		
		foreach($options as $key){
			update_change($key,'',intval(is_param_post($key)));
		}	
	
		$admin_panel_url = is_admin_newurl(is_param_post('admin_panel_url'));
		update_change('admin_panel_url','', $admin_panel_url);			
	
		do_action('pn_config_option_post');
	
		$url = admin_url('admin.php?page=pn_config&reply=true');
		wp_redirect($url);
		exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}
?>