<?php
if( !defined( 'ABSPATH')){ exit(); }
 
function is_enable_smsgate($id){
	$smsgate = get_option('smsgate');
	if(!is_array($smsgate)){ $smsgate = array(); }
	
	return intval(is_isset($smsgate,$id));
}

function is_enable_merchant($id){
	$merchants = get_option('merchants');
	if(!is_array($merchants)){ $merchants = array(); }
	
	return intval(is_isset($merchants,$id));
}

function get_text_pay($m_id,$item){
	if($m_id and isset($item->id)){
		$merch_data = get_option('merch_data');
		$data = is_isset($merch_data,$m_id);
		$text = trim(is_isset($data,'note'));
		
		$fio_arr = array($item->fname, $item->iname, $item->oname);
		$fio_arr = array_unique($fio_arr);
		$fio = pn_strip_input(join(' ',$fio_arr));
		
		$text = str_replace('[id]',$item->id,$text);
		$text = str_replace('[sum1]', pn_strip_input($item->summ1),$text);
		$text = str_replace('[valut1]', pn_strip_input($item->valut1 .' '. $item->valut1type),$text);	
		$text = str_replace('[sum2]',pn_strip_input($item->summz2),$text);
		$text = str_replace('[valut2]',pn_strip_input($item->valut2 .' '. $item->valut2type),$text);
		$text = str_replace('[account]',pn_strip_input($item->schet2),$text);
		$text = str_replace('[fio]',$fio,$text);	
		$text = str_replace('[ip]',pn_strip_input($item->userip),$text);
		$text = str_replace('[skype]',pn_strip_input($item->skype),$text);
		$text = str_replace('[phone]',pn_strip_input($item->tel),$text);
		$text = str_replace('[email]',pn_strip_input($item->email),$text);
		$text = str_replace('[passport]',pn_strip_input($item->pnomer),$text);
		
		return esc_attr($text);
	}
}

add_action('instruction_merchant','def_instruction_merchant',1,2);
function def_instruction_merchant($instruction,$m_id){
	
	if($m_id and is_enable_merchant($m_id)){
		
		$merch_data = get_option('merch_data');
		$data = is_isset($merch_data,$m_id); 
		$text = pn_strip_text(is_isset($data,'text'));
		
		return $text;
	}
	
	return $instruction;
}

function get_payment_id($arg){
	$id = intval(is_param_post($arg));
	if(!$id){ $id = intval(is_param_get($arg)); }
	return $id;
}


function the_merchant_bid_delete($id){
global $wpdb;
	$id = intval($id);	
	if($id){
		$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."bids WHERE id='$id' AND status='new'");
		if(isset($item->id)){		
			
			$hashed = pn_strip_input($item->hashed);
			$url = get_bids_url($hashed);
			wp_redirect($url);
			exit;		

		} else {
			the_warning(__('You have refused payment','pn'));
		}
	} else {
		the_warning(__('You have refused payment','pn'));
	}	
}

function the_merchant_bid_success($id){
global $wpdb;
	$id = intval($id);	
	if($id){
		$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."bids WHERE id='$id'");
		if(isset($item->id)){
			
			$hashed = pn_strip_input($item->hashed);
			$url = get_bids_url($hashed);
			wp_redirect($url);
			exit;		

		} else {
			the_warning(__('You have successfully paid','pn'),'true');
		}
	} else {
		the_warning(__('You have successfully paid','pn'),'true');
	}	
}

function the_merchant_bid_payed($id, $sum=0, $purse=''){
global $wpdb;

	$id = intval($id);
	if($id){
		$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."bids WHERE id='$id' AND status='new'");
		if(isset($item->id)){
			
			$purse = str_replace(' ','',pn_maxf(pn_strip_input($purse),500));
			$sum = is_my_money($sum);
			
			$id = $item->id;
			
			$account = str_replace(' ','',$item->schet1);
			
			if($account and $purse and $purse != $account){

				$wpdb->update($wpdb->prefix.'bids', array('status'=>'verify','editdate'=>current_time('mysql')), array('id'=>$item->id));
				do_action('change_bidstatus_verify', $item->id, $item, 'site');
				do_action('change_bidstatus_all', 'verify', $item->id, $item, 'site');				
				
			} else {

				$wpdb->update($wpdb->prefix.'bids', array('status'=>'realpay','editdate'=>current_time('mysql')), array('id'=>$item->id));
				do_action('change_bidstatus_realpay', $item->id, $item, 'site'); 
				do_action('change_bidstatus_all', 'realpay', $item->id, $item, 'site');
			
			}
			
			update_bids_meta($item->id, 'pay_sum', $sum);
			update_bids_meta($item->id, 'pay_ac', $purse);			
		
		}
	}
	
}

function get_data_merchant_for_id($id){
global $wpdb;	

    $id = intval($id);
	$array = array();
	$array['err'] = 0;
	$array['status'] = $array['summ'] = $array['valut'] = $array['vtype'] = $array['hashed'] = $array['m_id'] = '';
	
	if($id){
		$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."bids WHERE id='$id'");
		if(isset($item->id)){
			
			$array['err'] = 0;
			$array['status'] = $item->status; 
			$array['summ'] = $item->summ1;
			$array['valut'] = $array['vtype'] = $item->valut1type;
			$array['hashed'] = $item->hashed;
			
			$valut1i = $item->valut1i;
			$valut1 = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."valuts WHERE id='$valut1i'");
			if(isset($valut1->xzt)){
				if(is_enable_merchant($valut1->xzt)){
					$array['m_id'] = $valut1->xzt;
				}
			}
	
		} else {
			$array['err'] = 2;	
		}
	} else {
		$array['err'] = 1;
	}
	
	return $array;
}

pn_template('default/merchant/settings');
pn_template('default/merchant/instruction');
pn_template('default/merchant/smsgate');
pn_template('default/merchant/datasmsgate');