<?php
if( !defined( 'ABSPATH')){ exit(); }
	
add_filter('get_pn_parser','get_pn_parser_def');
function get_pn_parser_def($parsers){
	
	$parsers = array(
		'1' => array(
			'title' => 'USD - RUB',
			'birg' => 'CBR.RU',
		),
		'2' => array(
			'title' => 'RUB - USD',
			'birg' => 'CBR.RU',
		),
		'3' => array(
			'title' => 'EUR - RUB',
			'birg' => 'CBR.RU',
		),
		'4' => array(
			'title' => 'RUB - EUR',
			'birg' => 'CBR.RU',
		),
		'5' => array(
			'title' => 'UAH - RUB',
			'birg' => 'CBR.RU',
		),		
		'6' => array(
			'title' => 'RUB - UAH',
			'birg' => 'CBR.RU',
		),
		'7' => array(
			'title' => 'KZT - RUB',
			'birg' => 'CBR.RU',
		),
		'8' => array(
			'title' => 'AMD - RUB',
			'birg' => 'CBR.RU',
		),
		'9' => array(
			'title' => 'RUB - AMD',
			'birg' => 'CBR.RU',
		),
		'10' => array(
			'title' => 'BYR - RUB',
			'birg' => 'CBR.RU',
		),	
		/* *** */
		'51' => array(
			'title' => 'EUR - USD',
			'birg' => 'ECB.EU',
		),
		'52' => array(
			'title' => 'USD - EUR',
			'birg' => 'ECB.EU',
		),
		/* *** */
		'101' => array(
			'title' => 'USD - UAH',
			'birg' => 'PRIVATBANK.UA',
		),
		'102' => array(
			'title' => 'UAH - USD',
			'birg' => 'PRIVATBANK.UA',
		),
		'103' => array(
			'title' => 'EUR - UAH',
			'birg' => 'PRIVATBANK.UA',
		),
		'104' => array(
			'title' => 'UAH - EUR',
			'birg' => 'PRIVATBANK.UA',
		),	
		/* *** */
		'151' => array(
			'title' => 'USD - KZT',
			'birg' => 'NATIONALBANK.KZ',
		),
		'152' => array(
			'title' => 'KZT - USD',
			'birg' => 'NATIONALBANK.KZ',
		),		
		'153' => array(
			'title' => 'EUR - KZT',
			'birg' => 'NATIONALBANK.KZ',
		),
		'154' => array(
			'title' => 'KZT - EUR',
			'birg' => 'NATIONALBANK.KZ',
		),		
		'155' => array(
			'title' => 'RUB - KZT',
			'birg' => 'NATIONALBANK.KZ',
		),
		'156' => array(
			'title' => 'KZT - RUB',
			'birg' => 'NATIONALBANK.KZ',
		),		
		/* *** */
		'201' => array(
			'title' => 'USD - BYR',
			'birg' => 'NBRB.BY',
		),
		'202' => array(
			'title' => 'BYR - USD',
			'birg' => 'NBRB.BY',
		),
		'203' => array(
			'title' => 'EUR - BYR',
			'birg' => 'NBRB.BY',
		),
		'204' => array(
			'title' => 'BYR - EUR',
			'birg' => 'NBRB.BY',
		),
		'205' => array(
			'title' => 'RUB - BYR',
			'birg' => 'NBRB.BY',
		),	
	);

	return $parsers;
}

add_filter('enable_parser_list','def_enable_parser_list');
function def_enable_parser_list($list_parsers){
	
	$parsers = apply_filters('get_pn_parser', array());
	$work_parser = get_option('work_parser');
	if(!is_array($work_parser)){ $work_parser = array(); }
	
	if(is_array($parsers)){
		foreach($parsers as $key => $data){
			$work = intval(is_isset($work_parser,$key));
			if($work == 1){
			
				$list_parsers[$key] = is_isset($data, 'title').' ['. is_isset($data, 'birg') .']';
			
			}
		}
	}
	
	return $list_parsers;
}

pn_template('default/parser/cron');
pn_template('default/parser/parser');
pn_template('default/parser/work_parser');
