<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_work_parser', 'adminpage_title_pn_work_parser');
function adminpage_title_pn_work_parser(){
	
	_e('Work','pn');

}

add_action('adminpage_content_pn_work_parser','def_adminpage_content_pn_work_parser');
function def_adminpage_content_pn_work_parser(){
	
	$parsers = apply_filters('get_pn_parser', array());
	$work_parser = get_option('work_parser');
	if(!is_array($work_parser)){ $work_parser = array(); }
?>	

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				$lbirg = '';
				
 				if(is_array($parsers)){
					foreach($parsers as $key => $data){
						
						$birg = is_isset($data, 'birg');
						
						if($lbirg != $birg){
							pn_h3($birg, '');
							pn_line();
						}	

						$lbirg = $birg;
						
						$work = intval(is_isset($work_parser,$key));
						
						$info = '';
						if(PN_RICH_TEST == 'true'){
							$info = '['. $key . '] ';
						}
						pn_checkbox($info . is_isset($data, 'title'), $key, __('enabled parser','pn'), $work, 'parserchange_change');
					}
				}
			?>
		</table>
	</form>		
</div>	

<script type="text/javascript">	
$(function(){

	$('.parserchange_change input').live('change', function(){
		var id = $(this).attr('name');
		var wid = $(this).attr('checked');
		var nval = 0;
		if(wid == 'checked'){
			nval = 1;
		}
		var thet = $(this);
		thet.attr('disabled',true);
		
		$('#premium_ajax').show();
		var dataString='id=' + id + '&wid=' + nval;

        $.ajax({
			type: "POST",
			url: "<?php the_link_toajax('work_parser_save'); ?>",
			dataType: 'json',
			data: dataString,
			success: function(ht)
			{
				$('#premium_ajax').hide();	
				thet.attr('disabled',false);
			}
        });
	
        return false;
	});	
	
});
</script>	
<?php
}

add_action('myaction_post_work_parser_save', 'pn_myaction_post_work_parser_save');
function pn_myaction_post_work_parser_save(){
global $wpdb;

	only_post();
	
	if(current_user_can('administrator')){
		
		$id = intval(is_param_post('id'));
		$wid = intval(is_param_post('wid'));
		
		$work_parser = get_option('work_parser');
		if(!is_array($work_parser)){ $work_parser = array(); }
		
		$work_parser[$id] = $wid;
		
		update_option('work_parser', $work_parser);
			
	}  		
		
}
