<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/
add_action('adminpage_title_pn_payouts', 'adminpage_title_pn_payouts');
function adminpage_title_pn_payouts(){
	_e('Payments','pn');
} 

add_action('adminpage_content_pn_payouts','def_adminpage_content_pn_payouts');
function def_adminpage_content_pn_payouts(){

	if(class_exists('trev_payouts_List_Table')){
		$Table = new trev_payouts_List_Table();
		$Table->prepare_items();
		
		$mod = intval(is_param_get('mod'));
		$user_id = intval(is_param_get('user_id'));
?>

	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_payouts&user_id='.$user_id);?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_payouts&mod=1&user_id='.$user_id);?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('Applications waiting','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_payouts&mod=2&user_id='.$user_id);?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('Paid applications','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_payouts&mod=3&user_id='.$user_id);?>' <?php if($mod==3){?>class="current"<?php }?>><?php _e('Cancelled applications','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_payouts&mod=4&user_id='.$user_id);?>' <?php if($mod==4){?>class="current"<?php }?>><?php _e('User canceled','pn'); ?></a></li>
	</ul>

	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
} 


add_action('myaction_post_pn_payouts','def_myaction_post_pn_payouts');
function def_myaction_post_pn_payouts(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	

			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$mod = intval(is_param_post('mod'));
				if($mod){
					$ref .= '&mod='.$mod;
				}
				
				$user_id = intval(is_param_post('user_id'));
				if($user_id){
					$ref .= '&user_id='.$user_id;
				}
				
				$url = admin_url('admin.php?page=pn_payouts') . $ref . $reply;
				wp_redirect($url);
				exit;				
			
			} elseif(isset($_POST['xml'])){
								
				
				
			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action=='wait'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."payoutuser WHERE id='$id' AND bstatus != '0'");
							if(isset($item->id)){
								
								$wpdb->query("UPDATE ".$wpdb->prefix."payoutuser SET bstatus = '0' WHERE id = '$id'");
								update_valut_reserv($item->valsid);
								
							}
						}
					}
					if($action=='success'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."payoutuser WHERE id='$id' AND bstatus != '1'");
							if(isset($item->id)){
								
								$wpdb->query("UPDATE ".$wpdb->prefix."payoutuser SET bstatus = '1' WHERE id = '$id'");
								update_valut_reserv($item->valsid);
								
							}
						}	
					}
					if($action=='not'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."payoutuser WHERE id='$id' AND bstatus != '2'");
							if(isset($item->id)){
								
								$wpdb->query("UPDATE ".$wpdb->prefix."payoutuser SET bstatus = '2' WHERE id = '$id'");
								update_valut_reserv($item->valsid);
								
							}
						}
					}

					if($action=='delete'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."payoutuser WHERE id='$id'");
							if(isset($item->id)){
								
								$wpdb->query("DELETE FROM ".$wpdb->prefix."payoutuser WHERE id = '$id'");
								update_valut_reserv($item->valsid);
								
							}
						}
					}				
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;		
	
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}
 
class trev_payouts_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_payouts_column_col', $column_name,$item);
		
		if($column_name == 'cuser'){
			
		    $user_id = $item->userid;
		    $us = '<a href="'. admin_url('user-edit.php?user_id='. $user_id) .'">'. is_user($item->user_login) . '</a>';
			
		    return $us;	
			
		} elseif($column_name == 'cdate'){
			
		    return pn_strip_input($item->bdate);
			
		} elseif($column_name == 'cnum'){
			
		    return $item->id;
			
		} elseif($column_name == 'csum'){	
			
			return pn_strip_input($item->bsumm) .' '. cur_type();
			
		} elseif($column_name == 'cpurse'){
			
		    return pn_strip_input($item->schet);	
			
		} elseif($column_name == 'csys'){

		    $valuts = pn_strip_input($item->valuts);
			if(!$valuts){ $valuts = 'Webmoney'; }		
			return $valuts;
		
		} elseif($column_name == 'status'){
			$status = intval($item->bstatus);
            if($status == 0){
                $st = '<span>'. __('Application of waiting','pn') .'</span>';
            } elseif($status == 1){
                $st = '<span class="bgreen">'. __('Application is made','pn') .'</span>';
            } elseif($status == 2){
                $st = '<span class="bred">'. __('Application is rejected','pn') .'</span>';
            } elseif($status == 3){
				$st = '<span class="bred">'. __('Application canceled by the user','pn') .'</span>';
			}		
			return $st;
		}
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',  
			'cnum'     => __('ID','pn'),
			'cdate'     => __('Date','pn'),
			'cuser'    => __('User','pn'),
			'csum'    => __('Sum','pn'),
			'cpurse'  => __('Purse','pn'),
			'csys'  => __('System','pn'),
			'status'  => __('Status','pn'),
        );
		
		$columns = apply_filters('manage_restrict_payouts_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
			'wait'    => __('Make expected','pn'),
			'success'    => __('Make paid','pn'),
			'not'    => __('Make not paid','pn'),		
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
	
    function get_sortable_columns() {
        $sortable_columns = array( 
            'cdate'     => array('cdate',false),
			'csumm'     => array('csumm',false),
			'csys'     => array('csys',false),
        );
        return $sortable_columns;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_payouts_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;

		$oby = is_param_get('orderby');
		if($oby == 'cdate'){
		    $orderby = 'bdate';
		} elseif($oby == 'csumm'){
		    $orderby = '(bsumm -0.0)';
		} elseif($oby == 'csys'){		
		    $orderby = 'valuts';
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		if($order != 'asc'){ $order = 'desc'; }
		
		$where = '';
		$user_id = intval(is_param_get('user'));	
        if($user_id){ 
			$where .= " AND userid='$user_id'";
		}
		
        $mod = intval(is_param_get('mod'));
        if($mod==1){ 
            $where .= " AND bstatus = '0'";
		} elseif($mod==2) {
			$where .= " AND bstatus = '1'";
		} elseif($mod==3) {
			$where .= " AND bstatus = '2'";
		} elseif($mod==4) {
			$where .= " AND bstatus = '3'";			
		} 		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."payoutuser WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."payoutuser WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }	

	function extra_tablenav( $which ) {
	    global $wpdb;
		$users = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."users ORDER BY user_login");
?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$user_id = intval(is_param_get('user_id'));
?>
			<select name="user_id" autocomplete="off">
				<option value="0"><?php _e('All users','pn'); ?></option>
            <?php
            
				foreach($users as $user ){
					echo "\t<option value='" . $user->ID . "' " . selected($user_id, $user->ID, false ) . ">". is_user($user->user_login) ."</option>\n";
			    }
			?>
			</select>
			
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}
		
		echo '</div>';
	}	
	
} 


add_action('myscreen_pn_payouts','my_myscreen_pn_payouts');
function my_myscreen_pn_payouts() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_payouts_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_payouts_List_Table')){
		
		$myListTable = new trev_payouts_List_Table;
	
	}

}  
?>