<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/
add_action('adminpage_title_pn_plinks', 'adminpage_title_pn_plinks');
function adminpage_title_pn_plinks(){
	_e('Transitions','pn');
}

add_action('adminpage_content_pn_plinks','def_adminpage_content_pn_plinks');
function def_adminpage_content_pn_plinks(){

	if(class_exists('trev_plinks_List_Table')){
		$Table = new trev_plinks_List_Table();
		$Table->prepare_items();
		
		$suser = pn_strip_input(is_param_get('suser'));
		
?>
	<div class="premium_search">
	<form action="" method="get">
		<input type="search" name="suser" placeholder="<?php _e('User','pn'); ?>" value="<?php echo $suser; ?>" />

		<input type="hidden" name="page" value="pn_plinks" />
		<input type="submit" name="" class="button" value="<?php _e('Search','pn'); ?>"  />
		
		<?php if($suser){ ?>
			<a href="<?php echo admin_url('admin.php?page=pn_plinks');?>" class="button"><?php _e('Cancel','pn'); ?></a>
		<?php } ?>

	</form>	
	</div><div class="rclear"></div>

	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_plinks','def_myaction_post_pn_plinks');
function def_myaction_post_pn_plinks(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			if(isset($_POST['id']) and is_array($_POST['id'])){

				if($action == 'delete'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."plinks WHERE id='$id'");
						if(isset($item->id)){
							do_action('pn_plinks_delete_before', $id, $item);
							$wpdb->query("DELETE FROM ".$wpdb->prefix."plinks WHERE id = '$id'");
							do_action('pn_plinks_delete', $id, $item);
						}
					}
					
					$reply = '&reply=true';
					
				}

			} 
			
			$url = admin_url('admin.php?page=pn_plinks'. $reply);
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}
 
class trev_plinks_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_plinks_column_col', $column_name,$item);
		
		if($column_name == 'cuser'){
			
		    $user_id = $item->user_id;
		    $us = '';
			$user = is_user($item->user_login);
			if($user_id){ 
		        $us .='<a href="user-edit.php?user_id='. $user_id .'">';
				
				if(!$user){
					$ui = get_userdata($user_id);
					if(isset($ui->user_login)){
						$us .= $ui->user_login;
					}
				} else {
					$us .= $user;
				}
 
		        $us .='</a>';
		    } 
			
		    return $us;	
			
		} elseif($column_name == 'cdate'){
			
		    return pn_strip_input($item->pdate);
			
		} elseif($column_name == 'cbrowser'){
			
		    return get_browser_name($item->pbrowser);
			
		} elseif($column_name == 'cip'){	
			
			return pn_strip_input($item->pip);
			
		} elseif($column_name == 'cref'){
			
		    return pn_strip_input($item->prefer);	
			
		}
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',          
			'cdate'     => __('Date','pn'),
			'cuser'    => __('User','pn'),
			'cbrowser'    => __('Browser','pn'),
			'cip'  => __('IP','pn'),
			'cref'  => __('Referrer site','pn'),
        );
		
		$columns = apply_filters('manage_restrict_plinks_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_plinks_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;

		$where = '';
		$suser = str_replace('%','',pn_strip_input(is_param_get('suser')));
		if($suser){
			$where = " AND user_login LIKE '%$suser%'";
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."plinks WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."plinks WHERE id > 0 $where ORDER BY id DESC LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }	  
	
}


add_action('myscreen_pn_plinks','my_myscreen_pn_plinks');
function my_myscreen_pn_plinks() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_plinks_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_plinks_List_Table')){
		
		$myListTable = new trev_plinks_List_Table;
	
	}

} 
?>