<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/
add_action('adminpage_title_pn_preferals', 'adminpage_title_pn_preferals');
function adminpage_title_pn_preferals(){
	_e('Referals','pn');
}

add_action('adminpage_content_pn_preferals','def_adminpage_content_pn_preferals');
function def_adminpage_content_pn_preferals(){

	if(class_exists('trev_preferals_List_Table')){
		$Table = new trev_preferals_List_Table();
		$Table->prepare_items();
		
		$suser = pn_strip_input(is_param_get('suser'));
?>
	<div class="premium_search">
	<form action="" method="get">
		<input type="search" name="suser" placeholder="<?php _e('Referrer','pn'); ?>" value="<?php echo $suser; ?>" />

		<input type="hidden" name="page" value="pn_preferals" />
		<input type="submit" name="" class="button" value="<?php _e('Search','pn'); ?>"  />
		
		<?php if($suser){ ?>
			<a href="<?php echo admin_url('admin.php?page=pn_preferals');?>" class="button"><?php _e('Cancel','pn'); ?></a>
		<?php } ?>

	</form>	
	</div><div class="rclear"></div>

	<?php $Table->display() ?>

<?php 
	} else {
		echo 'Class not found';
	}
}


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}
 
class trev_preferals_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_preferals_column_col', $column_name,$item);
		
		if($column_name == 'cuser'){
			
			$user_id = $item->ID;
			$us = '';
			if($user_id > 0){
				$ui = get_userdata($user_id);
		        $us .='<a href="'. admin_url('user-edit.php?user_id='. $user_id) .'">';
				if(isset($ui->user_login)){
					$us .= is_user($ui->user_login); 
				}
		        $us .='</a>';
			}			
			
		    return $us;	
			
		} elseif($column_name == 'cref'){
	
			$user_id = $item->ref_id;
			$us = '';
			if($user_id > 0){
				$ui = get_userdata($user_id);
		        $us .='<a href="'. admin_url('user-edit.php?user_id='. $user_id) .'">';
				if(isset($ui->user_login)){
					$us .= is_user($ui->user_login); 
				}
		        $us .='</a>';
			}	
			
		    return $us;		
			
		}
		
    }	
	
    function get_columns(){
        $columns = array(          
			'cuser'    => __('User','pn'),
			'cref'    => __('Referrer','pn'),
        );
		
		$columns = apply_filters('manage_restrict_preferals_column', $columns);
		
        return $columns;
    }	
	

    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_preferals_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;

		$where = '';
		$suser = is_user(is_param_get('suser'));
		if($suser){
			$suser_id = username_exists($suser);
			$where = " AND ref_id='$suser_id'";
		}
		
		$total_items = $wpdb->query("SELECT ID FROM ". $wpdb->prefix ."users WHERE ref_id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."users WHERE ref_id > 0 $where ORDER BY ID DESC LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }	  
	
}


add_action('myscreen_pn_preferals','my_myscreen_pn_preferals');
function my_myscreen_pn_preferals() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_preferals_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_preferals_List_Table')){
		
		$myListTable = new trev_preferals_List_Table;
	
	}

} 
?>