<?php
if( !defined( 'ABSPATH')){ exit(); }

/* 
Данные о версии
*/
global $pn_has_new;
$pn_has_new = get_option('pn_version');

function pn_update_admin_init() {
	$file_dir = PN_PLUGIN_URL;
	    
	wp_enqueue_style('pn_update_style', $file_dir."default/update/update.css", false, "1.0");
	wp_enqueue_script("pn_update_js", $file_dir."default/update/js/updated.js", false, "1.0");	
}
add_action('admin_enqueue_scripts', 'pn_update_admin_init');

function pn_has_new(){
global $pn_version, $pn_has_new;

    if(isset($pn_has_new['version']) and $pn_has_new['version'] > $pn_version){
	    return true;
    } else {
	    return false;
	}
}

function pn_update_text(){
global $pn_has_new, $locale;

	if(isset($pn_has_new['text'])){
		return pn_strip_text($pn_has_new['text']);
	}
	
}

add_action('admin_footer','pn_update_footer');
function pn_update_footer(){ 
?>
	<div class="update_shadow"></div>
	<div class="update_window" id="pn_update_info">
		<div class="update_windowins" id="pn_update_infoins">
			<div class="update_window_close pn_update_close"></div>
			<div class="update_window_title"><?php _e('Updates','pn'); ?></div>
		
			<div class="update_windowcontent">
                <?php if(pn_has_new()){ 
					echo apply_filters('comment_text', pn_update_text());
				} else { ?>
					<?php _e('no updates :(','pn'); ?>
				<?php } ?>
			</div>			
		
		</div>
	</div>
<?php	
}

add_action('wp_before_admin_bar_render', 'pn_update_admin_bar');
function pn_update_admin_bar() {
global $wp_admin_bar, $wpdb;
	
    if(is_admin()){
	
	    if(pn_has_new()){
			$wp_admin_bar->add_menu( array(
				'id'     => 'new_pn_version',
				'href' => '#',
				'title'  => '<div style="height: 32px; width: 22px; background: url('. PN_PLUGIN_URL .'default/update/images/update.png) no-repeat center center"></div>',
				'meta' => array( 'title' => __('update available','pn'), 'class' => 'pn_version' )		
			));	
		}		
	
	}
	
}

 
function pn_chkv(){
global $or_site_url;	

	if( $curl = curl_init() ) {
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($curl, CURLOPT_URL, 'http://best-curs.info/update-exchangebox.xml');
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_HEADER, false);
		curl_setopt($curl, CURLOPT_REFERER, $or_site_url);
		curl_setopt($curl, CURLOPT_USERAGENT, 'Exchangebox');
		curl_setopt($curl, CURLOPT_TIMEOUT, 25);
		$err  = curl_errno($curl);
		$out = curl_exec($curl);
		curl_close($curl);
	    if(!$err){
	        if(is_string($out)){
			    if(strstr($out, '<?xml')){
		            $res = simplexml_load_string($out);
                        if(is_object($res)){

							$text = (string)$res->text;
							$version = (string)$res->version;
						
			                $thisis = array();
	                        $thisis['text'] = pn_strip_text($text);
                            $thisis['version'] = pn_strip_input($version);
				            update_option('pn_version',$thisis);
					
					    }
				}
		    } 
	    } 
	} 
}  


add_filter('mycron_1day', 'mycron_1day_chkv');
function mycron_1day_chkv($filters){
	
	$filters['pn_chkv'] = __('Check updates','pn');
	
	return $filters;
}
?>