<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_add_valuts', 'adminpage_title_pn_add_valuts');
function adminpage_title_pn_add_valuts(){
	$id = intval(is_param_get('item_id'));
	if($id){
		_e('Edit currency','pn');
	} else {
		_e('Add currency','pn');
	}
}

add_action('adminpage_content_pn_add_valuts','def_adminpage_content_pn_add_valuts');
function def_adminpage_content_pn_add_valuts(){
global $wpdb;

	$id = intval(is_param_get('item_id'));
	$data_id = 0;
	$data = '';
	
	if($id){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."valuts WHERE id='$id'");
		if(isset($data->id)){
			$data_id = $data->id;
		}	
	}

	if($data_id){
		$title = __('Edit currency','pn');
	} else {
		$title = __('Add currency','pn');
	}
	
	$vtypes = array();
	$vtypes[0] = __('No item','pn');
	$vtypes_datas = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."vtypes ORDER BY xname ASC");
	foreach($vtypes_datas as $vtype){
		$vtypes[pn_strip_input($vtype->xname)] = pn_strip_input($vtype->xname);
	}
	
	$quickpay = array();
	$quickpay[0] = '--'. __('No item','pn') .'--';
	$quickpay = apply_filters('quickpay_list', $quickpay);
	
	$merchants = array(); 
	$merchants[0] = '--'. __('No item','pn') .'--';
	$mers = apply_filters('exchangebox_merchant_list',array());
	foreach($mers as $mer){
		$merchants[is_isset($mer,'key')] = is_isset($mer,'title');
	}
?>	

<div style="margin: 0 0 10px 0;">

	<a href="<?php echo admin_url('admin.php?page=pn_valuts');?>" class="button"><?php _e('Back to list','pn'); ?></a>
	<?php if($data_id){ ?>
		<a href="<?php echo admin_url('admin.php?page=pn_add_valuts');?>" class="button"><?php _e('Add new','pn'); ?></a>
	<?php } ?>

</div>

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="data_id" value="<?php echo $data_id; ?>" />
		
		<table class="premium_standart_table">
			<?php
				pn_h3($title, __('Save','pn'));
					
				pn_inputbig(__('PS title','pn'), 'vname' , is_isset($data, 'vname'));
				$pn_icon_size = apply_filters('pn_icon_size','30 x 30');
				pn_uploader(__('Logo','pn').' ('. $pn_icon_size .')', 'vlogo', is_isset($data, 'vlogo'));	
				pn_select(__('Currency code','pn'), 'vtype', $vtypes,  is_isset($data, 'vtype'));
				
				pn_line();
				 
				pn_input(__('Name for site','pn'), 'xname', is_isset($data, 'xname'));
				pn_help(__('More info','pn'), sprintf(__('Allowed characters: a-zA-z0-9, min.: %1$s , max.: %2$s characters','pn'), 3, 30));
				
				pn_input(__('Name for XML','pn'), 'xml_value', is_isset($data, 'xml_value'));
				pn_help(__('More info','pn'), sprintf(__('Allowed characters: a-zA-z0-9_, min.: %1$s , max.: %2$s characters','pn'), 3, 30));
				
				pn_warning(sprintf(__('Enter the name according to the standard: <a href="%s">Estandards.ru</a>.','pn'), 'http://estandards.ru/formirovanie-eksportnogo-fajla-s-kursami/'));
				
				pn_line();
				
				pn_select(__('Merchant','pn'), 'xzt', $merchants,  is_isset($data, 'xzt'));
				pn_select(__('Quick payment','pn'), 'rxzt', $quickpay,  is_isset($data, 'rxzt'));
				
				pn_line();
				
				pn_inputbig(__('Field title "From account"','pn'), 'txt1' , is_isset($data, 'txt1'));
				pn_select(__('Show field "From account"?','pn'), 'show1', array('1'=>__('Yes','pn'),'0'=>__('No','pn')),  is_isset($data, 'show1'));
				
				pn_inputbig(__('Field title "To account"','pn'), 'txt2' , is_isset($data, 'txt2'));
				pn_select(__('Show filed "To account"?','pn'), 'show2', array('1'=>__('Yes','pn'),'0'=>__('No','pn')),  is_isset($data, 'show2'));				
				
				pn_line();				
				
				pn_textarea(__('Tips on filling','pn'), 'helps', is_isset($data, 'helps'), '100%', '100px');
				
				pn_line();	

				pn_input(__('Min. number of symbols','pn'), 'numleng', is_isset($data, 'numleng'));
				pn_input(__('Max. number of symbols','pn'), 'maxnumleng', is_isset($data, 'maxnumleng'));
				pn_input(__('First symbols','pn'), 'firstzn', is_isset($data, 'firstzn'));
				pn_help(__('More info','pn'), __('Checking the first symbols of the client to enter your account number. For example, for the purse WebMoney Z as the first symbol can be set Z.','pn'));
								

				if(get_change('partners','status') == 1){
					pn_line();
				
					pn_select(__('Allow paying affiliate remuneration','pn'), 'pvivod', array('1'=>__('Yes','pn'),'0'=>__('No','pn')),  is_isset($data, 'pvivod'));
				}
				
				pn_line();
				
				pn_select(__('Status','pn'), 'vactive', array('1'=>__('Active currency','pn'),'0'=>__('Not active currency','pn')),  is_isset($data, 'vactive'));
				
				do_action('pn_valuts_addform', $data);
				
				pn_warning(sprintf(__('Caution! After addition of the currency it is necessary to set a <a href="%s">reserve</a>.','pn'), admin_url('admin.php?page=pn_reserv')));
				
				pn_h3('', __('Save','pn'));	
			?>
		</table>
	</form>		
</div>		
<?php
} 

/* обработка формы */
add_action('myaction_post_pn_add_valuts','def_myaction_post_pn_add_valuts');
function def_myaction_post_pn_add_valuts(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$data_id = intval(is_param_post('data_id'));
			$array = array();
			
			$array['rxzt'] = intval(is_param_post('rxzt'));
			$array['xzt'] = intval(is_param_post('xzt'));
			
			$array['xname'] = $site_value = is_site_value(is_param_post('xname'));
			
			if(!$site_value){
				the_warning(__('Error! You have not entered the designation for the site!','pn'));
			}
			
			$cc = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."valuts WHERE xname='$site_value' AND id != '$data_id'");
			if($cc > 0){
				the_warning(__('Error! currency with the designation for the site already exists!','pn'));
			}			

			$array['xml_value'] = is_xml_value(is_param_post('xml_value'));
			if(!$array['xml_value']){ $array['xml_value'] = $site_value; }
			
			$array['vactive'] = intval(is_param_post('vactive'));
			
			$array['vtype'] = '';
			$vtype = pn_strip_input(is_param_post('vtype'));
			if($vtype){
				$vtype_data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."vtypes WHERE xname='$vtype'");
				$array['vtype'] = $vtype_data->xname;
			} 
			
			$array['vname'] = pn_strip_input(is_param_post('vname'));
			$array['vlogo'] = esc_url(is_param_post('vlogo'));			
			
			$array['pvivod'] = intval(is_param_post('pvivod'));
			
			$array['helps'] = pn_strip_input(is_param_post('helps'));
			$array['show1'] = intval(is_param_post('show1'));
			$array['show2'] = intval(is_param_post('show2'));
			$array['txt1'] = pn_strip_input(is_param_post('txt1'));
			$array['txt2'] = pn_strip_input(is_param_post('txt2'));
			
			$array['numleng'] = intval(is_param_post('numleng'));
			$array['maxnumleng'] = intval(is_param_post('maxnumleng'));
			$array['firstzn'] = is_firstzn_value(is_param_post('firstzn'));

			$array = apply_filters('pn_valuts_addform_post',$array);		
			
			if($data_id){
				
				if($array['vactive'] == 0){
					$wpdb->query("UPDATE ".$wpdb->prefix."napobmens SET status = '0' WHERE valsid1 = '$data_id' OR valsid2 = '$data_id'");
				}				
				
				$wpdb->update($wpdb->prefix.'valuts', $array, array('id'=>$data_id));
				do_action('pn_valuts_edit', $data_id, $array);
				
			} else {
				
				$wpdb->insert($wpdb->prefix.'valuts', $array);
				$data_id = $wpdb->insert_id;	
				do_action('pn_valuts_add', $data_id, $array);
				
			}

			$url = admin_url('admin.php?page=pn_add_valuts&item_id='. $data_id .'&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
/* end обработка формы */
?>