<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_add_vtypes', 'adminpage_title_pn_add_vtypes');
function adminpage_title_pn_add_vtypes(){
	$id = intval(is_param_get('item_id'));
	if($id){
		_e('Edit currency code','pn');
	} else {
		_e('Add currency code','pn');
	}
}

add_action('adminpage_content_pn_add_vtypes','def_adminpage_content_pn_add_vtypes');
function def_adminpage_content_pn_add_vtypes(){
global $wpdb;

	$id = intval(is_param_get('item_id'));
	$data_id = 0;
	$data = '';
	
	if($id){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."vtypes WHERE id='$id'");
		if(isset($data->id)){
			$data_id = $data->id;
		}	
	}

	if($data_id){
		$title = __('Edit currency code','pn');
	} else {
		$title = __('Add currency code','pn');
	}
?>	

<div style="margin: 0 0 10px 0;">

	<a href="<?php echo admin_url('admin.php?page=pn_vtypes');?>" class="button"><?php _e('Back to list','pn'); ?></a>
	<?php if($data_id){ ?>
		<a href="<?php echo admin_url('admin.php?page=pn_add_vtypes');?>" class="button"><?php _e('Add new','pn'); ?></a>
	<?php } ?>

</div>

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="data_id" value="<?php echo $data_id; ?>" />
		
		<table class="premium_standart_table">
			<?php
				pn_h3($title, __('Save','pn'));
					
				pn_input(__('Currency code','pn'), 'xname', is_isset($data, 'xname'));
				pn_input(__('Internal rate','pn'). '(1 '. cur_type() .')', 'vncurs', is_isset($data, 'vncurs'));

				pn_line();
				
				do_action('pn_vtypes_addform', $data);
				
				pn_h3('', __('Save','pn'));	
			?>
		</table>
	</form>		
</div>		
<?php
}

/* обработка формы */
add_action('myaction_post_pn_add_vtypes','def_myaction_post_pn_add_vtypes');
function def_myaction_post_pn_add_vtypes(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$data_id = intval(is_param_post('data_id'));
			$array = array();
			$array['xname'] = $xname = is_site_value(is_param_post('xname'));
			
			if(!$xname){ the_warning(__('Error! You have not entered the name!','pn')); }

			$array['vncurs'] = is_my_money(is_param_post('vncurs'));
			if($array['vncurs'] <= 0){ $array['vncurs'] = 1; }
			
			$array = apply_filters('pn_vtypes_addform_post',$array);
			
			$cc = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."vtypes WHERE xname='$xname' AND id != '$data_id'");
			if($cc > 0){
				the_warning(__('Error! this type of exchange already exists!','pn'));
			}
			
			if($data_id){	
			
				do_action('pn_vtypes_edit_before', $data_id, $array);
				$wpdb->update($wpdb->prefix.'vtypes', $array, array('id'=>$data_id));
				do_action('pn_vtypes_edit', $data_id, $array);
				
			} else {

				$wpdb->insert($wpdb->prefix.'vtypes', $array);
				$data_id = $wpdb->insert_id;	
				do_action('pn_vtypes_add', $data_id, $array);

			}

			$url = admin_url('admin.php?page=pn_add_vtypes&item_id='. $data_id .'&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
/* end обработка формы */
?>