<?php 
/*
Plugin Name: Обменный пункт ExchangeBox
Plugin URI: http://best-curs.info
Description: Полуавтоматический обменный пункт
Version: 5.3
Author: Best-Curs.info
Author URI: http://best-curs.info
*/

/* 
Версия плагина
*/
global $pn_version;
$pn_version = '5.3';

/*
Легкая защита
*/
if (strpos($_SERVER['REQUEST_URI'], "eval(") ||
      strpos($_SERVER['REQUEST_URI'], "CONCAT") ||
      strpos($_SERVER['REQUEST_URI'], "UNION+SELECT") ||
      strpos($_SERVER['REQUEST_URI'], "base64")) {
    header("HTTP/1.1 414 Request-URI Too Long");
	header("Status: 414 Request-URI Too Long");
	header("Connection: Close");
	exit;
}
if( !defined( 'ABSPATH')){ exit(); }

/* 
отключаем редактирование файлов из админки,
если оно еще не было отключено в WP-config 
*/
if(!defined('DISALLOW_FILE_MODS')){
	define('DISALLOW_FILE_MODS', true );
}

/*
Мультизаголовок для русскоязычных пользователей
*/
add_filter('all_plugins', 'pn_all_plugins');
function pn_all_plugins($plugins){
global $locale;	
	
	$plugin_name = plugin_basename(__FILE__);
	
	if($locale == 'ru_RU'){ /* русское описание */
		$name = 'ExchangeBox';
		$description = 'Полуавтоматический обменный пункт';
		
		$plugins[$plugin_name]['Name'] = $name;
		$plugins[$plugin_name]['Description'] = $description;	
		
	} 	
	
	return $plugins;
}

/*
Локализация плагина
*/
add_action('plugins_loaded', 'pn_plugins_loaded');
function pn_plugins_loaded(){
	load_plugin_textdomain( 'pn', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' ); 
}

/* 
Устанавливать начальные настройки в обязательном порядке?

true(да) false(нет)
*/
if(!defined('PN_NEW_UPDATE')){
	define('PN_NEW_UPDATE', 'false');
}

/* 
Если забыли доступ, ставим true и заходим как обычно через wp-admin 

true(да) false(нет)
*/
if(!defined('PN_ADMIN_GOWP')){
	define('PN_ADMIN_GOWP', 'false'); 
}

/*
Указатель активности плагина. Не меняемое значение.
*/
if(!defined('PN_PLUGIN_ACTIVE')){
	define('PN_PLUGIN_ACTIVE', 'true');
}

/* 
Если вы проводите тестирования, поставьте true
*/
if(!defined('PN_RICH_TEST')){ 
	define('PN_RICH_TEST', 'false'); 
}

/* 
Основные константы плагина
*/
if(!defined('PN_PLUGIN_NAME')){
	define('PN_PLUGIN_NAME', plugin_basename(__FILE__));
}

if(!defined('PN_PLUGIN_DIR')){
	define('PN_PLUGIN_DIR', dirname(__FILE__).'/');
}

if(!defined('PN_PLUGIN_URL')){
	define('PN_PLUGIN_URL', plugin_dir_url( __FILE__ ));
}

/*
Безопасное внедрение
*/
function pn_template($page){
$pager = PN_PLUGIN_DIR . $page.".php";
    if(file_exists($pager)){
        include_once($pager);
    }
}

/*
Настройки нашего плагина
*/
global $pn_change, $wpdb;
$query = $wpdb->query("CHECK TABLE ".$wpdb->prefix ."change");
if($query == 1){
	$query_change = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."change");
	foreach($query_change as $qc){
		$key1 = trim($qc->meta_key);
		$key2 = trim($qc->meta_key2);
		if($key1 and $key2){
			$pn_change[$key1][$key2] = $qc->meta_value;
		} elseif($key1){
			$pn_change[$key1] = $qc->meta_value;
		}
	}
}

/*
Файлы плагина
*/
pn_template('includes/index');
pn_template('includes/function');
pn_template('includes/deprecated');
pn_template('includes/deprecated_locale');
pn_template('includes/lang_func');
pn_template('includes/pn_func');
pn_template('includes/pn_site_func');
pn_template('includes/pn_admin_func');
pn_template('includes/crontab');
pn_template('includes/menu');
pn_template('includes/admin_func');
pn_template('includes/adminpanel');
pn_template('includes/sitepanel');
pn_template('includes/pagenavi');
pn_template('includes/meta_func');
pn_template('includes/txtmeta_func');
pn_template('includes/security');
pn_template('includes/admin_captcha');

pn_template('default/newadminpanel/index');
pn_template('default/migrate');
pn_template('default/alogs/index');
pn_template('default/letterauth/index');  
pn_template('default/users/index');
pn_template('default/lang/index');
pn_template('default/admin/index');
pn_template('default/config');
pn_template('default/theme');
pn_template('default/roles/index');
pn_template('default/mailtemp');
pn_template('default/txtxml');
pn_template('default/fhelps');
pn_template('default/cron');
pn_template('default/captcha/index');
pn_template('default/htmlmap');
pn_template('default/xmlmap');
pn_template('default/moduls');
pn_template('default/exchange_config'); 
pn_template('default/bids/index'); 
pn_template('default/merchant/index'); 
pn_template('default/valuts/index');
pn_template('default/vtypes/index');
pn_template('default/vaccounts/index');
pn_template('default/reserv/index');
pn_template('default/naps/index'); 
pn_template('default/cfc/index');
pn_template('default/parser/index');
pn_template('default/masschange/index');
pn_template('default/zreserv/index');
pn_template('default/finstats/index'); 
pn_template('default/seo/index');
pn_template('default/quickpay');
pn_template('default/blacklist/index');
pn_template('default/discount/index');
pn_template('default/reviews/index');
pn_template('default/cexp/index');
pn_template('default/partners/index');
pn_template('default/pp/index'); 
pn_template('default/exchange/index');

pn_template('default/update/index');

pn_template('infoblock');

/* модули */
pn_auto_include('moduls','index');

/* мерчанты */
pn_auto_include('merchantscript','function');

/* sms */
pn_auto_include('sms','index');

/* регистрируем новые виджеты */
add_action('widgets_init', 'pn_register_widgets');
function pn_register_widgets(){
   pn_auto_include('widget');	
}

pn_auto_include('shortcode');

delete_eval_files();

/*
Действия при активации:
устанавливаем настройки, добавляем таблицы, добавляем страницы
*/
add_action('activate_'. PN_PLUGIN_NAME,'pn_plugin_activate');
function pn_plugin_activate(){
	
	pn_template('activated/defaultchange');
	pn_template('activated/bd');
	pn_template('activated/migrate');
	pn_template('activated/pages');
	
}

/* 
вывод ошибок
*/
if(PN_RICH_TEST == 'true'){
		
	ini_set('display_errors', 1);
	error_reporting(E_ALL); 
		
}