<?php
if( !defined( 'ABSPATH')){ exit(); }

function ac_generate_image($word) {

	$word = pn_strip_input($word);

	$fonts = array(
		PN_PLUGIN_DIR . 'fonts/GenAI102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenAR102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenI102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenR102.TTF' 
	);

	$wp_upload_dir = wp_upload_dir();
	$path = $wp_upload_dir['basedir'];
	$dir = trailingslashit( $path . '/captcha/' );	
	if(!realpath($dir)){
		@mkdir($dir, 0777);
	}
	
	$filename = '';
	$prefix = time() . mt_rand(1000,1000000);

	if ( $im = imagecreatetruecolor( 50, 50 ) ) {

		$bg = imagecolorallocate( $im, 255, 255, 255 );
		$fg = imagecolorallocate( $im, 49, 118, 232 );
		imagefill( $im, 0, 0, $bg );

		$font = $fonts[array_rand( $fonts )];
		imagettftext($im, 30, 0, mt_rand(0,30), mt_rand(30,40) , $fg, $font, $word );

		$filename = sanitize_file_name( $prefix . '.png' );
		$link = $dir . $filename;
		imagepng( $im, $link );

		imagedestroy( $im );
				
	}

	return $wp_upload_dir['baseurl'] . '/captcha/'. $filename;
}

function ac_del_img(){	
global $wpdb;

	$time = current_time('timestamp') - (1*24*60*60);
	$date = date('Y-m-d H:i:s', $time);
	$wpdb->query("DELETE FROM ".$wpdb->prefix."admin_captcha WHERE createdate < '$date'");	
	
	$wp_upload_dir = wp_upload_dir();
	$path = $wp_upload_dir['basedir'];
    $dir = trailingslashit( $path . '/captcha/' );
    if(is_array(glob("$dir*"))){
        foreach (glob("$dir*") as $filename) {
	        if(is_file($filename)){
			    @unlink($filename);
			}
        }
    }
	
}

function mycron_1day_acdel($filters){
	$filters['ac_del_img'] = __('Delete admin captcha','pn');
	
	return $filters;
}

function ac_login_enqueue_scripts(){
$file_dir = PN_PLUGIN_URL;
	
	wp_deregister_script('jquery');
    wp_register_script('jquery', $file_dir.'js/jquery-1.8.3.min.js', false, '1.8.3');
    wp_enqueue_script('jquery');
	
}

function ac_reload(){
global $wpdb;
	
	$sess_hash = get_session_id();
	$wpdb->query("DELETE FROM ".$wpdb->prefix."admin_captcha WHERE sess_hash = '$sess_hash'");
	
	$array = array();
	$array['sess_hash'] = $sess_hash;
	$array['createdate'] = current_time('mysql');
	$array['num1'] = mt_rand(1,9);
	$array['num2'] = mt_rand(0,9);
	$wpdb->insert($wpdb->prefix.'admin_captcha', $array);
	$insert_id = $wpdb->insert_id;
	
	return $insert_id;	
}

add_action('myaction_post_ac_reload', 'the_myaction_post_ac_reload');
function the_myaction_post_ac_reload(){

	only_post();
	
	$log = array();

	global $wpdb;
	$id = ac_reload();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."admin_captcha WHERE id='$id'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 0;
		$num2 = 0;		
	}
	$img1 = ac_generate_image($num1);
	$img2 = ac_generate_image($num2);

	$log['ncapt1'] = $img1;
	$log['ncapt2'] = $img2;

	$log['empty'] = 1;
	echo json_encode($log);		
		
}

function ac_login_footer(){
	?>
<script type="text/javascript">	
jQuery(function($) {	

	$('.rlc_reload').on('click',function(){

		var dataString='have=reload';
		$.ajax({
		type: "POST",
		url: "<?php echo the_link_toajax('ac_reload'); ?>",
		dataType: 'json',
		data: dataString,
		success: function(ht)
		{
			if(ht['ncapt1']){
				$('.captcha1').attr('src',ht['ncapt1']);
			}
			if(ht['ncapt2']){
				$('.captcha2').attr('src',ht['ncapt2']);
			}				
		}
		});
		
		return false;
	});
		
});	
</script>
<style>
.rlc_div{
margin: 0 0 10px 0;
}
	.rlc_divimg{
	float: left;
	width: 50px;
	height: 50px;
	border: 1px solid #ddd;
	}
	.rlc_divznak{
	float: left;
	width: 30px;
	height: 50px;
	font: 30px/50px Arial;
	text-align: center;
	}
	input.rlc_divpole{
	float: left;
	width: 80px!important;
	height: 50px!important;
	font: 30px/50px Arial!important;
	margin: 0!important;
	text-align: center;
	}
	.rlc_div_change{
	padding: 0 0 10px 0;
	}
	
.clear{ clear: both; }	
</style>
	<?php
}

function ac_login_form(){ 
global $wpdb;

	$temp = '';

	$id = ac_reload();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."admin_captcha WHERE id='$id'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 0;
		$num2 = 0;		
	}
	
	$img1 = ac_generate_image($num1);
	$img2 = ac_generate_image($num2);
	
	$temp = '
		<div class="rlc_div">
			<div class="rlc_divimg">
				<img src="'. $img1 .'" class="captcha1" alt="" />
			</div>
			<div class="rlc_divznak">
				+
			</div>	
			<div class="rlc_divimg">
				<img src="'. $img2 .'" class="captcha2" alt="" />
			</div>
			<div class="rlc_divznak">
				=
			</div>

			<input type="text" class="rlc_divpole" name="number" maxlength="2" autocomplete="off" value="" />
			
				<div class="clear"></div>
		</div>
		<div class="rlc_div_change">
			<a href="#" class="rlc_reload">'. __('replace task?','pn') .'</a>
		</div>
	';
	
	echo $temp;
}

function ac_login_check($user){
global $wpdb;

	if(isset($_POST['log']) and isset($_POST['pwd'])){

		$number = '';
		if(isset($_POST['number']) and $_POST['number']){
			$number = trim($_POST['number']);
		
			$sess_hash = get_session_id();
			$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."admin_captcha WHERE sess_hash='$sess_hash'");
			if(isset($data->id)){
					
				$num1 = $data->num1;
				$num2 = $data->num2;
				$sum = $num1+$num2;
				if($number == $sum){
					
					return $user;
					
				} else {
					$error = new WP_Error();
					$error->add( 'rlc_error2', __('<strong>Error:</strong> You have not entered the control number.','pn') );
					wp_clear_auth_cookie();
					return $error;			
				}
				
			} else {
				$error = new WP_Error();
				$error->add( 'rlc_error2', __('<strong>Error:</strong> You have not entered the control number.','pn') );
				wp_clear_auth_cookie();
				return $error;				
			}
		} else {
			$error = new WP_Error();
			$error->add( 'rlc_error1', __('<strong>Error:</strong> You have not entered the control number.','pn') );
			wp_clear_auth_cookie();
			return $error;
		}
	
	} else {
		return $user;
	}
}

function ac_register_post($login,$email,$errors){
global $wpdb;
	
	if($login and $email){
		$number = '';
		if(isset($_POST['number']) and $_POST['number']){
			$number = trim($_POST['number']);
		
			$sess_hash = get_session_id();
			$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."admin_captcha WHERE sess_hash='$sess_hash'");
			if(isset($data->id)){
				
				$num1 = $data->num1;
				$num2 = $data->num2;
				$sum = $num1+$num2;
				if($number != $sum){
					$errors->add( 'rlc_error2', __('<strong>Error:</strong> You have not entered the control number.','pn') );			
				}
				
			} else {
				$errors->add( 'rlc_error2', __('<strong>Error:</strong> You have not entered the control number.','pn') );		
			}
		} else {
			$errors->add( 'rlc_error1', __('<strong>Error:</strong> You have not entered the control number.','pn') );
		}	
	}
		
	return $errors;	
}

function ac_lostpassword_post(){
global $wpdb;
	
	if(isset($_POST['user_login']) and $_POST['user_login']){
		$number = '';
		if(isset($_POST['number']) and $_POST['number']){
			$number = trim($_POST['number']);
		
			$sess_hash = get_session_id();
			$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."admin_captcha WHERE sess_hash='$sess_hash'");
			if(isset($data->id)){
				
				$num1 = $data->num1;
				$num2 = $data->num2;
				$sum = $num1+$num2;
				if($number != $sum){
					wp_die( __('<strong>Error:</strong> You have not entered the control number.','pn') );			
				}
			
			} else {
				wp_die( __('<strong>Error:</strong> You have not entered the control number.','pn') );
			}
		} else {
			wp_die(__('<strong>Error:</strong> You have not entered the control number.','pn'));
		}	
	}
	
}

if(get_change('admincaptcha') == 1){
	
	add_filter('mycron_1day', 'mycron_1day_acdel');
	add_action('login_enqueue_scripts', 'ac_login_enqueue_scripts');
	add_action( 'login_form', 'ac_login_form' );
	add_filter( 'authenticate', 'ac_login_check', 99, 1 );
	add_action( 'register_form', 'ac_login_form' );
	add_action( 'register_post', 'ac_register_post', 99, 3 );
	add_action( 'lostpassword_form', 'ac_login_form' );
	add_action( 'lostpassword_post', 'ac_lostpassword_post', 99 );	
	add_action('login_footer','ac_login_footer');

}
