<?php 
if( !defined( 'ABSPATH')){ exit(); }

/*
Универсальные административные функции
*/

/* хук для верхнего меню */
function pn_trev_hook(){
	$page = is_param_get('page');
	do_action('myscreen_'.$page);
}

add_filter('set-screen-option', 'pn_thet_set_option', 10, 3);
function pn_thet_set_option($status, $option, $value) {
	return $value;
}

/*
Создаем шаблон всех админ страниц
*/
function pn_admin_themp(){
	pn_template('includes/admin_temp');
}

/*
Ссылка на иконку 
*/
function get_icon_link($icon=''){
	return PN_PLUGIN_URL .'images/'. $icon .'.png';
}


/* обычные тэги */
function pn_h3($title=false, $submit=false){
?>
        <tr>
			<td colspan='2'>
			    <?php if($title){ ?>
					<div class="premium_h3"><?php echo $title; ?></div>
				<?php } ?>
				<?php if($submit){ ?>
					<div class="premium_h3submit">
						<input type="submit" name="" class="button" value="<?php echo $submit;?>" />
					</div>
				<?php } ?>
				    <div class="rclear"></div>
			</td>
		</tr>
<?php
}

function pn_line(){
?>
        <tr>
			<td colspan='2'><div class="premium_line"></div></td>
		</tr>
<?php
}

function pn_warning($text){
?>
        <tr>
			<td colspan='2'><div class="premium_wrap_warning"><?php echo $text; ?></div></td>
		</tr>
<?php
}

function ph_the_uploader($name, $default=''){
	$default = pn_strip_input($default);
?>
		<div class="premium_uploader">
			<div class="premium_uploader_img"><?php if($default){ ?><img src="<?php echo $default;?>" alt="" /><?php } ?></div>
		    
			<div class="premium_uploader_input">
			    <input type="text" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>_value" value="<?php echo $default;?>" />
		    </div>
			<div class="premium_uploader_show tgm-open-media" id="pn_<?php echo $name;?>"></div>
			<div class="premium_uploader_hide <?php if($default){ ?>act<?php } ?>"></div>
			    <div class="rclear"></div>
		</div>
<?php	
}

function pn_uploader($title, $name, $default=''){
?>
		<tr>
			<th><?php echo $title;?></th>
			<td>
			<div class="premium_wrap_standart">
			
				<?php ph_the_uploader($name, $default); ?>

			</div>
			</td>
		</tr>
<?php
} 

function the_pn_help($title, $content=''){
?>
	<div class="premium_wrap_help">
		<div class="premium_helptitle"><span><?php echo $title; ?></span></div>
		<div class="premium_helpcontent"><?php echo $content; ?></div>
	</div>
<?php
}

function pn_help($title, $content='',$classed=''){
?>
        <tr class="<?php echo $classed; ?>">
		    <th></th>
			<td>
			    <?php the_pn_help($title, $content); ?>
			</td>
		</tr>
<?php
}

function pn_select($title, $name='', $array=array(), $default='', $classed=''){
if(!is_array($array)){
    $array = array();
}
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
				<div class="premium_wrap_standart">
					<select name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" autocomplete="off">	
					<?php foreach($array as $k => $v){ ?>
						<option value="<?php echo pn_strip_input($k);?>" <?php selected($default,$k);?>><?php echo pn_strip_input($v);?></option>
					<?php } ?>
					</select>
				</div>
			</td>		
		</tr>
<?php
}

function pn_checkbox($title, $name='', $two_title='', $default='', $classed=''){
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
				<div class="premium_wrap_standart">
				
					<label><input type="checkbox" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" <?php checked($default, 1);?> value="1" /> <?php echo $two_title; ?></label>
				
				</div>
			</td>		
		</tr>
<?php
}

function pn_input($title, $name='', $default='', $classed='', $value=''){
    if(!$value){
	    $value = $default;
	}
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
			    <div class="premium_wrap_standart">
					<input type="text" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" value="<?php echo pn_strip_input($value);?>" />
			    </div>
			</td>
		</tr>
<?php
}

function pn_inputbig($title, $name='', $default='', $classed=''){
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
			    <div class="premium_wrap_standart">
					<input type="text" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" class="regular-text" value="<?php echo pn_strip_input($default);?>" />
			    </div>
			</td>
		</tr>
<?php
}

function pn_textarea($title, $name='', $default='', $width='', $height='100px', $classed=''){
if(!$width){ $width = '100%'; }
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
			    <div class="premium_wrap_standart">
				    <textarea name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" style="width: <?php echo $width;?>; height: <?php echo $height;?>;"><?php echo pn_strip_text($default);?></textarea>
			    </div>
			</td>
		</tr>
<?php
} 

function pn_textfield($title, $text=''){
?>
        <tr>
		    <th><?php echo $title; ?></th>
			<td>
				<div class="premium_wrap_standart">
					<?php echo pn_strip_text($text); ?>
				</div>
			</td>		
		</tr>
<?php
}

function pn_datetime($title, $name='', $default='', $classed=''){			
	if($default){
		$dforv = get_mytime($default,'d.m.Y H:i');
	} else {
		$dforv = date('d.m.Y H:i',current_time('timestamp'));
	}
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
			    <div class="premium_wrap_standart">
					<input type="text" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" class="rdtime regular-text" value="<?php echo pn_strip_input($dforv);?>" />
			    </div>
			</td>
		</tr>
<?php
}

function pn_date($title, $name='', $default='', $classed=''){			
	if($default){
		$dforv = get_mydate($default,'d.m.Y');
	} else {
		$dforv = date('d.m.Y',current_time('timestamp'));
	}
?>
        <tr class="<?php echo $classed; ?>">
		    <th><label for="pn_<?php echo $name;?>"><?php echo $title; ?></label></th>
			<td>
			    <div class="premium_wrap_standart">
					<input type="text" name="<?php echo $name; ?>" id="pn_<?php echo $name;?>" class="rdatepick regular-text" value="<?php echo pn_strip_input($dforv);?>" />
			    </div>
			</td>
		</tr>
<?php
}

function pn_textareaico($title, $name='', $default='', $tags='', $prefix1='[', $prefix2=']',$width='', $height='100px'){
if(!$width){ $width = '100%'; }
?>
        <tr>
		    <th><?php echo $title; ?></th>
			<td>
					<div class="premium_wrap_standart">
						<div class="prem_tagtext">
						
							<?php
							if(is_array($tags)){						
								foreach($tags as $tag => $value){ ?>
								<span title="<?php echo $prefix1; ?><?php echo trim($tag); ?><?php echo $prefix2; ?>">
									<div class="prem_span_hide"><?php echo $prefix1; ?><?php echo trim($tag); ?><?php echo $prefix2; ?></div>
									<?php echo trim($value); ?>
								</span>  
							<?php 
								}
							} ?>					
						
							<div class="rclear"></div>
						</div>
					
						<textarea name="<?php echo $name; ?>" style="width: <?php echo $width;?>; height: <?php echo $height;?>;"><?php echo pn_strip_text($default);?></textarea>
					</div>			
			</td>
		</tr>
<?php
}

function the_pn_editor($name='', $rows=10, $media=false, $default=''){
	$default = pn_strip_text($default);
?>		
	<div class="premium_wrap_standart">
					
		<?php 		
			$settings['wpautop'] = true;
			$settings['media_buttons'] = $media;
			$settings['teeny'] = true;
			$settings['tinymce'] = true;
			$settings['textarea_rows'] = $rows;
			wp_editor($default,$name,$settings); 
		?>					

	</div>
<?php
}

function pn_editor($title, $name='', $rows=10, $media=false, $default=''){
	$default = pn_strip_text($default);
?>
        <tr class="<?php echo $classed; ?>">
		    <th><?php echo $title; ?></th>
			<td>
				<?php the_pn_editor($name, $rows, $media, $default); ?>	
			</td>
		</tr>
<?php
} 

?>