<?php
if( !defined( 'ABSPATH')){ exit(); }

/* 
файл cron-заданий
Ставим задание на него. Он распределяет интервалы и в зависимости от них,
запускает нужную функцию, если такая существует.
*/
function go_mycron($key=''){
	
	$cron_func = apply_filters('mycron_'.$key, array());
	if(!is_array($cron_func)){ $cron_func = array(); }
	
	foreach($cron_func as $func => $title){
		call_user_func($func);
	}
	
}


function pn_cron_init(){
	
	$time = current_time('timestamp');
	$cronsite = get_option('the_cron');
	if(!is_array($cronsite)){ $cronsite = array(); }
	
	$t2min = is_isset($cronsite,'2min');
	$t5min = is_isset($cronsite,'5min');
	$t10min = is_isset($cronsite,'10min');
	$t30min = is_isset($cronsite,'30min');
	$t1hour = is_isset($cronsite,'1hour');
	$t3hour = is_isset($cronsite,'3hour');
	$t05day = is_isset($cronsite,'05day');
	$t1day = is_isset($cronsite,'1day');
	
	$cron = array(
		'now' => 0,
		'2min' => $t2min + (2*60),
		'5min' => $t5min + (5*60),
		'10min' => $t10min + (11*60),
		'30min' => $t30min + (31*60),
		'1hour' => $t1hour + (61*60),
		'3hour' => $t3hour + (3*60*60),
		'05day' => $t05day + (12*60*60) + 5,
		'1day' => $t1day + (24*60*60),
	);
	
	foreach($cron as $key => $mtime){
		if($mtime < $time){
			
			$cronsite[$key] = $time;
			go_mycron($key);
			
		}
	}
	
	update_option('the_cron',$cronsite);	

}	

add_action('init', 'pn_cron_init_all');
function pn_cron_init_all(){
	if(get_change('cron') != 1){
		pn_cron_init();
	}
}		
?>