<?php
if( !defined( 'ABSPATH')){ exit(); }

/*
Функции мультиязычности
*/

/*
Для добавления языка сайта, мы используем фильтр языков pn_site_langs
Таким образом, что бы добавить язык, нужно всего лишь:
загрузить иконку языка, добавить фильтр и создать файл перевода.
*/
add_filter('pn_site_langs','def_pn_site_langs');
function def_pn_site_langs($langs){
	
	$langs['ru_RU'] = 'Русский';
	$langs['en_US'] = 'English';
	
	return $langs;
}

/* 
Выдаем название языка, по ключу
*/
function get_title_forkey($key){
	$key = (string)$key;
	$key = trim($key);
	$langs = apply_filters('pn_site_langs', array());
	return is_isset($langs,$key);
}

/* устанавливаем глобально настройки языка */
global $pn_lang, $pn_current_lang;

$pn_lang = get_option('pn_lang'); 
if(!is_array($pn_lang)){ $pn_lang = array(); }

$pn_current_lang = get_locale();

/* язык сайта по умолчанию */
function get_site_lang(){
global $pn_lang;

	$lang = get_locale();
	if(isset($pn_lang['site_lang']) and $pn_lang['site_lang']){
		$lang = $pn_lang['site_lang'];
	} 		
	
	return $lang;
}

/* 
язык админ-панели по умолчанию 
так как в админке нельзя изменять динамически языки, то эта переменная в данный момент равна get_locale
*/
function get_admin_lang(){

	$lang = get_locale();		
	return $lang;
}

/* 
Получение псевдоключа, по ключу языка
Таким образом ru_RU становится просто ru
*/
function get_lang_key($arg){
	
	$arg = (string)$arg;
	$arg = trim($arg);
	
	$keyname = explode('_',$arg);
	return $keyname = $keyname[0];
}

/*
Оригинальный url сайта
*/
function get_site_url_or(){
global $or_site_url;

	return $or_site_url;
}

/*
Проверка на префикс языка
*/
function is_lang_prefix($arg){
	$arg = (string)$arg;
	$arg = trim($arg);
	if (preg_match("/^[A-Za-z]{2}$/", $arg, $matches )) {
		$r = strtolower($arg);
	} else {
		$r = false;
	}
	
	return $r;
	
}

function is_lang_attr($arg){
	$arg = (string)$arg;
	$arg = trim($arg);
	if (preg_match("/^[A-Za-z]{2}[_]{1}[A-Za-z]{2}$/", $arg, $matches )) {
		$r = strtolower($arg);
	} else {
		$r = false;
	}
	
	return $r;
	
}

/* 
Устанавливаем версию языка по умолчанию
Изначально, текущий язык равен локализации, ну а дальше смотрим по фильтрам
*/
if(is_admin()){
	
	/*
	Если мы в админке и в настройках указан язык, значит этот язык и есть основным
	*/
	if(isset($pn_lang['admin_lang']) and $pn_lang['admin_lang']){
		$pn_current_lang = $pn_lang['admin_lang'];
	} 
	
} else {
	
	/*
	Если мы на сайте и в настройках указан язык, значит этот язык и есть основным
	*/	
	if(isset($pn_lang['site_lang']) and $pn_lang['site_lang']){
		$pn_current_lang = $pn_lang['site_lang'];
	} 
	
} 
/* end языковая версия */

/*
Меняем локализацию get_locale, если установлен наш язык
*/
add_filter('locale','lang_locale',1);
function lang_locale($locale){
global $pn_current_lang;	
	
	if($pn_current_lang){
		return $pn_current_lang;
	}

	return pn_strip_input($locale);
} 

/* deprecated */
global $exb_lang;
$exb_lang = get_lang_key(get_locale());
?>