<?php 
if( !defined( 'ABSPATH')){ exit(); }

/*
Функции плагина, исключительно для административной панели
*/

/* 
основная валюта расчета сайта 
*/
function cur_type(){
	$type = 'USD';
	return pn_strip_input(apply_filters('cur_type',$type));
}

/* идентификатор для партнерской программы */
function stand_refid(){
	$type = 'rid';
	return apply_filters('refid',$type);
}

add_filter('pp_banners','def_pp_banners');
function def_pp_banners($banners){
	
	$banners = array(
		'text'=> __('Text materials','pn'),
		'banner1'=> __('Banners','pn').'(468 x 60)',
		'banner2'=> __('Banners','pn').'(200 x 200)',
		'banner3'=> __('Banners','pn').'(120 x 600)',
		'banner4'=> __('Banners','pn').'(100 x 100)',
		'banner5'=> __('Banners','pn').'(88 x 31)',
		'banner6'=> __('Banners','pn').'(336 x 280)',
		'banner7'=> __('Banners','pn').'(250 x 250)',
		'banner8'=> __('Banners','pn').'(240 x 400)',
		'banner9'=> __('Banners','pn').'(234 x 60)',
		'banner10'=> __('Banners','pn').'(120 x 90)',
		'banner11'=> __('Banners','pn').'(120 x 60)',
		'banner12'=> __('Banners','pn').'(120 x 240)',
		'banner13'=> __('Banners','pn').'(125 x 125)',
		'banner14'=> __('Banners','pn').'(300 x 600)',
		'banner15'=> __('Banners','pn').'(300 x 250)',
		'banner16'=> __('Banners','pn').'(80 x 150)',
		'banner17'=> __('Banners','pn').'(728 x 90)',
		'banner18'=> __('Banners','pn').'(160 x 600)',
		'banner19'=> __('Banners','pn').'(80 x 15)',
	);	
	
	return $banners;
}

function get_comis_text($com_ps, $dop_com, $psys, $vtype, $vid, $gt){
	$comis_text = '';
	
	if($com_ps > 0 or $dop_com > 0){
		$comis_text = __('In view of the','pn').' ';
	}		

	if($com_ps > 0 and $dop_com > 0){
		$comis_text .= __('additional commission service','pn');
		$comis_text .= ' ('. $dop_com .' '. $vtype .')';		
		$comis_text .= __('and','pn');
		$comis_text .= ' ';		
		$comis_text .= __('commission payment system','pn');
		$comis_text .= ' <span class="wvalname">'. $psys . '</span> (<span class="wvalsumm">'. $com_ps .' '. $vtype .'</span>) ';
	} elseif($com_ps > 0){
		$comis_text .= __('commission payment system','pn');
		$comis_text .= ' <span class="wvalname">'. $psys . '</span> (<span class="wvalsumm">'. $com_ps .' '. $vtype .'</span>) ';	
	} elseif($dop_com > 0){
		$comis_text .= __('additional commission service','pn');
		$comis_text .= ' (<span class="wvalsumm">'. $dop_com .' '. $vtype .'</span>)';
	}	
	
	if($gt == 1){
		if($com_ps > 0 or $dop_com > 0){
			$comis_text .= ', ';
			if($vid == 1){
				$comis_text .= __('you give','pn');
			} else {
				$comis_text .= __('you get','pn');
			}
		}
	}
	
	return pn_strip_text($comis_text);
}

/* статус заявки */
function get_bid_status($status, $mystatus=''){
global $wpdb;
	if($status == 'new'){
		return __('new application','pn');
	} elseif($status == 'payed'){
		return __('marked bid by user as paid','pn');
	} elseif($status == 'realpay'){
		return __('paid bid','pn');		
	} elseif($status == 'delete'){
		return __('delete application','pn');
	} elseif($status == 'returned'){
		return __('money will be returned','pn');
	} elseif($status == 'verify'){
		return __('paid from another purse','pn');
	} elseif($status == 'error'){
		return __('error application','pn');
	} elseif($status == 'success'){
		return __('success application','pn');
	}	
}

/* заголовок валюты */
function get_vtitle($valut_id){
global $wpdb;

	$valut_id = intval($valut_id);

	$valut_data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."valuts WHERE id='$valut_id'");
	if(isset($valut_data->vname)){
		return pn_strip_input($valut_data->vname.' '.$valut_data->vtype);
	} else {
		return __('No item','pn');
	}
} 

add_filter('list_naps_temp','def_list_naps_temp',0); 
function def_list_naps_temp($list_naps_temp){
	
	$list_naps_temp = array(
		'description_txt' => __('Exchange description','pn'),
		'timeline_txt' => __('Deadline for exchange','pn'),
		'status_new' => __('Payment instruction','pn'),
		'status_returned' => __('Return bid','pn'),
		'status_delete' => __('Deleted bid','pn'),
		'status_payed' => __('Marked bid by user as paid','pn'),
		'status_realpay' => __('Paid bid','pn'),
		'status_verify' => __('Paid bid from another purse','pn'),
		'status_error' => __('Error bid','pn'),
		'status_success' => __('Success bid','pn'),
	);		
							
	return $list_naps_temp;
}

/* заголовок обмена шаги */
function get_exchange_title(){
global $naps_id, $naps_data;	

	$item_title1 = pn_strip_input($naps_data->item1);
	$item_title2 = pn_strip_input($naps_data->item2);
							
	$title = sprintf(__('Exchange %1$s to %2$s','pn'),$item_title1,$item_title2);	
	return apply_filters('get_exchange_title',$title);
}

function get_exchangestep_title(){
global $wpdb;	
	$title = '';
	
	$hashed = is_bid_hash(get_query_var('hashed'));
	if($hashed){
		$obmen = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."bids WHERE hashed='$hashed'");
		if(isset($obmen->id)){
			if($obmen->status == 'auto'){
				$valut1 = pn_strip_input($obmen->valut1 .' '. $obmen->valut1type);
				$valut2 = pn_strip_input($obmen->valut2 .' '. $obmen->valut2type);
		        $title = sprintf(__('Exchange %1$s to %2$s','pn'),$valut1,$valut2);
			} else {
				$title = __('Bid id','pn') . ' '. $obmen->id;
			}
		}
	}	
	
	return apply_filters('get_exchangestep_title',$title);
}
