<?php

/* == IonCube file details ==
$ioncube_file_info = array (
  'FILE_EXPIRY' => 0,
  'DEMO' => false,
  'ENCODING_TIME' => 1451472823,
);
*/

function pn_crypt_data($arg)
{
	$arg = trim((string) $arg);
	return crypt(LOGGED_IN_SALT . $arg . SECURE_AUTH_KEY . NONCE_KEY);
}

function is_pn_crypt($hash, $arg)
{
	$arg = trim((string) $arg);
	$hash = trim((string) $hash);

	if (hash_equals($hash, crypt(LOGGED_IN_SALT . $arg . SECURE_AUTH_KEY . NONCE_KEY, $hash))) {
		return 1;
	}

	return 0;
}

function update_bids_naschet($id, $schet)
{
	global $wpdb;
	$id = intval($id);
	$schet = pn_strip_input($schet);
	$arr = array();
	$arr["naschet"] = $schet;
	$arr["naschet_h"] = pn_crypt_data($schet);
	$wpdb->update($wpdb->prefix . "bids", $arr, array("id" => $id));
}

function is_true_userhash($item)
{
	if ((isset($item->user_hash) && ($item->user_hash == get_session_id())) || current_user_can("administrator")) {
		return 1;
	}

	return 0;
}

function is_reviews_hash($hash)
{
	$hash = trim((string) $hash);

	if (preg_match("/^[a-zA-z0-9]{25}$/", $hash, $matches)) {
		$r = $hash;
	}
	else {
		$r = 0;
	}

	return $r;
}

function is_bid_hash($hash)
{
	$hash = trim((string) $hash);

	if (preg_match("/^[a-zA-z0-9]{35}$/", $hash, $matches)) {
		$r = $hash;
	}
	else {
		$r = 0;
	}

	return $r;
}

function is_status_name($name)
{
	$name = trim((string) $name);

	if (preg_match("/^[a-zA-z0-9]{1,35}$/", $name, $matches)) {
		$r = $name;
	}
	else {
		$r = "";
	}

	return $r;
}

function get_userpage_exb($key)
{
	global $exb_pages;

	if (!$exb_pages) {
		$exb_pages = get_option("the_pages");
	}

	if (isset($exb_pages[$key]) && is_page($exb_pages[$key])) {
		return "act";
	}

	return false;
}

function get_exbfio($fname, $iname, $oname)
{
	$name = "";

	if ($fname) {
		$name .= $fname . " ";
	}
	if ($iname) {
		$name .= $iname . " ";
	}
	if ($oname) {
		$name .= $oname . " ";
	}

	return pn_strip_input($name);
}

function get_summ_color($summ, $max = "bgreen", $min = "bred")
{
	if ($summ == 0) {
		return "<span>" . $summ . "</span>";
	}

	if (0 < $summ) {
		return "<span class=\"" . $max . "\">" . $summ . "</span>";
	}

	return "<span class=\"" . $min . "\">" . $summ . "</span>";
}

function get_secret_value($text, $id)
{
	if ($id == 1) {
		$new_txt = "***";
	}
	else if ($id == 2) {
		$num = mb_strlen($text);

		if (4 < $num) {
			$new_txt = mb_substr($text, 0, 4) . " ***";
		}
		else {
			$new_txt = $text;
		}
	}
	else if ($id == 3) {
		$num = mb_strlen($text);

		if (4 < $num) {
			$new_txt = "*** " . mb_substr($text, -4);
		}
		else {
			$new_txt = $text;
		}
	}
	else if ($id == 4) {
		$num = mb_strlen($text);

		if (4 < $num) {
			$new_txt = mb_substr($text, 0, 4) . " *** ";
		}
		else {
			$new_txt = $text;
		}

		if (8 < $num) {
			$new_txt .= mb_substr($text, -4);
		}
	}
	else {
		$new_txt = $text;
	}

	return pn_strip_input($new_txt);
}

function unique_bid_hashed()
{
	global $wpdb;
	$value = wp_generate_password(35, false, false);

	if ($value) {
		$cc = $wpdb->query("SELECT id FROM " . $wpdb->prefix . "bids WHERE hashed='$value'");

		if (0 < $cc) {
			return unique_bid_hashed();
		}

		return $value;
	}

	return "";
}

function get_purse($account, $item)
{
	if (isset($item->id)) {
		$account = pn_maxf(pn_strip_input($account), 250);
		$minzn = intval($item->numleng);
		$maxzn = intval($item->maxnumleng);
		if ($maxzn && ($maxzn < $minzn)) {
			$maxzn = $minzn;
		}

		$firstzn = "";

		if ($item->firstzn) {
			$firstzn = preg_quote(pn_strip_input($item->firstzn));
		}

		if ($account && preg_match("/^" . $firstzn . "/i", $account, $matches)) {
			if ($minzn <= mb_strlen($account)) {
				if (((mb_strlen($account) <= $maxzn) && (0 < $maxzn)) || ($maxzn < 1)) {
					return $account;
				}
			}
		}
	}

	return "";
}

function is_exchange_page()
{
	global $naps_id;
	$naps_id = intval($naps_id);

	if (0 < $naps_id) {
		return true;
	}

	return false;
}

function get_exchange_link($site_value1, $site_value2)
{
	if ($site_value1 && $site_value2) {
		$url = get_pn_page("xchange");
		$url = rtrim($url, "/") . "_" . $site_value1 . "_to_" . $site_value2 . "/";
		return $url;
	}

	return "#";
}

function is_firstzn_value($url)
{
	$url = trim((string) $url);

	if (preg_match("/^[\+a-zA-z0-9]{0,50}$/", $url, $matches)) {
		$r = $url;
	}
	else {
		$r = "";
	}

	return $r;
}

function is_xml_value($url)
{
	$url = trim((string) $url);

	if (preg_match("/^[a-zA-z0-9_]{3,50}$/", $url, $matches)) {
		$r = $url;
	}
	else {
		$r = "";
	}

	return $r;
}

function is_site_value($url)
{
	$url = trim((string) $url);

	if (preg_match("/^[a-zA-z0-9]{3,30}$/", $url, $matches)) {
		$r = $url;
	}
	else {
		$r = "";
	}

	return $r;
}

function get_cf_field($value, $item)
{
	if (isset($item->id)) {
		$value = trim($value);
		$minzn = intval($item->minzn);
		$maxzn = intval($item->maxzn);

		if ((0 < $maxzn) && ($maxzn < $minzn)) {
			$maxzn = $minzn;
		}

		$firstzn = "";

		if ($item->firstzn) {
			$firstzn = preg_quote(pn_strip_input($item->firstzn));
		}

		if ($value && preg_match("/^" . $firstzn . "/i", $value)) {
			if ($minzn <= mb_strlen($value)) {
				if (((mb_strlen($value) <= $maxzn) && (0 < $maxzn)) || ($maxzn < 1)) {
					return $value;
				}
			}
		}
	}

	return "";
}

function get_bids_url($hash)
{
	if ($hash) {
		$url = get_pn_page("exchangestep");
		$url = rtrim($url, "/") . "/hst_" . $hash . "/";
		return apply_filters("get_bids_url", $url, $hash);
	}

	return "#";
}

function plus_persent_curs($curs, $elem, $nums)
{
	$ncurs = 0;

	if (0 < $curs) {
		if ($elem == 0) {
			$ncurs = $curs + $nums;
		}
		else {
			$ncurs = $curs + (($curs / 100) * $nums);
		}
	}

	$ncurs = is_my_money($ncurs);
	return $ncurs;
}

function get_min_sum_to_naps_give($naps, $vd)
{
	return is_my_money($naps->minsumm1);
}

function get_min_sum_to_naps_get($naps, $vd)
{
	return is_my_money($naps->minsumm2);
}

function get_max_sum_to_naps_give($naps, $vd)
{
	$max1 = "no";

	if (0 < $naps->maxsumm1) {
		$max1 = $naps->maxsumm1;
	}

	return pn_strip_input($max1);
}

function get_max_sum_to_naps_get($naps, $vd)
{
	$max2 = "no";

	if (0 < $naps->maxsumm2) {
		$max2 = $naps->maxsumm2;
	}

	$reserv = $vd->valut_reserv;

	if (is_numeric($max2)) {
		if ($reserv < $max2) {
			$max2 = $reserv;
		}
	}
	else {
		$max2 = $reserv;
	}

	if (is_numeric($max2)) {
		if ($max2 < 0) {
			$max2 = 0;
		}

		$max2 = is_my_money($max2);
	}

	return pn_strip_input($max2);
}

function get_us_sk($summ, $user_id, $user_sk)
{
	if ($user_id && (0 < $summ) && ($user_sk == 0)) {
		$skidka = get_user_discount($user_id);

		if (0 < $skidka) {
			return ($summ / 100) * $skidka;
		}
	}

	return 0;
}

function pers_alter_summ($summ, $pers)
{
	if ((0 < $summ) && (0 < $pers)) {
		return pn_strip_input((100 * $summ) / (100 - $pers));
	}

	return pn_strip_input($summ);
}

function summ_for_z($summ)
{
	$summ = trim($summ);
	$summ = str_replace(",", ".", $summ);
	$sum = explode(".", $summ);
	return pn_strip_input($sum[0]);
}

function summ_pers($summ, $pers)
{
	if ((0 < $summ) && (0 < $pers)) {
		return pn_strip_input($summ + (($summ / 100) * $pers));
	}

	return 0;
}

function update_naps_to_masschange($id)
{
	global $wpdb;
	$massch = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "masschange WHERE id='$id'");

	if (isset($massch->id)) {
		$curs1 = is_my_money($massch->curs1);
		$curs2 = is_my_money($massch->curs2);
		$p_arr = array();
		$p_arr["curs1"] = $curs1;
		$p_arr["curs2"] = $curs2;
		$wpdb->update($wpdb->prefix . "napobmens", $p_arr, array("masschange" => $id));
	}
}

function valuts_rxzt($id)
{
	global $wpdb;
	$id = intval($id);
	$valuts = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "valuts WHERE id='$id'");
	return pn_strip_input($valuts->rxzt);
}

function get_id_by_xml($xml)
{
	global $wpdb;
	$xml = is_xml_value($xml);
	$valuts = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "valuts WHERE xml_value='$xml'");
	return $valuts->id;
}

function valuts_title_by_xml($xml)
{
	global $wpdb;
	$xml = is_xml_value($xml);
	$valuts = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "valuts WHERE xml_value='$xml'");
	return pn_strip_input($valuts->vname . " " . $valuts->vtype);
}

function get_naps_by_id($valut1, $valut2)
{
	global $wpdb;
	$valut1 = intval($valut1);
	$valut2 = intval($valut2);
	$valuts = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "napobmens WHERE valsid1='$valut1' AND valsid2='$valut2' AND status='1'");
	return $valuts;
}

function update_naps_to_parser()
{
	global $wpdb;
	$curs_parser = get_option("curs_parser");

	if (!is_array($curs_parser)) {
		$curs_parser = array();
	}

	$naps = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "napobmens WHERE parser != '0'");

	foreach ($naps as $item ) {
		$parser = pn_strip_input($item->parser);
		$data_id = $item->id;
		$nums1 = pn_strip_input($item->parcommis1);
		$nums2 = pn_strip_input($item->parcommis2);
		$elem1 = pn_strip_input($item->parprorsum1);
		$elem2 = pn_strip_input($item->parprorsum2);

		if (0 < $parser) {
			$curs_data = is_isset($curs_parser, $parser);
			$curs1 = is_my_money(is_isset($curs_data, "curs1"));
			$curs2 = is_my_money(is_isset($curs_data, "curs2"));
			$ncurs1 = plus_persent_curs($curs1, $elem1, $nums1);
			$ncurs2 = plus_persent_curs($curs2, $elem2, $nums2);

			if (0 < $ncurs1) {
				$p_arr = array();
				$p_arr["curs1"] = $ncurs1;
				$p_arr["curs2"] = $ncurs2;
				$wpdb->update($wpdb->prefix . "napobmens", $p_arr, array("id" => $data_id));
			}
		}
	}
}

if (!defined("ABSPATH")) {
	exit();
}

if (is_multisite()) {
	wp_die("Please disabled multisite!");
}

?>
