<?php
class Rnews_Widget extends WP_Widget {
	
	public function __construct($id_base = false, $widget_options = array(), $control_options = array()){
		parent::__construct('get_rnews', __('News','pn'), $widget_options = array(), $control_options = array());
	}
	
	public function widget($args, $instance){
		extract($args);

		global $wpdb;	
		
		$title = pn_strip_input(is_isset($instance,'title'));
		if(!$title){ $title = __('News','pn'); }
		
		$count = intval(is_isset($instance,'count'));
		if($count < 1){ $count=5; }
		
		$sorter = pn_strip_input(is_isset($instance,'sorter'));
		$desc = pn_strip_input(is_isset($instance,'desc'));
		$cat = intval(is_isset($instance,'tcat'));	
		
		$args = array(
			'post_type' => 'post',
			'orderby' => $sorter,
			'order' => $desc,
		);	
		
		if($cat){
			$args['cat'] = $cat;
		}	
		$args['posts_per_page'] = '-1';
		$countpost = count(get_posts($args));
		$args['posts_per_page'] = $count;
	
		$data_posts = get_posts($args);	
		
		$hidepost = $countpost-$count; if($hidepost < 1){ $hidepost = 0; }
	
		$sof = get_option('show_on_front'); 
		if($sof == 'page'){
			$news_url = get_permalink(get_option('page_for_posts'));
		} else {
			$news_url = get_option('siteurl');
		}	
	
		$news = '';
		$r=0;
		foreach($data_posts as $item){ $r++;

			$fclass = '';
			if($r == 1){ $fclass='first'; }
					
			$lclass = '';
			if($r == $count){ $lclass='last'; }
					
			if($r%2 == 0){
				$oddeven = 'even';
			} else {
				$oddeven = 'odd';
			}			
		
			$tnews = apply_filters('exb_news_widget_one', '', $item, $r);
			$tnews = trim($tnews);
			if(!$tnews){
				$tnews = '
				<div class="wnewsline '. $fclass .' '. $lclass .' '. $oddeven .'">
					<div class="wnewsdate">'. get_the_time( 'd.m.Y', $item->ID) .'</div>
					<div class="wnewstitle"><a href="'. get_permalink($item->ID) .'">'. pn_strip_input($item->post_title) .'</a></div>
				</div>		
				';		
			}
			$news .= $tnews;
		} 	
	
		$array = array(
			'[countpost]' => $countpost,
			'[hidepost]' => $hidepost,
			'[count]' => $count,
			'[title]' => $title,
			'[url]' => $news_url,
			'[news]' => $news,
		);
		$widget = '
		<div class="widget exb_news_widget"><div class="widgettitle">[title]</div>
		[news]
		</div>';
		
		$widget = apply_filters('exb_news_widget_block', $widget);
		$widget = get_replace_arrays($array, $widget);
		echo $widget;
	
	}

	public function form($instance){ 
		$categories = get_categories('hide_empty=0');
	?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title'); ?>: </label><br />
			<input type="text" name="<?php echo $this->get_field_name('title'); ?>" id="<?php $this->get_field_id('title'); ?>" class="widefat" value="<?php echo is_isset($instance,'title'); ?>">
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('tcat'); ?>"><?php _e('Category','pn'); ?>: </label><br />
			<select name="<?php echo $this->get_field_name('tcat'); ?>" id="<?php $this->get_field_id('tcat'); ?>">
				<option value="0"><?php _e('All','pn'); ?></option>
				<?php if(is_array($categories)){ 
					foreach($categories as $cats){
				?>
					<option value="<?php echo $cats->cat_ID;?>" <?php selected(is_isset($instance,'tcat'), $cats->cat_ID); ?>><?php echo $cats->name;?></option>
				<?php }} ?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Count','pn'); ?>: </label><br />
			<input type="text" name="<?php echo $this->get_field_name('count'); ?>" id="<?php $this->get_field_id('count'); ?>" class="widefat" value="<?php echo is_isset($instance,'count'); ?>">
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('sorter'); ?>"><?php _e('Orderby','pn'); ?>: </label><br />
			<select name="<?php echo $this->get_field_name('sorter'); ?>" autocomplete="off" id="<?php $this->get_field_id('sorter'); ?>">
				<option value="date"><?php _e('Date','pn'); ?></option>
				<option value="title" <?php selected(is_isset($instance,'title'),'title'); ?> ><?php _e('Title','pn'); ?></option>
				<option value="rand" <?php selected(is_isset($instance,'rand'),'rand'); ?> ><?php _e('Random','pn'); ?></option>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('desc'); ?>"><?php _e('Order','pn'); ?>: </label><br />
			<select name="<?php echo $this->get_field_name('desc'); ?>" autocomplete="off" id="<?php $this->get_field_id('desc'); ?>">
				<option value="asc"><?php _e('Asc','pn'); ?></option>
				<option value="desc" <?php selected(is_isset($instance,'desc'),'desc'); ?> ><?php _e('Desc','pn'); ?></option>
			</select>
		</p>
	<?php
	}
	
}

register_widget('Rnews_Widget');

?>