<?php
if( !defined( 'ABSPATH')){ exit(); }		

/*
Стандартные установки
Устанавливаются один раз и больше не изменяются программно
*/

global $wpdb;
$prefix = $wpdb->prefix;

$firsten = intval(get_option('first_exb'));
if(!$firsten or PN_NEW_UPDATE == 'true'){

	/* 
	работаем с ролями пользователей: 
	удаляем всех кроме админа и добавляем 3 новых роли с минимальными значениями
	*/	
	remove_role('editor');
	remove_role('author');
	remove_role('contributor');
	remove_role('subscriber');
	
	add_role('users', 'users', array());

	$wpdb->update( $prefix.'options' , array('option_value' => 'users'), array('option_name' => 'default_role'));
	/* end работаем с полями пользователей */

	/* устанавливаем нашу тему по умолчанию */ 
	update_option('template', 'exchangeboxtheme2');	
	update_option('stylesheet', 'exchangeboxtheme2');	
	/* end устанавливаем нашу тему по умолчанию */
	
	/* удаляем стандартные страницы */
	wp_delete_post( 1, true );
	wp_delete_post( 2, true );
	/* end удаление стандартных страниц */

	/* устанавливаем начальные настройки */
	update_option('use_smilies' , '');
	update_option('posts_per_rss',5);
	update_option('rss_use_excerpt' , '1');
	update_option('default_pingback_flag', 0);
	update_option('default_ping_status', 0);
	update_option('comments_notify', 0);
	update_option('moderation_notify', 0);
	update_option('comment_moderation', '1');
	update_option('show_avatars', '1');
	update_option('uploads_use_yearmonth_folders' , '');
	update_option('permalink_structure' , '/%postname%/');

	$wpdb->update($wpdb->prefix.'terms', array('slug'=>'norubrik'), array('term_id'=>1));
	/* end устанавливаем начальные настройки */

	/* 
	Работаем с htaccess 
	*/
	$file = ABSPATH.'/.htaccess';
	if(file_exists($file)){
		$content = @fopen($file, "r");
		$nfile = '';
		if ($content) {
			$update1 = 'true';
			$update2 = 'true';
			while (($buffer = @fgets($content)) !== false) {
				if(trim($buffer)=='Options All -Indexes'){
					$update1='false';
				}
				if(trim($buffer)=='<files wp-config.php>'){
					$update2='false';
				}
				$nfile .= $buffer;			
			}
			$upfile = "";
			if($update1=='true'){
				$upfile .= "Options All -Indexes \n\r";
			}
			if($update2=='true'){
				$upfile .= "<files wp-config.php> \n order allow,deny \n deny from all \n</files> \n\r";
			}	
			$upfile .= $nfile;
			$fs = @fopen($file, 'w+');
			@fwrite($fs, $upfile);
			@fclose($fs);	    

		}
	}  else {
		$rsec_content = "Options All -Indexes \n\r";
		$rsec_content .="<files wp-config.php> \n order allow,deny \n deny from all \n</files> \n\r";
		$fs = @fopen($file, 'w+');
		@fwrite($fs, $rsec_content);
		@fclose($fs);
	}
	/* end work to htaccess */

	update_option('first_exb' , '1');
}	
	
?>