<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_alogs', 'adminpage_title_pn_alogs');
function adminpage_title_pn_alogs(){
	_e('Authorization log','pn');
}

add_action('adminpage_content_pn_alogs','def_adminpage_content_pn_alogs');
function def_adminpage_content_pn_alogs(){

	if(class_exists('trev_alogs_List_Table')){
		$Table = new trev_alogs_List_Table();
		$Table->prepare_items();
		
		$user = pn_strip_input(is_param_get('user'));
?>

	<div class="premium_search">
		<form action="" method="get">
			<input type="hidden" name="page" value="pn_alogs" />

			<input type="search" name="user" placeholder="<?php _e('User','pn'); ?>" value="<?php echo $user; ?>" />
			
			<input type="submit" name="" class="button" value="<?php _e('Filter','pn'); ?>"  />
			<a href="<?php echo admin_url('users.php?page=pn_alogs');?>" class="button"><?php _e('Cancel','pn'); ?></a>

		</form>		
	</div><div class="rclear"></div>

	<form method="post" action="<?php the_link_tosaved(); ?>">
	
		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_alogs','def_myaction_post_pn_alogs');
function def_myaction_post_pn_alogs(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			if(isset($_POST['id']) and is_array($_POST['id'])){				
			
				if($action == 'delete'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."login_check WHERE id='$id'");
						if(isset($item->id)){
							
							$wpdb->query("DELETE FROM ".$wpdb->prefix."login_check WHERE id = '$id'");
							
						}
					}
					
					$reply = '&reply=true';
					
				}

			} 
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_alogs_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		if($column_name == 'cuser'){
			
			$user_id = $item->user_id;
			$us = '';
			if($user_id > 0){
		        $us .='<a href="user-edit.php?user_id='. $user_id .'">';
				$us .= is_user($item->user_login); 
		        $us .='</a>';
			} 
			
		    return $us;	
			
		} elseif($column_name == 'cdate'){
			
		    return get_mytime($item->datelogin,'d.m.Y H:i:s');
			
		} elseif($column_name == 'cbrowser'){
			
		    return get_browser_name($item->user_browser);
			
		} elseif($column_name == 'cip'){	
			
			return pn_strip_input($item->user_ip);

		}
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',          
			'cdate'     => __('Date','pn'),
			'cuser'    => __('User','pn'),
			'cip'    => __('IP','pn'),
			'cbrowser'  => __('Browser','pn'),
        );
		
        return $columns;
    }		

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_alogs_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;		
		
		$where = '';

		$user = str_replace('%','',pn_strip_input(is_param_get('user')));
		if($user){
			$where = " AND user_login LIKE '%$user%'";
		}
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."login_check WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."login_check WHERE id > 0 $where ORDER BY datelogin DESC LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }	  
	
}


add_action('myscreen_pn_alogs','my_myscreen_pn_alogs');
function my_myscreen_pn_alogs() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_alogs_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_alogs_List_Table')){
		
		$myListTable = new trev_alogs_List_Table;
	
	}

} 
?>