<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_blacklist', 'adminpage_title_pn_blacklist');
function adminpage_title_pn_blacklist(){
	_e('Black list','pn');
}

add_action('adminpage_content_pn_blacklist','def_adminpage_content_pn_blacklist');
function def_adminpage_content_pn_blacklist(){

	if(class_exists('trev_blacklist_List_Table')){
		$Table = new trev_blacklist_List_Table();
		$Table->prepare_items();
		
		$item = pn_strip_input(is_param_get('item'));
		$witem = intval(is_param_get('witem'));
?>
	<div class="premium_search">
		<form action="" method="get">
			<input type="search" name="item" value="<?php echo $item; ?>" />
			<select name="witem" style="position: relative; top: -3px;" autocomplete="off">
				<option value="0" <?php selected($witem,0); ?>><?php _e('everywhere','pn'); ?></option>
				<option value="1" <?php selected($witem,1); ?>><?php _e('account','pn'); ?></option>
				<option value="2" <?php selected($witem,2); ?>><?php _e('e-mail','pn'); ?></option>
				<option value="3" <?php selected($witem,3); ?>><?php _e('phone','pn'); ?></option>
				<option value="4" <?php selected($witem,4); ?>><?php _e('skype','pn'); ?></option>
				<option value="5" <?php selected($witem,5); ?>><?php _e('ip','pn'); ?></option>
			</select>
			<input type="hidden" name="page" value="pn_blacklist" />
			<input type="submit" name="" class="button" value="<?php _e('Search','pn'); ?>"  />

			<?php if($item){ ?>
				<a href="<?php echo admin_url('admin.php?page=pn_blacklist');?>" class="button"><?php _e('Cancel','pn'); ?></a>
			<?php } ?>		
		</form>
	</div><div class="rclear"></div>
	

	<form method="post" action="<?php the_link_tosaved(); ?>">
	
		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_blacklist','def_myaction_post_pn_blacklist');
function def_myaction_post_pn_blacklist(){
global $wpdb;	
	if(current_user_can('administrator') or current_user_can('pn_blacklist')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			if(isset($_POST['id']) and is_array($_POST['id'])){			
			
				if($action == 'delete'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."blacklist WHERE id='$id'");
						if(isset($item->id)){
							do_action('pn_blacklist_delete_before', $id, $item);
							$wpdb->query("DELETE FROM ".$wpdb->prefix."blacklist WHERE id = '$id'");
							do_action('pn_blacklist_delete', $id, $item);
						}
					}
					
					$reply = '&reply=true';
					
				}

			} 
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 

if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_blacklist_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_blacklist_column_col', $column_name,$item);
		
		if($column_name == 'ctype'){
			
			$arr = array('0'=>__('invoice','pn'),'1'=>__('e-mail','pn'),'2'=>__('phone','pn'),'3'=>__('skype','pn'),'4'=>__('ip','pn'));
			return is_isset($arr,$item->meta_key);	
			
		} 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_cvalue($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_blacklist&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            pn_strip_input($item->meta_value),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',          
			'cvalue'     => __('Value','pn'),
			'ctype'    => __('Type','pn'),
        );
		
		$columns = apply_filters('manage_restrict_blacklist_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_blacklist_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$where = '';

		$item = str_replace('%','',pn_strip_input(is_param_get('item')));
        if($item){ 
            $where .= " AND meta_value LIKE '%$item%'";
		}		
		
		$witem = intval(trim(is_param_get('witem')));
        if($witem){ 
			$witem = intval($witem);
			if($witem > 0){
				$witem = $witem - 1;
				$where .= " AND meta_key = '$witem'";
			}
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."blacklist WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."blacklist WHERE id > 0 $where ORDER BY id DESC LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
    ?>
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_blacklist');?>" class="button"><?php _e('Add new','pn'); ?></a>
			<a href="<?php echo admin_url('admin.php?page=pn_add_blacklist_many');?>" class="button"><?php _e('Add list','pn'); ?></a>
		</div>
		<?php
	}	  
	
}

add_action('myscreen_pn_blacklist','my_myscreen_pn_blacklist');
function my_myscreen_pn_blacklist() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_blacklist_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_blacklist_List_Table')){
		
		$myListTable = new trev_blacklist_List_Table;
	
	}

}
?>