<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_config_captcha', 'adminpage_title_pn_config_captcha');
function adminpage_title_pn_config_captcha(){

	_e('Captcha','pn');

}

add_action('adminpage_content_pn_config_captcha','def_adminpage_content_pn_config_captcha');
function def_adminpage_content_pn_config_captcha(){
?>	
<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Captcha','pn'), __('Save','pn'));
					
				$placed = apply_filters('placed_captcha',array());

				if(is_array($placed)){
					foreach($placed as $key => $title){
						pn_select($title, $key, array('0'=>__('No','pn'),'1'=>__('Yes','pn')), get_change('captcha',$key));	
					}
				}
				
				pn_h3('', __('Save','pn'));	
			?>
		</table>
	</form>		
</div>	
	
<?php
}

/* форма обработки */
add_action('myaction_post_pn_config_captcha','def_myaction_post_pn_config_captcha');
function def_myaction_post_pn_config_captcha(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
		$placed = apply_filters('placed_captcha',array());	
		if(is_array($placed)){
			foreach($placed as $key => $title){	
				update_change('captcha',$key,intval(is_param_post($key)));	
			}
		}		

		$url = admin_url('admin.php?page=pn_config_captcha&reply=true');
		wp_redirect($url);
		exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
/* end форма обработки */
				
/* функции каптчи */
function sc_generate_image($word) {

	$word = pn_strip_input($word);

	$fonts = array(
		PN_PLUGIN_DIR . 'fonts/GenAI102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenAR102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenI102.TTF',
		PN_PLUGIN_DIR . 'fonts/GenR102.TTF' 
	);
	$fonts = apply_filters('pn_sc_fonts', $fonts);

	$wp_upload_dir = wp_upload_dir();
	$path = $wp_upload_dir['basedir'];
	$dir = trailingslashit( $path . '/captcha/' );	
	if(!realpath($dir)){
		@mkdir($dir, 0777);
	}
	
	$filename = '';
	$prefix = time() . mt_rand(1000,1000000);

	if ( $im = imagecreatetruecolor( 50, 50 ) ) {

		$bg = imagecolorallocate( $im, 255, 255, 255 );
		
		$color = apply_filters('pn_sc_color', array('49','118','232'));
		$fg = imagecolorallocate( $im, $color[0], $color[1], $color[2] );
		imagefill( $im, 0, 0, $bg );

		$font = $fonts[array_rand( $fonts )];
		imagettftext($im, 30, 0, mt_rand(0,30), mt_rand(30,40) , $fg, $font, $word );

		$filename = sanitize_file_name( $prefix . '.png' );
		$link = $dir . $filename;
		imagepng( $im, $link );

		imagedestroy( $im );
				
	}

	return $wp_upload_dir['baseurl'] . '/captcha/'. $filename;
}

add_action('init','sc_init');
function sc_init(){
global $wpdb;
	
	$sess_hash = get_session_id();
	$cc = $wpdb->query("SELECT id FROM ".$wpdb->prefix."standart_captcha WHERE sess_hash = '$sess_hash'");
	if($cc == 0){
	
		$array = array();
		$array['sess_hash'] = $sess_hash;
		$array['createdate'] = current_time('mysql');
		$array['num1'] = mt_rand(1,9);
		$array['num2'] = mt_rand(0,9);
		$wpdb->insert($wpdb->prefix.'standart_captcha', $array);

	}
}

function sc_del_img(){	
global $wpdb;

	$time = current_time('timestamp') - (24*60*60);
	$date = date('Y-m-d H:i:s', $time);
	$wpdb->query("DELETE FROM ".$wpdb->prefix."standart_captcha WHERE createdate < '$date'");	
	
	$wp_upload_dir = wp_upload_dir();
	$path = $wp_upload_dir['basedir'];
    $dir = trailingslashit( $path . '/captcha/' );
    if(is_array(glob("$dir*"))){
        foreach (glob("$dir*") as $filename) {
	        if(is_file($filename)){
			    @unlink($filename);
			}
        }
    }
	
}

add_filter('mycron_1day', 'mycron_1day_scdel');
function mycron_1day_scdel($filters){
	
	$filters['sc_del_img'] = __('Delete standart captcha','pn');
	
	return $filters;
}

add_action('ajax_post_form_jsresult','ajax_post_form_jsresult_captcha');
function ajax_post_form_jsresult_captcha(){
?>
/* captcha */
	if(ht['ncapt1']){
		$('.captcha1').attr('src',ht['ncapt1']);
	}
	if(ht['ncapt2']){
		$('.captcha2').attr('src',ht['ncapt2']);
	}
/* end captcha */
<?php	
}

add_action('siteplace_js','siteplace_js_captcha');
add_action('mobileplace_js','siteplace_js_captcha');
function siteplace_js_captcha(){
?>
/* captcha */
jQuery(function($){
	$('.captcha_reload').live('click',function(){

		var thet = $(this);
		thet.addClass('act');	
	
		var dataString='have=reload';
		$.ajax({
		type: "POST",
		url: "<?php echo get_ajax_link('sc_reload'); ?>",
		dataType: 'json',
		data: dataString,
		success: function(ht)
		{
			if(ht['ncapt1']){
				$('.captcha1').attr('src',ht['ncapt1']);
			}
			if(ht['ncapt2']){
				$('.captcha2').attr('src',ht['ncapt2']);
			}	

			thet.removeClass('act');
		}
		});
		
		return false;
	});
});	
/* end captcha */
<?php	
}

function sc_reload(){
global $wpdb;
	$data = array();

	$sess_hash = get_session_id();
	$wpdb->query("DELETE FROM ".$wpdb->prefix."standart_captcha WHERE sess_hash = '$sess_hash'");
	
	$array = array();
	$array['sess_hash'] = $sess_hash;
	$array['createdate'] = current_time('mysql');
	$array['num1'] = mt_rand(1,9);
	$array['num2'] = mt_rand(0,9);
	$wpdb->insert($wpdb->prefix.'standart_captcha', $array);

	$data['img1'] = ac_generate_image($array['num1']);
	$data['img2'] = ac_generate_image($array['num2']);	
	
	return $data;
}

add_action('myaction_site_sc_reload', 'the_myaction_post_sc_reload');
function the_myaction_post_sc_reload(){

	only_post();
	
	$log = array();

	$data = sc_reload();

	$log['ncapt1'] = $data['img1'];
	$log['ncapt2'] = $data['img2'];

	$log['empty'] = 1;
	echo json_encode($log);		
		
}

/* end функции каптчи */

add_filter('placed_captcha','def_placed_captcha');
function def_placed_captcha($placed){
	$placed = array(
		'contactform' => __('Contact form','pn'),
		'loginform' => __('Login form','pn'),
		'reviewsform' => __('Add reviews form','pn'),
		'registerform' => __('Register form','pn'),
		'lostpassform' => __('Lost Password Form','pn'),
		'reservform' => __('Reserve request form','pn'),
		'exchangeform' => __('Exchange order','pn'),
	);
	
	return $placed;			
}

/* подключение */
if(get_change('captcha','reviewsform') == 1){
	add_filter('exb_body_otzivs_page','exb_body_otzivs_page_captcha');
	add_filter('before_ajax_reviewsform','check_standart_captcha');
}
if(get_change('captcha','contactform') == 1){
	add_filter('exb_body_contact_page','exb_body_contact_page_captcha');
	add_filter('before_ajax_contactform','check_standart_captcha');
}
if(get_change('captcha','registerform') == 1){
	add_filter('exb_body_register_page','exb_body_register_page_captcha');
	add_filter('widget_register_form_line', 'form_line_captcha', 99, 2);
	add_filter('before_ajax_registerform','check_standart_captcha');
}
if(get_change('captcha','loginform') == 1){
	add_filter('exb_body_login_page','exb_body_login_page_captcha');
	add_filter('widget_login_form_line', 'form_line_captcha', 99, 2);
	add_filter('before_ajax_loginform','check_standart_captcha');
}
if(get_change('captcha','lostpassform') == 1){
	add_filter('exb_body_lostpass_page','exb_body_lostpass_page_captcha');
	add_filter('before_ajax_lostpass1','check_standart_captcha');
}
if(get_change('captcha','reservform') == 1){
	add_action('reserv_form', 'reserv_form_captcha');
	add_filter('before_ajax_reservform','check_standart_captcha');
}
if(get_change('captcha','exchangeform') == 1){
	add_filter('exchange_step1', 'exchange_form_captcha');
	add_filter('before_ajax_bidsform','check_standart_captcha');
}

function get_captcha_temp($img1,$img2){
	
	$temp = '
	<div class="captchablock">
		<div class="captchalabel">'. __('Type your answer','pn') .':</div>
		
		<div class="captchline">
			<img src="'. $img1 .'" class="captcha1" alt="" />
		</div>
		<div class="captchznak">
			+
		</div>	
		<div class="captchline">
			<img src="'. $img2 .'" class="captcha2" alt="" />
		</div>
		<div class="captchznak">
			=
		</div>			
		<div class="captchinput">
			<input type="text" name="number" autocomplete="off" maxlength="2" value="" />
		</div>			
			<div class="clear"></div>
		<div class="captchatext"><a href="#" class="captcha_reload">'. __('replace task?','pn') .'</a></div>
			<div class="clear"></div>
	</div>	
	';
	$temp = apply_filters('get_captcha_temp', $temp, $img1, $img2);
	$temp = str_replace('name="captcha"','name="number"',$temp);
	
	return $temp;
}

function exchange_form_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .= get_captcha_temp($img1,$img2); 
	
	return $temp;
}

function reserv_form_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .= get_captcha_temp($img1,$img2); 
	
	echo $temp;
}

function form_line_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .= get_captcha_temp($img1,$img2); 
	
	return $temp;		
}

function exb_body_lostpass_page_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .='
	<tr class="lpscaptcha"><td class="lpsleft"></td><td class="lpsright">
	'. get_captcha_temp($img1,$img2) .'
	</td></tr>
	';	
	
	return $temp;
}

function exb_body_register_page_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .='
	<tr class="rfcaptcha"><td class="rfleft"></td><td class="rfright">
	'. get_captcha_temp($img1,$img2) .'
	</td></tr>
	';	
	
	return $temp;
}

function exb_body_login_page_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .='
	<tr class="lfcaptcha"><td class="lfleft"></td><td class="lfright">
	'. get_captcha_temp($img1,$img2) .'
	</td></tr>
	';	
	
	return $temp;
}

function exb_body_contact_page_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .='
	<tr class="cfcaptcha"><td class="cfleft"></td><td class="cfright">
	'. get_captcha_temp($img1,$img2) .'
	</td></tr>
	';	
	
	return $temp;
}

function exb_body_otzivs_page_captcha($temp){
global $wpdb;

	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
		$num1 = $data->num1;
		$num2 = $data->num2;
	} else {
		$num1 = 1;
		$num2 = 2;
	}
		
	$img1 = sc_generate_image($num1);
	$img2 = sc_generate_image($num2);	
	
	$temp .='
	<tr class="otzcaptcha"><td class="otzleft"></td><td class="otzright">
	'. get_captcha_temp($img1,$img2) .'
	</td></tr>
	';	
	
	return $temp;
}

function check_standart_captcha($log){
global $wpdb;

	$number = trim(is_param_post('number'));
			
	$sess_hash = get_session_id();
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."standart_captcha WHERE sess_hash='$sess_hash'");
	if(isset($data->id)){
					
		$num1 = $data->num1;
		$num2 = $data->num2;
		$sum = $num1+$num2;
		if($number != $sum){
				
			$data = sc_reload();
			$log['ncapt1'] = $data['img1'];
			$log['ncapt2'] = $data['img2'];				
			$log['otv']	= 'error';
			$log['text'] = __('Error! You have not entered the control number.','pn');
			echo json_encode($log);
			exit;
			
		}
				
	} else {
		$data = sc_reload();
		$log['ncapt1'] = $data['img1'];
		$log['ncapt2'] = $data['img2'];		
		$log['otv']	= 'error';
		$log['text'] = __('Error! You have not entered the control number.','pn');
		echo json_encode($log);
		exit;
	}	
	
	$data = sc_reload();
	$log['ncapt1'] = $data['img1'];
	$log['ncapt2'] = $data['img2'];
	
	return $log;
}
/* end подключение */

?>