<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_cfc', 'adminpage_title_pn_cfc');
function adminpage_title_pn_cfc(){
	_e('Custom fields','pn');
}

add_action('adminpage_content_pn_cfc','def_adminpage_content_pn_cfc');
function def_adminpage_content_pn_cfc(){

	if(class_exists('trev_cfc_List_Table')){
		$Table = new trev_cfc_List_Table();
		$Table->prepare_items();
		
		$mod = intval(is_param_get('mod'));
		$valut_id = intval(is_param_get('valut_id'));
?>

	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_cfc&valut_id='.$valut_id);?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_cfc&mod=1&valut_id='.$valut_id);?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('active custom fields','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_cfc&mod=2&valut_id='.$valut_id);?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('not active custom fields','pn'); ?></a></li>
	</ul>

	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_cfc','def_myaction_post_pn_cfc');
function def_myaction_post_pn_cfc(){
global $wpdb;	
	if(current_user_can('administrator')){
	
			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$valut_id = intval(is_param_post('valut_id'));
				if($valut_id){
					$ref .= '&valut_id='.$valut_id;
				}
				
				$url = admin_url('admin.php?page=pn_cfc') . $ref . $reply;
				wp_redirect($url);
				exit;

			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action=='active'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."custom_fields_valut WHERE id='$id' AND status != '1'");
							if(isset($item->id)){
								do_action('pn_cfc_activate_before', $id);
								$wpdb->update($wpdb->prefix.'custom_fields_valut', array('status'=>'1'), array('id'=>$id));
								do_action('pn_cfc_activate', $id);
							}
						}
						$reply = '&reply=true';
					}	

					if($action=='notactive'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."custom_fields_valut WHERE id='$id' AND status != '0'");
							if(isset($item->id)){		
								do_action('pn_cfc_notactivate_before', $id, $item);
								$wpdb->update($wpdb->prefix.'custom_fields_valut', array('status'=>'0'), array('id'=>$id));
								do_action('pn_cfc_notactivate', $id, $item);
							}
						}
						$reply = '&reply=true';
					}	

					if($action=='delete'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."custom_fields_valut WHERE id='$id'");
							if(isset($item->id)){
								do_action('pn_cfc_delete_before', $id, $item);
								$wpdb->query("DELETE FROM ".$wpdb->prefix."custom_fields_valut WHERE id = '$id'");
								do_action('pn_cfc_delete', $id, $item);
							}
						}
						$reply = '&reply=true';
					}
					
				}  
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_cfc_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		if($column_name == 'minzn'){
			return intval($item->minzn);
		} elseif($column_name == 'maxzn'){
			return intval($item->maxzn);
		} elseif($column_name == 'valuts'){
		    return get_vtitle($item->valut_id);			
		} elseif($column_name == 'status'){	
		    if($item->status == 0){ 
			    return '<span class="bred">'. __('not active field','pn') .'</span>'; 
			} else { 
			    return '<span class="bgreen">'. __('active field','pn') .'</span>'; 
			}			
		}
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_title($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_cfc&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            pn_strip_input($item->cf_name),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'title'     => __('Custom field title','pn'),
			'valuts'    => __('Currency title','pn'),
			'minzn' => __('Min. number of symbols','pn'),
			'maxzn' => __('Max. number of symbols','pn'),
			'status'    => __('Status','pn'),
        );
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
			'active'    => __('Activated','pn'),
			'notactive'    => __('Deactivated','pn'),		
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_cfc_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$where = '';
		
        $mod = intval(is_param_get('mod'));
        if($mod == 1){ 
            $where .= " AND status='1'"; 
		} elseif($mod == 2){
			$where .= " AND status='0'";
		}		
		
        $valut_id = intval(is_param_get('valut_id'));
        if($valut_id > 0){ 
            $where .= " AND valut_id='$valut_id'"; 
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."custom_fields_valut WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."custom_fields_valut WHERE id > 0 $where ORDER BY cf_order ASC LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {		  	
		global $wpdb;
		
		$valuts = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts ORDER BY vname ASC");		  	
    ?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$valut_id = intval(is_param_get('valut_id'));
?>
			<select name="valut_id" autocomplete="off">
				<option value="0"><?php echo _e('All currency','pn'); ?></option>
            <?php
				foreach($valuts as $item){
					echo "\t<option value='" . $item->id . "' " . selected($item->id, $valut_id, false ) . ">". pn_strip_input($item->vname .' '. $item->vtype) ."</option>\n";
			    }
			?>
			</select>
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}	
    ?>
	    </div>
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_cfc');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>		
	<?php 
	}	  
	
}

add_action('myscreen_pn_cfc','my_myscreen_pn_cfc');
function my_myscreen_pn_cfc() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_cfc_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_cfc_List_Table')){
		
		$myListTable = new trev_cfc_List_Table;
	
	}

}
?>