<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_cron', 'adminpage_title_pn_cron');
function adminpage_title_pn_cron($page){

	_e('Cron','pn');

} 

/* настройки */
add_action('adminpage_content_pn_cron','def_adminpage_content_pn_cron');
function def_adminpage_content_pn_cron(){

$cronsite = get_option('the_cron');
$cron = array(
	'now' => __('When handling','pn'),
	'2min' => __('Interval 2 minutes','pn'),
	'5min' => __('Interval 5 minutes','pn'),
	'10min' => __('Interval 10 minutes','pn'),
	'30min' => __('Interval 30 minutes','pn'),
	'1hour' => __('Interval 1 hour','pn'),
	'3hour' => __('Interval 3 hour','pn'),
	'05day' => __('Interval half day','pn'),
	'1day' => __('Interval 1 day','pn'),
);
?>
<div class="premium_default_window">
	<?php _e('If for some reason your job does not work, you can contact on a direct link to the','pn'); ?><br /> 
	<a href="<?php echo get_site_url_or(); ?>/cron.html" target="_blank"><?php echo get_site_url_or(); ?>/cron.html</a>
</div>

<div class="premium_default_window">
	<?php _e('Special file for courses','pn'); ?><br /> 
	<a href="<?php echo get_site_url_or(); ?>/curscron.html" target="_blank"><?php echo get_site_url_or(); ?>/curscron.html</a>
</div>

<div class="premium_body">

		
	<table class="premium_standart_table">
		<?php
			pn_h3(__('Cron','pn'), '');	
		?>
	</table>
		
	<?php foreach($cron as $key => $title){ 
		$time = __('none','pn');
		if(isset($cronsite[$key])){
			$time = date('d.m.Y H:i:s', $cronsite[$key]);	
		}
		
		$cron_func = apply_filters('mycron_'.$key, array());
		if(!is_array($cron_func)){ $cron_func = array(); }
		
		if(count($cron_func) > 0){
	?>
	<div class="crontab">
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="action" value="<?php echo $key; ?>" />
		
		<div class="crontitle"><?php echo $title; ?></div>
		<div class="cronmeta"><span class="crontime"><?php echo $time; ?></span> <input type="submit" name="submit" class="button" value="<?php _e('Run','pn'); ?>" /></div>
		
		<div class="cronjobdiv">
			<?php foreach($cron_func as $crontitle){ ?>
				<div class="cronjob"><?php echo $crontitle; ?></div>
			<?php } ?>
		</div>
		
	</form>
	</div>
		<?php }
	} ?>

</div>		
<?php
}

/* обработка */
add_action('myaction_post_pn_cron','def_myaction_post_pn_cron');
function def_myaction_post_pn_cron(){
global $wpdb;	

	if(current_user_can('administrator') or current_user_can('pn_test_cron')){
		
		only_post();
	
			$action = strip_tags(is_param_post('action'));
			$def = array('now','2min','5min','10min','30min','1hour','3hour','05day','1day');
			if(in_array($action,$def)){ 
	
				$time = current_time('timestamp');
				$cronsite = get_option('the_cron');
				$cronsite[$action] = $time;
				update_option('the_cron',$cronsite);
	
				go_mycron($action);

			} else {
				the_warning(__('Error! Invalid command!','pn'));
			}
	
			$url = admin_url('admin.php?page=pn_cron&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}
?>