<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_discount', 'adminpage_title_pn_discount');
function adminpage_title_pn_discount(){
	_e('Member discounts','pn');
}

add_action('adminpage_content_pn_discount','def_adminpage_content_pn_discount');
function def_adminpage_content_pn_discount(){

	if(class_exists('trev_discount_List_Table')){
		$Table = new trev_discount_List_Table();
		$Table->prepare_items();
?>
	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_discount','def_myaction_post_pn_discount');
function def_myaction_post_pn_discount(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();

			if(isset($_POST['id']) and is_array($_POST['id'])){				
				
				if($action == 'delete'){
						
					foreach($_POST['id'] as $id){
						$id = intval($id);
							
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."user_discounts WHERE id='$id'");
						if(isset($item->id)){	
							do_action('pn_discount_delete_before', $id, $item);
							$wpdb->query("DELETE FROM ".$wpdb->prefix."user_discounts WHERE id = '$id'");
							do_action('pn_discount_delete', $id, $item);
						}
						
					}
						
					$reply = '&reply=true';
						
				}
					
			} 
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_discount_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_discount_column_col', $column_name,$item);
		
		if($column_name == 'discount'){
			
		    return is_my_money($item->discount) . '%';	
			
		} 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_title($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_discount&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            '>' . is_my_money($item->sumec),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',          
			'title'     => __('Amount more than','pn'),
			'discount'    => __('Discount','pn'),
        );
		
		$columns = apply_filters('manage_restrict_discount_column', $columns);
		
        return $columns;
    }	
	
    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
	
    function get_sortable_columns() {
        $sortable_columns = array( 
			'discount'     => array('discount',false),
            'title'     => array('title',false),
        );
        return $sortable_columns;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_discount_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'title'){
		    $orderby = '(sumec -0.0)';
		} else {
		    $orderby = '(discount -0.0)';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';		
		if($order != 'asc'){ $order = 'desc'; }

		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."user_discounts");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."user_discounts ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
    ?>
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_discount');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>
		<?php
	}	  
	
}


add_action('myscreen_pn_discount','my_myscreen_pn_discount');
function my_myscreen_pn_discount() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_discount_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_discount_List_Table')){
		
		$myListTable = new trev_discount_List_Table;
	
	}

}
?>