<?php
if( !defined( 'ABSPATH')){ exit(); }
 
add_action('adminpage_title_pn_exchange_config', 'adminpage_title_pn_exchange_config');
function adminpage_title_pn_exchange_config($page){

	_e('Setting the exchange','pn');

} 

/* настройки */
add_action('adminpage_content_pn_exchange_config','def_adminpage_content_pn_exchange_config');
function def_adminpage_content_pn_exchange_config(){
global $wpdb;
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Setting the exchange','pn'), __('Save','pn'));
					
				pn_input(__('Number of characters in the exchanges','pn'), 'courez', get_change('exchange','courez'));	
					
				$techreg = get_change('exchange','techreg');
				pn_select(__('maintenance mode','pn'), 'techreg', array('0'=>__('No','pn'),'1'=>__('Yes','pn'),'2'=>__('Yes, special','pn')), $techreg);
				
				$mhide = 'mhide';
				if($techreg == 1 or $techreg == 2){
					$mhide = '';	
				}	
				
				$mhide .= ' techregtext';
				pn_textarea(__('Text for maintenance','pn'), 'techregtext', get_change('exchange','techregtext'), '', '100px', $mhide);
			 
				pn_select(__('Hide exchange direction from the guests?','pn'), 'gostnaphide', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','gostnaphide'));	
			 
				pn_line();

				pn_select(__('Last name (the exchange)','pn'), 'pfname', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','pfname'));
				pn_select(__('First name (the exchange)','pn'), 'piname', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','piname'));
				pn_select(__('Second name (the exchange)','pn'), 'poname', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','poname'));
				pn_select(__('Phone (the exchange)','pn'), 'ptel', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','ptel'));
				pn_select(__('Skype (the exchange)','pn'), 'pskype', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('exchange','pskype'));
					
				pn_line();
				
				pn_select(__('Visibility in the application give account','pn'), 'an1_hidden', array('0'=>__('open data','pn'),'1'=>__('hidden data','pn'),'2'=>__('first 4 characters','pn'),'3'=>__('last 4 characters','pn'),'4'=>__('first 4 characters and last 4 characters','pn')),  get_change('exchange','an1_hidden'));
				pn_select(__('Visibility in the application get account','pn'), 'an2_hidden', array('0'=>__('open data','pn'),'1'=>__('hidden data','pn'),'2'=>__('first 4 characters','pn'),'3'=>__('last 4 characters','pn'),'4'=>__('first 4 characters and last 4 characters','pn')),  get_change('exchange','an2_hidden'));				
				pn_select(__('Visibility in the application personal data','pn'), 'an3_hidden', array('0'=>__('open data','pn'),'1'=>__('hidden data','pn'),'2'=>__('first 4 characters','pn'),'3'=>__('last 4 characters','pn'),'4'=>__('first 4 characters and last 4 characters','pn')),  get_change('exchange','an3_hidden'));
				
				pn_line();
				
				$check_new_user = get_option('check_new_user');
				if(!is_array($check_new_user)){ $check_new_user = array(); }
				
				$fields = array(
					'0'=> __('Account give','pn'),
					'1'=> __('Account get','pn'),
					'2'=> __('Phone','pn'),
					'3'=> __('Skype','pn'),
					'4'=> __('E-mail','pn'),
				);
				?>
				<tr>
					<th><?php _e('Check for the new user','pn'); ?></th>
					<td>
						<div class="premium_wrap_standart">
							<?php 
							if(is_array($fields)){
								foreach($fields as $key => $val){ ?>
									<div><label><input type="checkbox" name="check_new_user[]" <?php if(in_array($key,$check_new_user)){ ?>checked="checked"<?php } ?> value="<?php echo $key; ?>" /> <?php echo $val; ?></label></div>
							<?php 
								} 
							}
							?>							
						</div>
					</td>		
				</tr>				
				<?php
				
				pn_line();
				
				pn_select(__('Send messages when changing the status of the application administrator','pn'), 'admin_mail', array('0'=>__('No','pn'),'1'=>__('Yes','pn')), get_change('exchange','admin_mail'));
				
				pn_line();
				
				pn_select(__('Automatic deletion of unpaid claims','pn'), 'autodelete', array('0'=>__('No','pn'),'1'=>__('Yes','pn')), get_change('exchange','autodelete'));
				pn_input(__('How many hours?','pn'), 'ad_h', get_change('exchange','ad_h'));
				pn_input(__('How many minutes?','pn'), 'ad_m', get_change('exchange','ad_m'));
				
				do_action('pn_exchange_config_option');	
					
				pn_h3('', __('Save','pn'));								
			?>
		</table>
	</form>
		
</div>	
<script type="text/javascript">
$(function(){
	$('#pn_techreg').change(function(){
		
		if($(this).val() == '0'){
			$('.techregtext').hide();	
		} else {
			$('.techregtext').show();
		}
		
	});
});
</script>
<?php
} 

/* обработка */
add_action('myaction_post_pn_exchange_config','def_myaction_post_pn_exchange_config');
function def_myaction_post_pn_exchange_config(){
global $wpdb;	

	if(current_user_can('administrator')){
		
		only_post();
	
			$options = array('courez');	
			foreach($options as $key){
				$val = intval(is_param_post($key));
				if($val < 1 or $val > 6){ $val = 2; }
				update_change('exchange',$key,$val);
			}

			$options = array('pfname','piname','poname','ptel','pskype','autodelete','ad_h','ad_m','an1_hidden','an2_hidden','an3_hidden','admin_mail');	
			foreach($options as $key){
				$val = intval(is_param_post($key));
				update_change('exchange',$key,$val);
			}				
				
			$options = array('techreg','gostnaphide','techregtext');	
			foreach($options as $key){
				$val = pn_strip_input(is_param_post($key));
				update_change('exchange',$key,$val);
			}
			
			$check_new_user = is_param_post('check_new_user');
			update_option('check_new_user', $check_new_user);

			do_action('pn_exchange_config_option_post');
	
			$url = admin_url('admin.php?page=pn_exchange_config&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}
?>