<?php
if( !defined( 'ABSPATH')){ exit(); }

/* удаляем язык из стандартных настроек */
add_filter( 'whitelist_options', 'lang_whitelist_options' );
function lang_whitelist_options($whitelist_options){

	if(isset($whitelist_options['general'])){
		
		$key = array_search('WPLANG',$whitelist_options['general']);
		if(isset($whitelist_options['general'][$key])){
			unset($whitelist_options['general'][$key]);
		}

		$key = array_search('blogname',$whitelist_options['general']);
		if(isset($whitelist_options['general'][$key])){
			unset($whitelist_options['general'][$key]);
		}

		$key = array_search('blogdescription',$whitelist_options['general']);
		if(isset($whitelist_options['general'][$key])){
			unset($whitelist_options['general'][$key]);
		}		
		
	}

	return $whitelist_options;
}

add_action('admin_footer', 'standart_admin_lang_footer');
function standart_admin_lang_footer(){

	$screen = get_current_screen();
	if($screen->id == 'options-general'){
		?>
		<script type="text/javascript">
		jQuery(function($){
			$('#WPLANG').parents('tr').hide();
			$('#blogname').parents('tr').hide();
			$('#blogdescription').parents('tr').hide();
		});
		</script>
		<?php
	}
	
} 
/* end удаляем язык из стандартных настроек */

add_action('adminpage_title_pn_lang', 'adminpage_title_pn_lang');
function adminpage_title_pn_lang($page){

	_e('Language settings','pn');

}

/* настройки */
add_action('adminpage_content_pn_lang','def_adminpage_content_pn_lang');
function def_adminpage_content_pn_lang(){
	
	$langs = apply_filters('pn_site_langs', array());
	
	$lang = get_option('pn_lang');
	if(!is_array($lang)){ $lang = array(); }
	
	$admin_lang = is_isset($lang,'admin_lang');
	if(!$admin_lang){
		$admin_lang = get_locale();
	}
	
	$site_lang = is_isset($lang,'site_lang');
	if(!$site_lang){
		$site_lang = get_locale();
	}
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Language settings','pn'), __('Save','pn'));
						
				pn_select(__('Admin-panel language','pn'), 'admin_lang', $langs, $admin_lang);
				pn_select(__('Site language','pn'), 'site_lang', $langs, $site_lang);

				pn_h3('', __('Save','pn'));	
			?>
		</table> 
	</form>
		
</div>	
<?php 
}  

/* обработка */
add_action('myaction_post_pn_lang','def_myaction_post_pn_lang');
function def_myaction_post_pn_lang(){
global $wpdb;	

	only_post();

	if(current_user_can('administrator')){
	
		$lang = array();
		$lang['admin_lang'] = $admin_lang = pn_strip_input(is_param_post('admin_lang'));
		$lang['site_lang'] = $site_lang = pn_strip_input(is_param_post('site_lang'));
		update_option('pn_lang',$lang);		
				
		$url = admin_url('admin.php?page=pn_lang&reply=true');
		wp_redirect($url);
		exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 
	
?>