<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_mailtemp', 'adminpage_title_pn_mailtemp');
function adminpage_title_pn_mailtemp(){
	_e('E-mail templates','pn');
}

add_action('adminpage_content_pn_mailtemp','def_adminpage_content_pn_mailtemp');
function def_adminpage_content_pn_mailtemp(){
global $wpdb;
		
	$place = pn_strip_input(is_param_get('place'));
	$places_admin = apply_filters('admin_mailtemp',array());
	$places_admin = (array)$places_admin;
	$places_admin_t = array();
	foreach($places_admin as $key => $v){
		$places_admin_t[] = $key;
	}
	
	$places_user = apply_filters('user_mailtemp',array());
	$places_user = (array)$places_user;
	$places_user_t = array();
	foreach($places_user as $key => $v){
		$places_user_t[] = $key;
	}
	
	$mailtemp = get_option('mailtemp');
	if(!is_array($mailtemp)){ $mailtemp = array(); }
?>
<div class="premium_default_window">

	<?php _e('Customizable','pn'); ?> &rarr; 
	
    <select name="" onchange="location = this.options[this.selectedIndex].value;" autocomplete="off">
	    <option value="<?php echo admin_url("admin.php?page=pn_mailtemp");?>">--<?php _e('Make a choice','pn'); ?>--</option>
	    <option value="<?php echo admin_url("admin.php?page=pn_mailtemp&place=admin_notify");?>" <?php selected('admin_notify', $place);?> style="background: #faf9c4;">---<?php _e('Admin notification','pn'); ?></option>
		<?php 
		if(is_array($places_admin)){  
			foreach($places_admin as $val => $key){ 
			?>
				<option value="<?php echo admin_url("admin.php?page=pn_mailtemp&place=".$val);?>" <?php selected($val, $place);?>><?php echo $key;?></option>
			<?php
			}
		} ?>

	    <option value="<?php echo admin_url("admin.php?page=pn_mailtemp&place=user_notify");?>" <?php selected('user_notify', $place);?> style="background: #faf9c4;">---<?php _e('User notification','pn'); ?></option>
		<?php 
		if(is_array($places_user)){ 
			foreach($places_user as $val => $key){ 
			?>
				<option value="<?php echo admin_url("admin.php?page=pn_mailtemp&place=".$val);?>" <?php selected($val, $place);?>><?php echo $key;?></option>
			<?php
			}
		} ?>		
	</select>	

</div>	

<?php
	if(in_array($place,$places_admin_t) or in_array($place,$places_user_t)){
	
		$data = is_isset($mailtemp,$place); 
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="block" value="<?php echo $place; ?>" />
		
		<table class="premium_standart_table">
			<?php
				pn_h3('', __('Save','pn'));
					
				pn_select(__('To send a letter?','pn'), 'send' ,array('0'=>__('No','pn'), '1'=>__('Yes','pn')), is_isset($data, 'send'));	
					
				pn_inputbig(__('Subject','pn'), 'title', is_isset($data, 'title'));
				
				pn_inputbig(__('Sender e-mail','pn'), 'mail', is_isset($data, 'mail'));
				pn_inputbig(__("Sender's name",'pn'), 'name', is_isset($data, 'name'));
				
				if(in_array($place,$places_admin_t)){
					pn_inputbig(__('E-mail recipient','pn'), 'tomail', is_isset($data, 'tomail'));
					pn_help(__('More info','pn'), __('Poluchaeteley if more than one, write their email separated by a comma','pn'));
				}		

				$tags = array(
					'sitename' => __('Site name','pn'),
				);
				$tags = apply_filters('mailtemp_tags_'.$place, $tags);
				
				pn_textareaico(__('Letter text','pn'), 'text', is_isset($data, 'text'), $tags,'[',']','','300px');
				
				pn_h3('', __('Save','pn'));
			?>
		</table>
	</form>
		
</div>		
<?php
	}
}


/* обработка */
add_action('myaction_post_pn_mailtemp','def_myaction_post_pn_mailtemp');
function def_myaction_post_pn_mailtemp(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$block = strip_tags(is_param_post('block'));
			
			$mailtemp = get_option('mailtemp');
			if(!is_array($mailtemp)){ $mailtemp = array(); }

			$mailtemp[$block]['mail'] = is_email(is_param_post('mail'));
			$mailtemp[$block]['tomail'] = pn_strip_input(is_param_post('tomail'));
			$mailtemp[$block]['send'] = intval(is_param_post('send'));
			$mailtemp[$block]['title'] = pn_strip_input(is_param_post('title'));
			$mailtemp[$block]['name'] = pn_strip_input(is_param_post('name'));

			$text = pn_strip_text(is_param_post('text'));
			$mailtemp[$block]['text'] = $text;

			update_option('mailtemp', $mailtemp);			
				
				$url = admin_url('admin.php?page=pn_mailtemp&place='. $block .'&reply=true');
				wp_redirect($url);
				exit;

	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
?>