<?php
if( !defined( 'ABSPATH')){ exit(); }

add_action('adminpage_title_pn_add_naps', 'adminpage_title_pn_add_naps');
function adminpage_title_pn_add_naps(){
	$id = intval(is_param_get('item_id'));
	if($id){
		_e('Edit direction exchange','pn');
	} else {
		_e('Add direction exchange','pn');
	}
}


add_action('adminpage_content_pn_add_naps','def_adminpage_content_pn_add_naps');
function def_adminpage_content_pn_add_naps(){
global $wpdb;

	$id = intval(is_param_get('item_id'));
	$data_id = 0;
	$data = '';
	
	if($id){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."napobmens WHERE id='$id'");
		if(isset($data->id)){
			$data_id = $data->id;
		}	
	}

	if($data_id){
		$title = __('Edit direction exchange','pn');
	} else {
		$title = __('Add direction exchange','pn');
	}
	
	$valuts = array();
	$valuts[0] = __('No item','pn');
	$vals = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."valuts ORDER BY vname ASC");
	foreach($vals as $item){
		$valuts[$item->id] = pn_strip_input($item->vname .' '. $item->vtype);
	}	
	
?>	

<div style="margin: 0 0 10px 0;">

	<a href="<?php echo admin_url('admin.php?page=pn_naps');?>" class="button"><?php _e('Back to list','pn'); ?></a>
	<?php if($data_id){ ?>
		<a href="<?php echo admin_url('admin.php?page=pn_add_naps');?>" class="button"><?php _e('Add new','pn'); ?></a>
	<?php } ?>

</div>

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="data_id" value="<?php echo $data_id; ?>" />
		
			<table class="premium_standart_table">
					<tr>
						<td colspan="3">
							<div class="premium_h3"><?php echo $title; ?></div>
							<div class="premium_h3submit">
								<input type="submit" name="" class="button" value="<?php _e('Save'); ?>" />
							</div>
						</td>
					</tr>			
							<tr>
								<th width="150"></th>
								<td><?php _e('Giving','pn'); ?></td>
								<td><?php _e('Receive','pn'); ?></td>
							</tr>			
							<tr>
								<th><?php _e('Direction','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<select name="valsid1" id="valsid1" autocomplete="off">
											<?php foreach($valuts as $key => $val){ ?>
												<option value="<?php echo $key;?>" <?php selected(is_isset($data, 'valsid1'),$key,true); ?>><?php echo $val;?></option>
											<?php } ?>
										</select>
									</div>
								</td>
								<td>
									<div class="premium_wrap_standart">
										<select name="valsid2" id="valsid2" autocomplete="off">
											<?php foreach($valuts as $key => $val){ ?>
												<option value="<?php echo $key;?>" <?php selected(is_isset($data, 'valsid2'),$key,true); ?>><?php echo $val;?></option>
											<?php } ?>
										</select>
									</div>			
								</td>
							</tr>
							<tr>
								<th><?php _e('Exchange rate','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="curs1" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'curs1')); ?>" />
									</div>			
								</td>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="curs2" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'curs2')); ?>" />	
									</div>			
								</td>
							</tr>
							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<?php
								$parsers = array();
								$parsers[0] = '-- '. __('No item','pn') .' --';
								$en_parsers = apply_filters('enable_parser_list', array());
								if(is_array($en_parsers)){
									foreach($en_parsers as $key => $val){
										$parsers[$key] = $val;
									}
								}
							?>
							<tr>
								<th><?php _e('Auto adjust course','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<select name="parser" autocomplete="off"> 
											<?php foreach($parsers as $parser_key => $parser_title){ ?>
												<option value="<?php echo $parser_key; ?>" <?php selected(is_isset($data, 'parser'),$parser_key,true); ?>><?php echo $parser_title; ?></option>
											<?php } ?>
										</select>
									</div>
								</td>
								<td></td>
							</tr>

							<tr>
								<th><?php _e('Add to the course','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="parcommis1" style="width: 100px; float: left; margin: 2px 5px 0 0;" value="<?php echo pn_strip_input(is_isset($data, 'parcommis1'));?>" />
										<select name="parprorsum1" style="float: left;" autocomplete="off">	
											<option value="0" <?php selected(is_isset($data, 'parprorsum1'),0);?>>S</option>
											<option value="1" <?php selected(is_isset($data, 'parprorsum1'),1);?>>%</option>
										</select>
											<div class="rclear"></div>										
									</div>			
								</td>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="parcommis2" style="width: 100px; float: left; margin: 2px 5px 0 0;" value="<?php echo pn_strip_input(is_isset($data, 'parcommis2'));?>" />
										<select name="parprorsum2" style="float: left;" autocomplete="off">	
											<option value="0" <?php selected(is_isset($data, 'parprorsum2'),0);?>>S</option>
											<option value="1" <?php selected(is_isset($data, 'parprorsum2'),1);?>>%</option>
										</select>
											<div class="rclear"></div>											
									</div>	
								</td>
							</tr>

							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<?php
							$masschanges = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."masschange ORDER BY title ASC");
							?>
							<tr>
								<th><?php _e('Snap to its Central Bank rate','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<select name="masschange" autocomplete="off"> 
											<option value="0" <?php selected(is_isset($data, 'masschange'),0,true); ?>>-- <?php _e('not installed','pn'); ?> --</option>
											<?php foreach($masschanges as $mass){ ?>
												<option value="<?php echo $mass->id; ?>" <?php selected(is_isset($data, 'masschange'),$mass->id,true); ?>><?php echo pn_strip_input($mass->title); ?></option>
											<?php } ?>
										</select>
									</div>
								</td>
								<td></td>
							</tr>							

							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<tr>
								<th width="150"></th>
								<td><?php _e('User &rarr; Exchanger','pn'); ?></td>
								<td><?php _e('Exchanger &rarr; User','pn'); ?></td>
							</tr>						
							<tr>
								<th><?php _e('Commission','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<div><input type="text" name="prsum1" style="width: 100px;" value="<?php echo pn_strip_input(is_isset($data, 'prsum1')); ?>" /> S</div>
										<div><input type="text" name="prproc1" style="width: 100px;" value="<?php echo pn_strip_input(is_isset($data, 'prproc1')); ?>" /> %</div>
									</div>			
								</td>
								<td>
									<div class="premium_wrap_standart">
										<div><input type="text" name="prsum2" style="width: 100px;" value="<?php echo pn_strip_input(is_isset($data, 'prsum2')); ?>" /> S</div>
										<div><input type="text" name="prproc2" style="width: 100px;" value="<?php echo pn_strip_input(is_isset($data, 'prproc2')); ?>" /> %</div>	
									</div>	
								</td>
							</tr>

							<tr>  
								<th><?php _e('Min. amount of commission','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="minsumm1com" value="<?php echo pn_strip_input(is_isset($data, 'minsumm1com')); ?>" />		
									</div>
								</td>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="minsumm2com" value="<?php echo pn_strip_input(is_isset($data, 'minsumm2com')); ?>" />				
									</div>
								</td>
							</tr>		
							<tr>
								<th><?php _e('Max. amount of commission','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="maxsumm1com" value="<?php echo pn_strip_input(is_isset($data, 'maxsumm1com')); ?>" />		
									</div>
								</td>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="maxsumm2com" value="<?php echo pn_strip_input(is_isset($data, 'maxsumm2com')); ?>" />				
									</div>
								</td>
							</tr>

							<tr>
								<th><?php _e('Minimum amount','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="minsumm1" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'minsumm1')); ?>" />
									</div>			
								</td>
								<td><!--
									<div class="premium_wrap_standart">
										<input type="text" name="minsumm2" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'minsumm2')); ?>" />	
									</div>
									-->
								</td>
							</tr>
							<tr>
								<th><?php _e('Maximum amount','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="maxsumm1" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'maxsumm1')); ?>" />
									</div>			
								</td>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="maxsumm2" style="width: 200px;" value="<?php echo pn_strip_input(is_isset($data, 'maxsumm2')); ?>" />	
									</div>			
								</td>
							</tr>

							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<?php
							$com_box_summ1 = pn_strip_input(is_isset($data, 'combox'));
							$com_box_pers1 = pn_strip_input(is_isset($data, 'comboxpers'));
							$cdis1 = '';
							$cdis2 = '';
							if($com_box_summ1 > 0){
								$cdis2 = 'disabled="disabled"';
								$com_box_pers1 = 0;
							} elseif($com_box_pers1 > 0) {
								$cdis1 = 'disabled="disabled"';
								$com_box_summ1 = 0;
							}
							?>						
						
							<tr>
								<th><?php _e('Additional commission from the recipient','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="combox" id="com_box_summ1" <?php echo $cdis1; ?> value="<?php echo $com_box_summ1; ?>" /> S		
									</div>
								</td>
								<td></td>
							</tr>
							<tr>
								<th></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="comboxpers" id="com_box_pers1" <?php echo $cdis2; ?> value="<?php echo $com_box_pers1; ?>" /> %		
									</div>
								</td>
								<td></td>
							</tr>

							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<tr>
								<th><?php _e('Status','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<select name="status" autocomplete="off">
											<?php 
											$status = pn_strip_input(is_isset($data, 'status')); 
											if(!is_numeric($status)){ $status = 1; }
											?>
											
											<option value="1" <?php selected($status,1); ?>><?php _e('Active direction','pn');?></option>
											<option value="0" <?php selected($status,0); ?>><?php _e('Not active direction','pn');?></option>
											
										</select>
									</div>
								</td>
								<td></td>
							</tr>

							<tr>
								<th><?php _e('Member discount','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<?php 
										$delsk = pn_strip_input(is_isset($data, 'delsk')); 
										?>									
									
										<select name="delsk" autocomplete="off">
											<option value="0" <?php selected($delsk,0); ?>><?php _e('Yes','pn'); ?></option>
											<option value="1" <?php selected($delsk,1); ?>><?php _e('No','pn'); ?></option>
										</select>
									</div>
								</td>
								<td>			
								</td>
							</tr>	

							<tr>
								<th><?php _e('Privacy areas for guests','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<?php 
										$hidegost = pn_strip_input(is_isset($data, 'hidegost')); 
										?>									
									
										<select name="hidegost" autocomplete="off"> 
											<option value="0" <?php selected($hidegost,0); ?>><?php _e('not to hide','pn'); ?></option>
											<option value="2" <?php selected($hidegost,2); ?>><?php _e('not to hide, but to ban','pn'); ?></option>
											<option value="1" <?php selected($hidegost,1); ?>><?php _e('hide','pn'); ?></option>
										</select>
									</div>
								</td>
								<td>			
								</td>
							</tr>

							<?php if(get_change('partners','status') == 1){ ?>
							<tr>
								<th><?php _e('The maximum percentage affiliate','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">
										<input type="text" name="partmax" style="width: 100px;" value="<?php echo pn_strip_input(is_isset($data, 'partmax')); ?>" />%
									</div>
								</td>
								<td>			
								</td>
							</tr>

							<tr>
								<th><?php _e('Affiliate payments','pn'); ?></th>
								<td>
									<div class="premium_wrap_standart">								
										<select name="parthide" autocomplete="off"> 
											<option value="0" <?php selected(is_isset($data, 'parthide'),0); ?>><?php _e('pay','pn'); ?></option>
											<option value="1" <?php selected(is_isset($data, 'parthide'),1); ?>><?php _e('not pay','pn'); ?></option>
										</select>
									</div>
								</td>
								<td>			
								</td>
							</tr>							
							<?php } ?>
							
							<?php  
								$data_id = is_isset($data, 'id');
								$seotitle = pn_strip_input(get_naps_meta($data_id, 'seotitle')); 
								$seokey = pn_strip_input(get_naps_meta($data_id, 'seokey'));
								$seodescr = pn_strip_input(get_naps_meta($data_id, 'seodescr'));
							?>
							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>		
							<tr>
								<th>SEO</th>
								<td colspan="2"><div class="premium_wrap_standart">
									<p><strong>Title:</strong><br />
									<input type="text" name="seotitle" class="regular-text" value="<?php echo $seotitle; ?>" />
									</p>
									<p><strong>Description:</strong><br />
									<input type="text" name="seodescr" class="regular-text" value="<?php echo $seodescr; ?>" />
									</p>				
									<p><strong>Keywords:</strong><br />
									<input type="text" name="seokey" class="regular-text" value="<?php echo $seokey; ?>" />
									</p>				
								</div></td>
							</tr>		
							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<?php do_action('exb_napobmens_add', $data); ?>
			
							<tr>
								<th></th>
								<td colspan="2"><div class="premium_line"></div></td>
							</tr>

							<?php
							$data_id = is_isset($data, 'id');
							$list_naps_temp = apply_filters('list_naps_temp',array());
							if(is_array($list_naps_temp)){
								foreach($list_naps_temp as $key => $title){
									
									$text = get_naps_txtmeta($data_id, $key);								
									if(!$text){ 
										$text = get_change('naps_temp',$key); 
									} 
							?>
								<tr>
									<th><?php echo $title; ?></th>
									<td colspan="2">
										<?php the_pn_editor($key, 8, false, $text); ?>
									</td>
								</tr>							
							<?php 
								}
							} ?>

							<?php do_action('exb_napobmens_instruction_add', $data); ?>
			
					<tr>
						<td colspan="3">
							<div class="premium_h3"></div>
							<div class="premium_h3submit">
								<input type="submit" name="" class="button" value="<?php _e('Save'); ?>" />
							</div>
						</td>
					</tr>			
			</table>
		
	</form>		
</div>	
<script type="text/javascript">
$(function(){
	
	function combox_func(value1,value2){
		var com_box_summ1 = parseFloat($.trim(value1.val()));
		var com_box_pers1 = parseFloat($.trim(value2.val()));
		value1.attr('disabled', false);
		value2.attr('disabled', false);
		
		if(com_box_summ1 > 0){
			value2.attr('disabled', true).attr('value', '0');
		} else {
			if(com_box_pers1 > 0){
				value1.attr('disabled', true).attr('value', '0');
			} 
		}	
	}	
	
	$('#com_box_summ1, #com_box_pers1').live('keyup', function(){
		combox_func($('#com_box_summ1'), $('#com_box_pers1'));
	});
	$('#com_box_summ1, #com_box_pers1').live('change', function(){
		combox_func($('#com_box_summ1'), $('#com_box_pers1'));
	});		
	
});
</script>	
<?php
}  

/* обработка формы */
add_action('myaction_post_pn_add_naps','def_myaction_post_pn_add_naps');
function def_myaction_post_pn_add_naps(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$data_id = intval(is_param_post('data_id'));
			$array = array();
			
			$array['valsid1'] = $valut_id1 = intval(is_param_post('valsid1'));
			$array['valsid2'] = $valut_id2 = intval(is_param_post('valsid2'));	 
					
			if($valut_id1 == $valut_id2){
				the_warning(__('Error! give may not be getting the same!','pn'));
			}
			
			$valut_data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."valuts WHERE id='$valut_id1'");
			if(!isset($valut_data->id)){
				the_warning(__('Error! You give currency does not exist!','pn'));
			}
			
			$valut_data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."valuts WHERE id='$valut_id2'");
			if(!isset($valut_data->id)){
				the_warning(__('Error! You get currency does not exist!','pn'));
			}

			$array['status'] = intval(is_param_post('status'));
			
			$array['curs1'] = $curs1 = is_my_money(is_param_post('curs1'));
			$array['curs2'] = $curs2 = is_my_money(is_param_post('curs2'));
			
			if($curs1 == 0 or $curs2 == 0){
				the_warning(__('Error! The course can not be 0!','pn'));
			}			
			
			$array['masschange'] = $masschange = intval(is_param_post('masschange'));
			
			$array['parser'] = $parser = intval(is_param_post('parser'));
			if($parser > 0){
				$array['parprorsum1'] = intval(is_param_post('parprorsum1'));
				$array['parcommis1'] = is_my_money(is_param_post('parcommis1'));			
				$array['parprorsum2'] = intval(is_param_post('parprorsum2'));
				$array['parcommis2'] = is_my_money(is_param_post('parcommis2'));
			} else {
				$array['parprorsum1'] = 0;
				$array['parcommis1'] = 0;			
				$array['parprorsum2'] = 0;
				$array['parcommis2'] = 0;				
			}			
			
			$array['prsum1'] = is_my_money(is_param_post('prsum1'));	
			$array['prproc1'] = is_my_money(is_param_post('prproc1'),2);
			$array['prsum2'] = is_my_money(is_param_post('prsum2'));	
			$array['prproc2'] = is_my_money(is_param_post('prproc2'),2);
			$array['maxsumm1com'] = is_my_money(is_param_post('maxsumm1com'));
			$array['maxsumm2com'] = is_my_money(is_param_post('maxsumm2com'));
			$array['minsumm1com'] = is_my_money(is_param_post('minsumm1com'));
			$array['minsumm2com'] = is_my_money(is_param_post('minsumm2com'));			
			
			$array['combox'] = is_my_money(is_param_post('combox'));	
			$array['comboxpers'] = is_my_money(is_param_post('comboxpers'),2);		

			$array['minsumm1'] = is_my_money(is_param_post('minsumm1'));
			$array['maxsumm1'] = is_my_money(is_param_post('maxsumm1'));
			$array['minsumm2'] = is_my_money(is_param_post('minsumm2'));
			$array['maxsumm2'] = is_my_money(is_param_post('maxsumm2'));						

			$array['delsk'] = intval(is_param_post('delsk'));
			$array['hidegost'] = intval(is_param_post('hidegost'));
			
			$array['partmax'] = is_my_money(is_param_post('partmax'),2);
			$array['parthide'] = intval(is_param_post('parthide'));
			
			$array = apply_filters('exb_napobmens_add_post',$array);
			$array = apply_filters('pn_naps_addform_post',$array);
			
			if($data_id){
				
				$wpdb->update($wpdb->prefix.'napobmens', $array, array('id'=>$data_id));
				do_action('pn_naps_edit', $data_id, $array);
				
			} else {
				
				$wpdb->insert($wpdb->prefix.'napobmens', $array);
				$data_id = $wpdb->insert_id;	
				do_action('pn_naps_add', $data_id, $array);
				
			}
				
				if($data_id){
					$seotitle = pn_strip_input(is_param_post('seotitle'));
					$seokey = pn_strip_input(is_param_post('seokey'));
					$seodescr = pn_strip_input(is_param_post('seodescr'));
					update_naps_meta($data_id, 'seotitle', $seotitle);
					update_naps_meta($data_id, 'seokey', $seokey);
					update_naps_meta($data_id, 'seodescr', $seodescr);
					
					
					$list_naps_temp = apply_filters('list_naps_temp',array());
					if(is_array($list_naps_temp)){
						foreach($list_naps_temp as $key => $title){						
							
							$value = pn_strip_text(is_param_post($key));
							$otv = update_naps_txtmeta($data_id, $key, $value);
							if($otv != 1){
								the_warning(sprintf(__('Error! folder <b>%s</b> is missing or can not be written!','pn'),'/wp-content/uploads/napsmeta/'));
							}							
							
						}
					}					
				}
				
				/* парсер */
				if($data_id){
					
					if($masschange > 0){
						update_naps_to_masschange($masschange);
					}					
					
					if($parser > 0){
						update_naps_to_parser();
					}
				}	
				/* end parser */

			$url = admin_url('admin.php?page=pn_add_naps&item_id='. $data_id .'&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
/* end обработка формы */
?>