<?php
if( !defined( 'ABSPATH')){ exit(); }
 
add_filter('admin_mailtemp','admin_mailtemp_payout'); 
function admin_mailtemp_payout($places_admin){
	
	$places_admin['payout'] = __('Custom affiliate payout','pn');
	
	return $places_admin;
}

add_filter('mailtemp_tags_payout','def_mailtemp_tags_payout');
function def_mailtemp_tags_payout($tags){
	
	$tags['name'] = __('User','pn');
	$tags['summ'] = __('Sum','pn');
	
	return $tags;
}

add_filter('user_mailtemp','user_mailtemp_partprofit');
function user_mailtemp_partprofit($places_admin){
	
	$places_admin['partprofit'] = __('Charge of Partner profit','pn');
	
	return $places_admin;
}

add_filter('mailtemp_tags_partprofit','def_mailtemp_tags_partprofit');
function def_mailtemp_tags_partprofit($tags){
	
	$tags['sum'] = __('Sum','pn');
	$tags['ctype'] = __('Currency type','pn');
	
	return $tags;
}
 
/* настройка к направлению обмена */
if(get_change('partners','status') == 1){
	add_action('change_bidstatus_all', 'change_bidstatus_all_pp',1,3);
}

function change_bidstatus_all_pp($status, $item_id, $item){
global $wpdb;
	if($status != 'realdelete' and $status != 'autodelete' and $status != 'auto'){
		if($status == 'success'){
			$calc = intval(get_change('partners','calc'));
			if($calc == 0 or $calc == 1 and $item->user_id > 0){
				$ref_id = $item->ref_id;
				$psum = is_my_money($item->ref_sum);
				if($ref_id and $psum > 0){
					$rd = get_userdata($ref_id);
					$ctype = cur_type();
					
					if(isset($rd->user_email)){
						$ref_email = is_email($rd->user_email);
						$wpdb->update($wpdb->prefix.'bids', array('pcalc'=> 1), array('id'=>$item_id));
				
						$mailtemp = get_option('mailtemp');
						if(isset($mailtemp['partprofit'])){
							$data = $mailtemp['partprofit'];
							if($data['send'] == 1){
								$ot_mail = is_email($data['mail']);
								$ot_name = pn_strip_input($data['name']);
								
								$subject = pn_strip_input($data['title']);
								$html = pn_strip_text($data['text']);
								
								if($ot_mail and $ref_email){
								
									$subject = str_replace('[sitename]', $ot_name ,$subject);
									$subject = str_replace('[sum]', $psum ,$subject);
									$subject = str_replace('[ctype]', $ctype ,$subject);
									$subject = apply_filters('mail_partprofit_subject',$subject);
									
									$html = str_replace('[sitename]', $ot_name ,$html);
									$html = str_replace('[sum]', $psum ,$html);
									$html = str_replace('[ctype]', $ctype ,$html);
									$html = apply_filters('mail_partprofit_text',$html);
									$html = apply_filters('comment_text',$html);
									
									$message_html = ' 
									<html> 
									<head> 
										<title>'. $subject .'</title> 
									</head> 
									<body>
										'. $html .'
									</body> 
									</html>';
									
									$message_html = apply_filters('pn_message_html',$message_html,$subject,$html);
						
									$headers = "From: $ot_name <". $ot_mail .">\r\n";
									wp_mail($ref_email, $subject, $message_html, $headers);	
									
								}
							}
						}
				
					}
				}
			}
		} else {
			$wpdb->update($wpdb->prefix.'bids', array('pcalc'=> 0), array('id'=>$item_id));
		}
	}
}

add_action('wp_before_admin_bar_render', 'wp_before_admin_bar_render_payouts');
function wp_before_admin_bar_render_payouts() {
global $wp_admin_bar, $wpdb;
	
    if(current_user_can('administrator')){
		
		$z1 = $wpdb->query("SELECT id FROM ".$wpdb->prefix."payoutuser WHERE bstatus = '0'");
		if($z1 > 0){
			$wp_admin_bar->add_menu( array(
				'id'     => 'new_payoutuser',
				'href' => admin_url('admin.php?page=pn_payouts&mod=1'),
				'title'  => '<div style="height: 32px; width: 22px; background: url('. PN_PLUGIN_URL .'default/pp/images/newpayout.png) no-repeat center center"></div>',
				'meta' => array( 'title' => sprintf(__('Requests for payment (%s)','pn'), $z1) ) 		
			));	
		}
	
	}
	
}

pn_template('default/pp/stats');
pn_template('default/pp/users');
pn_template('default/pp/pexch');
pn_template('default/pp/plinks');
pn_template('default/pp/preferals');
pn_template('default/pp/payouts');
pn_template('default/pp/partnpers');
pn_template('default/pp/add_partnpers');
pn_template('default/pp/pbanners');
pn_template('default/pp/psettings'); 
pn_template('default/pp/cron');