<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_reserv', 'adminpage_title_pn_reserv');
function adminpage_title_pn_reserv(){
	_e('Adjustment reserve','pn');
}

add_action('adminpage_content_pn_reserv','def_adminpage_content_pn_reserv');
function def_adminpage_content_pn_reserv(){

	if(class_exists('trev_reserv_List_Table')){
		$Table = new trev_reserv_List_Table();
		$Table->prepare_items();
		
		$mod = intval(is_param_get('mod'));
		$valut_id = intval(is_param_get('valut_id'));
?>

	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_reserv&valut_id='.$valut_id);?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_reserv&mod=1&valut_id='.$valut_id);?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('incoming','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_reserv&mod=2&valut_id='.$valut_id);?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('outgoing','pn'); ?></a></li>
	</ul>

	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_reserv','def_myaction_post_pn_reserv');
function def_myaction_post_pn_reserv(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$mod = intval(is_param_post('mod'));
				if($mod){
					$ref .= '&mod='.$mod;
				}
				
				$valut_id = intval(is_param_post('valut_id'));
				if($valut_id){
					$ref .= '&valut_id='.$valut_id;
				}
				
				$url = admin_url('admin.php?page=pn_reserv') . $ref . $reply;
				wp_redirect($url);
				exit;
			

			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action == 'delete'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$item = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."transactionrezerv WHERE id='$id'");
							if(isset($item->id)){
								
								do_action('pn_reserv_delete_before', $id, $item);
								$wpdb->query("DELETE FROM ".$wpdb->prefix."transactionrezerv WHERE id = '$id'");
								do_action('pn_reserv_delete', $id, $item);

								update_valut_reserv($item->valut_id);
							}							
						}
						
						$reply = '&reply=true';
						
					}
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 

if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_reserv_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_reserv_column_col', $column_name, $item);
		
		if($column_name == 'sum'){
			return get_summ_color($item->vsumm);
		} elseif($column_name == 'create'){
			return get_mytime($item->vdate,'d.m.Y H:i');			
		} elseif($column_name == 'valut'){
			return get_vtitle($item->valsid);
		} 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_title($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_reserv&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            get_vtitle($item->valsid),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'title'     => __('Currency title','pn'),
			'sum' => __('Sum','pn'),
			'create' => __('Date of creation','pn'),
        );
		
		$columns = apply_filters('manage_restrict_reserv_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
	
    function get_sortable_columns() {
        $sortable_columns = array( 
            'create'     => array('create',false),
			'sum'     => array('sum',false),
        );
        return $sortable_columns;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_reserv_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'sum'){
		    $orderby = '(vsumm -0.0)';
		} elseif($oby == 'create'){
			$orderby = 'vdate';		
		} else {
		    $orderby = 'id';
	    }
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		if($order != 'asc'){ $order = 'desc'; }	
		
		$where = '';
		
        $mod = intval(is_param_get('mod'));
        if($mod == 1){ 
            $where .= " AND vsumm > 0"; 
		} elseif($mod == 2){
			$where .= " AND vsumm <= 0";
		}		
		
        $valut_id = intval(is_param_get('valut_id'));
        if($valut_id > 0){ 
            $where .= " AND valsid='$valut_id'"; 
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."transactionrezerv WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."transactionrezerv WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
 	function extra_tablenav( $which ) {
		global $wpdb;
		
		$valuts = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts ORDER BY vname ASC");		  	
    ?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$valut_id = intval(is_param_get('valut_id'));
?>
			<select name="valut_id" autocomplete="off">
				<option value="0"><?php echo _e('All currency','pn'); ?></option>
            <?php
				foreach($valuts as $item){
					echo "\t<option value='" . $item->id . "' " . selected($item->id, $valut_id, false ) . ">". pn_strip_input($item->vname .' '. $item->vtype) ."</option>\n";
			    }
			?>
			</select>
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}	
    ?>
	    </div>	
	
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_reserv');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>		
	<?php 
	} 	  
	
}

add_action('myscreen_pn_reserv','my_myscreen_pn_reserv');
function my_myscreen_pn_reserv() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_reserv_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_reserv_List_Table')){
		
		$myListTable = new trev_reserv_List_Table;
	
	}

} 
?>