<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** добавить отзыв ************************************************/

add_action('adminpage_title_pn_add_reviews', 'adminpage_title_pn_add_reviews');
function adminpage_title_pn_add_reviews(){
	$id = intval(is_param_get('item_id'));
	if($id){
		_e('Edit review','pn');
	} else {
		_e('Add review','pn');
	}
}

add_action('adminpage_content_pn_add_reviews','def_adminpage_content_pn_add_reviews');
function def_adminpage_content_pn_add_reviews(){
global $wpdb;

	$id = intval(is_param_get('item_id'));
	$data_id = 0;
	$data = '';
	
	if($id){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE id='$id'");
		if(isset($data->id)){
			$data_id = $data->id;
		}	
	}

	if($data_id){
		$title = __('Edit review','pn');
	} else {
		$title = __('Add review','pn');
	}
	
	$users = array();
	$users[0] = '--' . __('Guest','pn') . '--';
	$blogusers = get_users();
	foreach($blogusers as $us){
		$users[$us->ID] = is_user($us->user_login);
	}	
?>	

<div style="margin: 0 0 10px 0;">

	<a href="<?php echo admin_url('admin.php?page=pn_reviews');?>" class="button"><?php _e('Back to list','pn'); ?></a>
	<?php if($data_id){ ?>
		<a href="<?php echo admin_url('admin.php?page=pn_add_reviews');?>" class="button"><?php _e('Add new','pn'); ?></a>
	<?php } ?>
	
    <?php if(isset($data->otstatus) and $data->otstatus == 'publish'){ ?>
        <a href="<?php echo get_review_link($data_id, $data); ?>" target="_blank" class="button"><?php _e('View','pn'); ?></a>
    <?php } ?>	

</div>

<div class="premium_body">	
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<input type="hidden" name="data_id" value="<?php echo $data_id; ?>" />
		
		<table class="premium_standart_table">
			<?php
				pn_h3($title, __('Save','pn'));
					
				pn_datetime(__('Publication date','pn'), 'otdate', is_isset($data, 'otdate'));
				
				pn_select(__('User','pn'), 'user_id', $users, is_isset($data, 'user_id'));
				pn_inputbig(__('User name','pn'), 'user_name', is_isset($data, 'user_name'));
				pn_inputbig(__('User e-mail','pn'), 'user_email', is_isset($data, 'user_email'));

				pn_inputbig(__('Website','pn'), 'user_site', is_isset($data, 'user_site'));
				
				do_action('pn_reviews_addform', $data);

				pn_textarea(__('Text','pn'), 'commenttext',is_isset($data, 'commenttext'), '', '150px');

				pn_select(__('Status','pn'), 'otstatus', array('publish'=>__('published review','pn'),'moderation'=>__('moderation review','pn')),  is_isset($data, 'otstatus'));						
				
				pn_h3('', __('Save','pn'));	
			?>
		</table>
	</form>		
</div>		
<?php
}

/* обработка формы */
add_action('myaction_post_pn_add_reviews','def_myaction_post_pn_add_reviews');
function def_myaction_post_pn_add_reviews(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$data_id = intval(is_param_post('data_id'));
			$array = array();
			$array['otdate'] = get_mytime(is_param_post('otdate'),'Y-m-d H:i:s');
			$array['user_id'] = intval(is_param_post('user_id'));
			$array['user_name'] = pn_strip_input(is_param_post('user_name'));
			$array['user_email'] = is_email(is_param_post('user_email'));
			$array['user_site'] = esc_url(is_param_post('user_site'));

			$array['commenttext'] = pn_strip_input(is_param_post('commenttext'));
			
			$array['otstatus'] = pn_strip_input(is_param_post('otstatus'));
			
			$array = apply_filters('pn_reviews_addform_post',$array);
			
			if($data_id){
				$wpdb->update($wpdb->prefix.'exbotziv', $array, array('id'=>$data_id));
				do_action('pn_reviews_edit', $data_id);
			} else {
				$wpdb->insert($wpdb->prefix.'exbotziv', $array);
				$data_id = $wpdb->insert_id;	
				do_action('pn_reviews_add', $data_id);
			}

			$url = admin_url('admin.php?page=pn_add_reviews&item_id='. $data_id .'&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}	
/* end обработка формы */
?>