<?php
if( !defined( 'ABSPATH')){ exit(); }

/* ссылка на отзыв */
function get_review_link($review_id, $data=''){
global $wpdb;

	$review_id = intval($review_id);

	if(!is_object($data)){
		$data = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE id='$review_id'");
	}

	$review_date = pn_strip_input($data->otdate);
	
    $zcount = intval(get_change('reviews','count')); if($zcount < 1){ $zcount=10; } /* кол-во отзывов на странице */
	
	$reviews_page = get_pn_page('reviews'); /* страница отзывов */	
	
	$cc = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."exbotziv WHERE otstatus='publish' AND id != '$review_id' AND otdate >= '$review_date'"); /* кол-во отзывов после текущего */
	if($cc >= $zcount){ 
	    $pp = floor($cc / $zcount) + 1;
		if($pp > 1){
		    return $reviews_page .'page/'. $pp .'/#review-'. $review_id;
		} 
	} 
	
	return $reviews_page .'#review-'. $review_id;
}

/* вывод отзывов */
function list_reviews($count=5){
global $wpdb;

	$count = intval($count); if($count < 1){ $count = 5; }
		
	return $data_posts = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE otstatus = 'publish' ORDER BY otdate DESC limit $count");	
}

add_filter('admin_mailtemp','admin_mailtemp_reviews');
function admin_mailtemp_reviews($places_admin){
	
	$places_admin['newreview'] = __('New review','pn');
	
	return $places_admin;
}

add_filter('user_mailtemp','user_mailtemp_reviews');
function user_mailtemp_reviews($places_admin){
	
	$places_admin['confirmreview'] = __('Confirmation review','pn');
	
	return $places_admin;
}

add_filter('mailtemp_tags_newreview','def_mailtemp_tags_newreview');
function def_mailtemp_tags_newreview($tags){
	
	$tags['user'] = __('User','pn');
	$tags['management'] = __('Management review','pn');
	$tags['status'] = __('Status review','pn');
	
	return $tags;
}

add_filter('mailtemp_tags_confirmreview','def_mailtemp_tags_confirmreview');
function def_mailtemp_tags_confirmreview($tags){
	
	$tags['link'] = __('Link confirm','pn');
	
	return $tags;
}

function mailto_add_reviews($review, $status){

	$review_id = $review->id; 
	$user_id = $review->user_id;
	$user_name = pn_strip_input($review->user_name);
	
	$mailtemp = get_option('mailtemp');
	if(isset($mailtemp['newreview'])){
		$data = $mailtemp['newreview'];
		if($data['send'] == 1){
			$ot_mail = is_email($data['mail']);
			$ot_name = pn_strip_input($data['name']);
						
			$subject = pn_strip_input($data['title']);
						
			$html = pn_strip_text($data['text']);
						
			if($ot_mail and $data['tomail']){ 
						
				$to_mail = explode(',',$data['tomail']);
						
				if($status=='moderation'){
					$textstatus = __('moderation','pn');
					$textgostatus = '[ <a href="'. admin_url('admin.php?page=pn_add_reviews&item_id='.$review_id) .'">'. __('Edit','pn') .'</a> ]';
				} else {
					$textstatus = __('published','pn');		
					$textgostatus = '[ <a href="'. admin_url('admin.php?page=pn_add_reviews&item_id='.$review_id) .'">'. __('Edit','pn') .'</a> ] [ <a href="'. get_review_link($review_id, $review) .'">'. __('View','pn') .'</a> ]';
				}
				
				if($user_id){
					$user = '<a href="'. admin_url('user-edit.php?user_id='.$user_id) .'">'.$user_name.'</a>';
				} else {
					$user = $user_name;
				}

				$subject = str_replace('[sitename]', $ot_name ,$subject);
				$subject = str_replace('[user]', $user ,$subject);
				$subject = str_replace('[status]',$textstatus,$subject);
				$subject = apply_filters('mail_newreview_subject',$subject);				
							
				$html = str_replace('[sitename]', $ot_name ,$html);
				$html = str_replace('[user]', $user ,$html);
				$html = str_replace('[status]',$textstatus,$html);
				$html = str_replace('[management]',$textgostatus,$html);
				$html = apply_filters('mail_contactform_text',$html);
				$html = apply_filters('comment_text',$html);
							
				$message_html = ' 
				<html> 
					<head> 
						<title>'. $subject .'</title> 
					</head> 
					<body>
						'. $html .'
					</body> 
				</html>';
							
				$message_html = apply_filters('pn_message_html',$message_html,$subject,$html);
			
				foreach($to_mail as $go_mail){
					$go_mail = trim($go_mail);
					if(is_email($go_mail)){
									
						$headers = "From: $ot_name <". $ot_mail .">\r\n";
						wp_mail($go_mail, $subject, $message_html, $headers);	 

					}

				}
			}
			
		}	
	}
	
}

add_action('wp_before_admin_bar_render', 'wp_before_admin_bar_render_reviews');
function wp_before_admin_bar_render_reviews() {
global $wp_admin_bar, $wpdb;
	
    if(current_user_can('administrator')){
	
		$query = $wpdb->query("CHECK TABLE ".$wpdb->prefix ."exbotziv");
		if($query == 1){	
	
			$z1 = $wpdb->query("SELECT id FROM ".$wpdb->prefix."exbotziv WHERE otstatus='moderation'");
			if($z1 > 0){
			
				$wp_admin_bar->add_menu( array(
				'id'     => 'new_review',
				'href' => admin_url('admin.php?page=pn_reviews&mod=2'),
				'title'  => '<div style="height: 32px; width: 22px; background: url('. PN_PLUGIN_URL .'default/reviews/images/reviews.png) no-repeat center center"></div>',
					'meta' => array( 
						'title' => sprintf(__('There are unapproved reviews (%s)','pn'), $z1) 
					)		
				));	
			
			}
		
		}
	
	}
	
}

pn_template('default/reviews/add');
pn_template('default/reviews/list');
pn_template('default/reviews/config');