<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_reviews', 'adminpage_title_pn_reviews');
function adminpage_title_pn_reviews(){
	_e('Reviews','pn');
}

add_action('adminpage_content_pn_reviews','def_adminpage_content_pn_reviews');
function def_adminpage_content_pn_reviews(){

	if(class_exists('trev_reviews_List_Table')){
		$Table = new trev_reviews_List_Table();
		$Table->prepare_items();
		
		$mod = intval(is_param_get('mod'));
?>

	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_reviews');?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_reviews&mod=1');?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('published reviews','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_reviews&mod=2');?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('moderation reviews','pn'); ?></a></li>
	</ul>

	<form method="post" action="<?php the_link_tosaved(); ?>">
	
		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_reviews','def_myaction_post_pn_reviews');
function def_myaction_post_pn_reviews(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			if(isset($_POST['id']) and is_array($_POST['id'])){

				if($action == 'approve'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE id='$id' AND otstatus != 'publish'");
						if(isset($item->id)){		
							do_action('pn_reviews_approve_before', $id, $item);
							$wpdb->query("UPDATE ".$wpdb->prefix."exbotziv SET otstatus = 'publish' WHERE id = '$id'");
							do_action('pn_reviews_approve', $id, $item);
						}
						
					}
					
					$reply = '&reply=true';
					
				}

				if($action == 'unapprove'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE id='$id' AND otstatus != 'moderation'");
						if(isset($item->id)){					
							do_action('pn_reviews_unapprove_before', $id, $item);						
							$wpdb->query("UPDATE ".$wpdb->prefix."exbotziv SET otstatus = 'moderation' WHERE id = '$id'");
							do_action('pn_reviews_unapprove', $id, $item);
						}						
					}
					
					$reply = '&reply=true';
					
				}				
			
				if($action == 'delete'){
					
					foreach($_POST['id'] as $id){
						$id = intval($id);
						
						$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE id='$id'");
						if(isset($item->id)){
							do_action('pn_reviews_delete_before', $id, $item);						
							$wpdb->query("DELETE FROM ".$wpdb->prefix."exbotziv WHERE id = '$id'");
							$wpdb->query("DELETE FROM ".$wpdb->prefix."reviews_meta WHERE item_id = '$id'");
							do_action('pn_reviews_delete', $id, $item);
						}
					}
					
					$reply = '&reply=true';
					
				}

			} 
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_reviews_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_reviews_column_col', $column_name,$item);
		
		if($column_name == 'cuser'){
			
			$user_id = $item->user_id;
			$us = '';
			if($user_id > 0){
				$ui = get_userdata($user_id);
		        $us .='<a href="user-edit.php?user_id='. $user_id .'">';
				if(isset($ui->user_login)){
					$us .= is_user($ui->user_login); 
				}
		        $us .='</a>';
			} else {
				return pn_strip_input($item->user_name);
			}
			
		    return $us;	
			
		} elseif($column_name == 'cemail'){
			
		    return '<a href="mailto:'. is_email($item->user_email) .'">'. is_email($item->user_email) .'</a>';
			
		} elseif($column_name == 'csite'){
			
		    return '<a href="'. pn_strip_input($item->user_site) .'" target="_blank">'. pn_strip_input($item->user_site) .'</a>';
			
		} elseif($column_name == 'cstatus'){
			
		    if($item->otstatus == 'moderation'){ 
			
			    return '<span class="bred">'. __('moderation review','pn') .'</span>'; 
				
			} else { 
			
			    return '<span class="bgreen">'. __('published review','pn') .'</span>'; 
				
			}	
			
		}
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_cdate($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_reviews&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
		if($item->otstatus == 'publish'){
		    $actions['view'] = '<a href="'. get_review_link($item->id, $item) .'" target="_blank">'. __('View','pn') .'</a>';
		}		
		
        return sprintf('%1$s %2$s',
            get_mytime($item->otdate,'d.m.Y, H:i'),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',          
			'cdate'     => __('Publication date','pn'),
			'cuser'    => __('User','pn'),
			'cemail'    => __('User e-mail','pn'),
			'csite'  => __('Website','pn'),
            'cstatus'  => __('Status','pn'),
        );
		
		$columns = apply_filters('manage_restrict_reviews_column', $columns);
		
        return $columns;
    }	
	
    function get_sortable_columns() {
        $sortable_columns = array( 
            'cdate'     => array('cdate',false),
        );
        return $sortable_columns;
    }

    function get_bulk_actions() {
        $actions = array(
			'approve'    => __('Approve','pn'),
			'unapprove'    => __('Unapprove','pn'),
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_reviews_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'cdate'){
		    $orderby = 'otdate';
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		if($order != 'asc'){ $order = 'desc'; }
		
		$where = '';

		$mod = intval(is_param_get('mod'));
		if($mod == 1){
			$where = " AND otstatus = 'publish'";
		} elseif($mod == 2){
			$where = " AND otstatus = 'moderation'";
		}
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."exbotziv WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."exbotziv WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
    ?>
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_reviews');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>
		<?php
	}	  
	
}


add_action('myscreen_pn_reviews','my_myscreen_pn_reviews');
function my_myscreen_pn_reviews() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_reviews_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_reviews_List_Table')){
		
		$myListTable = new trev_reviews_List_Table;
	
	}

}
?>