<?php
if( !defined( 'ABSPATH')){ exit(); }

add_filter('sanitize_user','pn_sanitize_user');
function pn_sanitize_user($login){
	$login = is_user($login);
		
	return $login;
}

/* действия при регистрации */	
add_action( 'user_register', 'pn_register_user');
function pn_register_user($user_id) {
global $wpdb, $pn_migration;
	
	$pn_migration = intval($pn_migration);
	if(!$pn_migration){
		
		$array = array();
		$array['user_registered'] = current_time('mysql');
		$wpdb->update($wpdb->prefix ."users", $array, array('ID'=>$user_id));
			
		$user_browser = pn_maxf(pn_strip_input($_SERVER['HTTP_USER_AGENT']),500);
		add_user_meta( $user_id, 'user_browser', $user_browser, true );
			
		$user_ip = pn_strip_input(preg_replace( '/[^0-9a-fA-F:., ]/', '',$_SERVER['REMOTE_ADDR'] ));
		add_user_meta( $user_id, 'user_ip', $user_ip, true );

		add_user_meta( $user_id, 'user_bann', 0 , true );
		add_user_meta( $user_id, 'admin_comment', '' , true );
	
	}	
}

/* действия при удалении */
add_action( 'delete_user', 'delete_user_standart');
function delete_user_standart($user_id){
global $wpdb;

	$wpdb->query("DELETE FROM ". $wpdb->prefix ."exbotziv WHERE user_id = '$user_id'");
	$wpdb->query("DELETE FROM ". $wpdb->prefix. "login_check WHERE user_id = '$user_id'");	
	$wpdb->query("DELETE FROM ". $wpdb->prefix. "archive_data WHERE item_id = '$user_id' AND meta_key='plinks'");
	
}


/* удаление цветовой схемы */
add_action('admin_head', 'pn_unset_profile_colorcheme');
function pn_unset_profile_colorcheme() {
	global $_wp_admin_css_colors;
	$_wp_admin_css_colors = 0;
}	

/* время визита в админке */
add_action('admin_init','admin_init_operator');
function admin_init_operator(){
global $user_ID;	
	
	$user_id = intval($user_ID);
	$time = current_time('timestamp');
	update_user_meta($user_id, 'admin_time_last', $time) or add_user_meta($user_id, 'admin_time_last', $time, true);
	
}

/* удаление ненужных полей */
add_filter('user_contactmethods','pn_unset_profile_details',10,1);
function pn_unset_profile_details( $contactmethods ) {
	unset($contactmethods['yim']);
	unset($contactmethods['aim']);
	unset($contactmethods['jabber']);
	
	$contactmethods['second_name'] = __('Second name','pn');
	$contactmethods['user_phone'] = __('Phone','pn');
	$contactmethods['user_skype'] = __('Skype','pn');
		
	return $contactmethods;
}
/* свой стиль для админки юзеров */

add_action('admin_enqueue_scripts', 'pn_admin_user_style');
function pn_admin_user_style(){
		
	$file_dir = PN_PLUGIN_URL;
		
	$screen = get_current_screen();
	$arr = array('profile','user','user-edit');
		
	if(in_array($screen->id, $arr)){
		wp_enqueue_style('standart_admin_user_style', $file_dir."userstyle.css", false, "1.0");
	}
		
	if($screen->id == 'users'){
		wp_enqueue_style('standart_admin_user_style', $file_dir."userstyle.css", false, "1.0");
		wp_enqueue_script("jform script", $file_dir."js/jquery.form.js", false, "3.51");
		wp_enqueue_script("standart_admin_user_script", $file_dir."js/user.js", false, "1.0");
	}
			
}

add_action('admin_footer', 'pn_admin_user_footer');
function pn_admin_user_footer(){

	$file_dir = PN_PLUGIN_URL;
		
	$screen = get_current_screen(); 
	if($screen->id == 'users'){
		?>
			<div class="standart_shadow"></div>
			<div class="standart_window" id="window_user_comment">
				<div class="standart_windowins">
					<div class="standart_window_close"></div>
					<div class="standart_window_title"><?php _e('Comment','pn'); ?></div>
					
					<div class="standart_windowcontent">
						<form action="<?php the_link_toajax('stand_admin_comment'); ?>" class="ajaxedform" method="post">

							<p><textarea id="hide_id_comment" name="comment"></textarea></p>
							<p><input type="submit" name="submit" class="button-primary" value="<?php _e('Save','pn'); ?>" /></p>
							<input type="hidden" name="user_id" id="hide_id_zam" value="" />
							
						</form>
					</div>
				</div>
			</div>			
		<?php
	}
}
	
/* стандартные настройки сохранения */
add_action('myaction_post_stand_admin_comment', 'pn_myaction_post_stand_admin_comment');
function pn_myaction_post_stand_admin_comment(){

	only_post();
	
	$log = array();

	$id = intval(is_param_post('user_id'));
	$text = pn_maxf(pn_strip_input(is_param_post('comment')),500);
	if($id){
		if(current_user_can('administrator')){
			
			update_user_meta( $id, 'admin_comment', $text) or add_user_meta($id, 'admin_comment', $text, true);
				
			$log['otv']= 'success';
			$log['comment'] = $text;
			
		} else {
			$log['otv']= 'error'; 
			$log['text']= __('Error! insufficient privileges!','pn');		
		}
	} else {
		$log['otv']= 'error'; 
		$log['text']= __('Error! Not specified id','pn');
	} 

	$log['empty'] = 1;
	echo json_encode($log);		
	exit;	
	
}

/* стандартные настройки сохранения */

add_action( 'profile_update', 'pn_profile_update');
function pn_profile_update($user_id){
	if(isset($_POST['pn_profile_update'])){
		if(current_user_can('administrator')){ 
			
			global $wpdb;
			$prefix = $wpdb->prefix;
			$level = get_user_meta($user_id, $prefix.'user_level', true);       

			if($level != 10){
				$user_bann = intval(is_param_post('user_bann'));
				update_user_meta( $user_id, 'user_bann', $user_bann) or add_user_meta($user_id, 'user_bann', $user_bann, true);
			}
			
			$admin_comment = pn_maxf(pn_strip_input(is_param_post('admin_comment')),500);
			update_user_meta( $user_id, 'admin_comment', $admin_comment) or add_user_meta($user_id, 'admin_comment', $admin_comment, true);			
			
			$array = array();
			$array['user_discount'] = is_my_money(is_param_post('user_discount'),5);
			$array['sec_lostpass'] = intval(is_param_post('sec_lostpass'));
			$array['sec_login'] = intval(is_param_post('sec_login'));
			$array['email_login'] = intval(is_param_post('email_login'));
			
			$wpdb->update($wpdb->prefix ."users", $array, array('ID'=>$user_id));
	
		}
		
	}	
}

/* стандартные поля при редактировании пользователя */

add_action( 'show_user_profile', 'pn_edit_user');
add_action( 'edit_user_profile', 'pn_edit_user');
function pn_edit_user($user){
	$user_id = $user->ID;
		
	if(current_user_can('administrator')){ 
			
		$user_bann = get_user_meta($user_id, 'user_bann', true);
		$user_browser = pn_strip_input(get_user_meta($user_id, 'user_browser', true));
		$user_ip = pn_strip_input(get_user_meta($user_id, 'user_ip', true));
		$admin_comment = pn_strip_input(get_user_meta($user_id, 'admin_comment', true));
		
		$user_discount = is_my_money($user->user_discount);
		?>
		<input type="hidden" name="pn_profile_update" value="1" />
		
		<h3><?php _e('User information','pn'); ?></h3>
	    <table class="form-table">
			<tr>
				<th>
					<label for="user_ip"><?php _e('IP','pn'); ?></label>
				</th>
				<td>
					<input type="text" name="user_ip" id="user_ip" disabled class="regular-text" autocomplete="off" value="<?php echo $user_ip;?>" />
			   </td>
			</tr>
			<tr>
				<th>
					<label for="user_browser"><?php _e('Browser','pn'); ?></label>
				</th>
				<td>
					<input type="text" name="user_browser" id="user_browser" disabled class="regular-text" autocomplete="off" value="<?php echo $user_browser;?>" />
			   </td>
			</tr>
			
			<tr>
				<th>
					<label for="user_discount"><?php _e('Personal discount','pn'); ?></label>
				</th>
				<td>
					<input type="text" name="user_discount" id="user_discount" autocomplete="off" value="<?php echo $user_discount;?>" />%
			   </td>
			</tr>
			
			<tr>
				<th>
					<?php _e('Discount','pn'); ?>
				</th>
				<td>
					<?php echo get_user_discount($user_id);?>%
			   </td>
			</tr>			

			<tr>
				<th>
					<label><?php _e('User exchanges','pn'); ?></label>
				</th>
				<td>
					<?php echo get_user_count_exchanges($user_id); ?> ( <?php echo get_user_sum_exchanges($user_id); ?> <?php echo cur_type(); ?>)
			   </td>
			</tr>			

			<tr>
				<th>
					<label for="admin_comment"><?php _e('Comment','pn'); ?></label>
				</th>
				<td>
					<textarea name="admin_comment" id="admin_comment" rows="5" cols="30"><?php echo $admin_comment; ?></textarea>
			   </td>
			</tr>			
			<tr>
				<th>
					<label for="user_bann"><?php _e('Blocking','pn'); ?></label>
				</th>
				<td>
					<select name="user_bann" id="user_bann" autocomplete="off">
						<option value='0'><?php _e('not blocked','pn'); ?></option>
						<option value='1' <?php selected($user_bann, 1); ?>><?php _e('blocked','pn'); ?></option>
					</select>
			   </td>
			</tr>			
        </table>

		<h3><?php _e('Security info','pn'); ?></h3>
	    <table class="form-table">
			<tr>
				<th>
					<label for="sec_lostpass"><?php _e('Recover password','pn'); ?>:</label>
				</th>
				<td>
					<select name="sec_lostpass" id="sec_lostpass">
						<option value="0"><?php _e('No','pn'); ?></option>
						<option value="1" <?php selected($user->sec_lostpass, 1); ?>><?php _e('Yes','pn'); ?></option>
					</select>
				</td>
			</tr>
			<tr>
				<th>
					<label for="sec_login"><?php _e('Log in notification by e-mail','pn'); ?>:</label>
				</th>
				<td>
					<select name="sec_login" id="sec_login">
						<option value="0"><?php _e('No','pn'); ?></option>
						<option value="1" <?php selected($user->sec_login, 1); ?>><?php _e('Yes','pn'); ?></option>
					</select>
				</td>
			</tr>
			<tr>
				<th>
					<label for="email_login"><?php _e('Authorization by e-mail','pn'); ?>:</label>
				</th>
				<td>
					<select name="email_login" id="email_login">
						<option value="0"><?php _e('No','pn'); ?></option>
						<option value="1" <?php selected($user->email_login, 1); ?>><?php _e('Yes','pn'); ?></option>
					</select>
				</td>
			</tr>			
        </table>		
		
		<?php
	}
} 


/* стандартные поля пользователя */
add_filter('manage_users_sortable_columns','pn_manage_users_sortable_columns');
function pn_manage_users_sortable_columns($sortable_columns){
	
	$sortable_columns['rdate'] = 'user_registered';
	$sortable_columns['rid'] = 'ID';
	$sortable_columns['admin_time'] = 'admin_time_last';
	
	return $sortable_columns;
}	
	
add_filter('manage_users_columns', 'pn_users_columns',1);
function pn_users_columns($columns) {

	$columns = array();
	$columns['cb']  = '<input type="checkbox" />';
	$columns['rid'] = 'ID';
	$columns['username'] = __( 'Username' );
	$columns['rdate'] = __('Register date','pn');
	$columns['email']    = __( 'E-mail' );
	$columns['role']     = __( 'Role' );
	$columns['admin_time']    = __( 'Control panel','pn' );
	
	$columns['user_phone'] = __('Phone','pn');
	$columns['user_skype'] = __('Skype','pn');
	
	$columns['countobmen'] = __('User exchanges','pn');
	$columns['userskidka'] = __('Discount','pn');
	
	$columns['user_browser'] = __('Browser','pn');
	$columns['user_ip'] = __('IP','pn');
	$columns['user_bann'] = __('Blocking','pn');
	$columns['admin_comment'] = __('Comment','pn');	
		
	return $columns;
}
 
add_filter('manage_users_custom_column', 'pn_manage_users_custom_column', 10, 3);
function pn_manage_users_custom_column($empty='', $column_name, $user_id){
		
	if($column_name == 'rdate'){
		$ui = get_userdata($user_id);
		return get_mytime($ui->user_registered,'d.m.Y H:i');
	} 
		
	if($column_name == 'user_browser'){
		$user_browser = get_browser_name(get_user_meta($user_id, 'user_browser', true));
		return $user_browser;
	}
	
	if($column_name == 'countobmen'){

	   return get_user_count_exchanges($user_id).'<br />(<strong>'. get_user_sum_exchanges($user_id) .'</strong>&nbsp;'. cur_type() .')';
		
	}
	if($column_name == 'userskidka'){

	   return get_user_discount($user_id).'%';
		
	}	
	
	if($column_name == 'user_phone'){
		$user_phone = pn_strip_input(get_user_meta($user_id, 'user_phone', true));
		return $user_phone;
	}

	if($column_name == 'user_skype'){
		$user_skype = pn_strip_input(get_user_meta($user_id, 'user_skype', true));
		return $user_skype;
	}		

	if($column_name == 'admin_time'){
		$admin_time_last = pn_strip_input(get_user_meta($user_id, 'admin_time_last', true));
		if($admin_time_last){
			return date('d.m.Y H:i',$admin_time_last);
		}
	}	
	
	if($column_name == 'user_ip'){
		$user_ip = pn_strip_input(get_user_meta($user_id, 'user_ip', true));
		return $user_ip;
	}

	if($column_name == 'user_bann'){
		$user_bann = get_user_meta($user_id, 'user_bann', true);
		if($user_bann == 1){		
			return '<span class="bred">'. __('blocked','pn') .'</span>';
		} else {
			return __('not blocked','pn');
		}
	}		
	
	if($column_name == 'admin_comment'){
		$admin_comment = pn_strip_input(get_user_meta($user_id, 'admin_comment', true));
		$cl='';
		if($admin_comment){ 
			$cl='act'; 
		}	
			
		return '
		<div class="uzercomment '. $cl .'" id="ucomment-'. $user_id .'"">
			<div class="uzercommenthide">'. $admin_comment .'</div>
		</div>';
	}	
	
	if($column_name == 'rid'){
		return $user_id;	
	}		
		
	return $empty;	
}

/* стандартный виджет, с пользователями в админке */
add_action('wp_dashboard_setup', 'standart_user_wp_dashboard_setup' );
function standart_user_wp_dashboard_setup() {
	wp_add_dashboard_widget('standart_user_dashboard_widget', __('Users in admin panel','pn'), 'dashboard_users_in_admin_panel');
}

function dashboard_users_in_admin_panel(){
global $wpdb;

	$time = current_time('timestamp') - 60;

	$users = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."users LEFT OUTER JOIN ". $wpdb->prefix ."usermeta ON (". $wpdb->prefix ."users.ID = ". $wpdb->prefix ."usermeta.user_id) WHERE meta_key = 'admin_time_last' AND meta_value >= '$time'");

	foreach($users as $us){
		echo '<strong>'. pn_strip_input($us->user_login) . '</strong> ('. date('d.m.Y H:i:s', pn_strip_input($us->meta_value)) .')';
		echo '<hr />';
	}
}

/*
Удаление админ-бара для тех, кому нельзя
Разлогивание заблокированных пользователей
*/

add_action('init', 'pn_hide_admin_bar');
function pn_hide_admin_bar() {
	if (!current_user_can('read')) {
			
		add_filter('show_admin_bar', '__return_false');
			
	}
		
	if(!current_user_can('administrator')){
		
		global $or_site_url;
		$wp_current_user = wp_get_current_user();
		$user_id = intval($wp_current_user->ID);
		$user_bann = get_user_meta($user_id, 'user_bann', true);
		if($user_bann == 1){
			wp_logout();
			wp_redirect($or_site_url);
			exit();
		}		
			
	}
}
