<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_vaccounts', 'adminpage_title_pn_vaccounts');
function adminpage_title_pn_vaccounts(){
	_e('Currency accounts','pn');
}

add_action('adminpage_content_pn_vaccounts','def_adminpage_content_pn_vaccounts');
function def_adminpage_content_pn_vaccounts(){

	if(class_exists('trev_vaccounts_List_Table')){
		$Table = new trev_vaccounts_List_Table();
		$Table->prepare_items();
		
		$item = pn_strip_input(is_param_get('item'));
		$mod = intval(is_param_get('mod'));
		$valut_id = intval(is_param_get('valut_id'));
?>

	<form action="" method="get">

		<p class="search-box">
			<?php if($item){ ?>
				<a href="<?php echo admin_url('admin.php?page=pn_vaccounts');?>" class="button"><?php _e('Cancel','pn'); ?></a>
			<?php } ?>
			
			<input type="search" name="item" placeholder="<?php _e('Curency account','pn'); ?>" value="<?php echo $item; ?>" />

			<input type="hidden" name="page" value="pn_vaccounts" />
			<input type="submit" name="" class="button" value="<?php _e('Search','pn'); ?>"  />
		</p>

	</form>	
	
	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_vaccounts&valut_id='.$valut_id.'&item='.$item);?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_vaccounts&mod=1&valut_id='.$valut_id.'&item='.$item);?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('active accounts','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_vaccounts&mod=2&valut_id='.$valut_id.'&item='.$item);?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('not active accounts','pn'); ?></a></li>
	</ul>	

	<form method="post" action="<?php the_link_tosaved(); ?>">
	
		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_vaccounts','def_myaction_post_pn_vaccounts');
function def_myaction_post_pn_vaccounts(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$valut_id = intval(is_param_post('valut_id'));
				if($valut_id){
					$ref .= '&valut_id='.$valut_id;
				}
				
				$url = admin_url('admin.php?page=pn_vaccounts') . $ref . $reply;
				wp_redirect($url);
				exit;

			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action=='active'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$wpdb->update($wpdb->prefix.'vschets', array('visib'=>'0'), array('id'=>$id));
							do_action('pn_vaccounts_active', $id);
						}
						$reply = '&reply=true';
					}	

					if($action=='notactive'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$wpdb->update($wpdb->prefix.'vschets', array('visib'=>'1'), array('id'=>$id));
							do_action('pn_vaccounts_notactive', $id);
						}
						$reply = '&reply=true';
					}	

					if($action=='clearpr'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$wpdb->update($wpdb->prefix.'vschets', array('prosm'=>'0'), array('id'=>$id));
							do_action('pn_vaccounts_notactive', $id);
						}
						$reply = '&reply=true';
					}	

					if($action=='delete'){
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							do_action('pn_vaccounts_delete', $id);
							$wpdb->query("DELETE FROM ".$wpdb->prefix."vschets WHERE id = '$id'");
							delete_vaccs_txtmeta($id);
						}
						$reply = '&reply=true';
					}
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
}  


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_vaccounts_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_vaccounts_column_col', $column_name, $item);
		
		if($column_name == 'idsnew'){
			$code = '[exb_schet valuts="'. $item->valid .'" unique=""]';
			return "<input type='text' style='width: 100%;' name='' onclick='this.select()' value='". $code ."' />";
		} elseif($column_name == 'valuts'){
		    return get_vtitle($item->valid);
		} elseif($column_name == 'title'){
			$accountnum_or = pn_strip_input(get_vaccs_txtmeta($item->id, 'accountnum'));
			$accountnum = $item->title;
			
			if($accountnum != $accountnum_or and $accountnum_or){
				return '<span class="bred_dash">'. $accountnum .'</span> <span class="bgreen">'. $accountnum_or .'</span>';
			} else {
				return $accountnum;
			}
		} elseif($column_name == 'cv'){
			return pn_strip_input($item->prosm);
		} elseif($column_name == 'comment'){
			return pn_strip_text($item->text_comment);			
		} elseif($column_name == 'status'){
	        $st = $item->visib;
		    if($st == 1){
		        return '<span class="bred">'. __('not active account','pn') .'</span>';
		    } else { 
		        return '<span class="bgreen">'. __('active account','pn') .'</span>';
		    }		
		} 		
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_cid($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_vaccounts&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            $item->valid,
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'cid'    => __('Shortcode-ID','pn'),
			'idsnew'    => __('Shortcode','pn'),
			'valuts'    => __('Currency title','pn'),
		    'title'    => __('Curency account','pn'),
			'status'    => __('Status','pn'),	
            'cv'    => __('Hits','pn'),	
			'comment'    => __('Comment','pn'),
        );
		
		$columns = apply_filters('manage_restrict_vaccounts_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
			'active'    => __('Activated','pn'),
			'notactive'    => __('Deactivated','pn'),
			'clearpr'    => __('Reset the counter','pn'),
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function get_sortable_columns() {
        $sortable_columns = array( 
            'cid'     => array('cid',false),
			'cv'     => array('cv',false),
        );
        return $sortable_columns;
    }	
	
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_vaccounts_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		
		$oby = is_param_get('orderby');
		if($oby == 'cid'){
		    $orderby = 'valid';		
		} elseif($oby == 'cv'){	
			$orderby = "(prosm -0.0)";			
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		if($order != 'asc'){ $order = 'desc'; }		
		
		$where = '';
		
        $mod = intval(is_param_get('mod'));
        if($mod == 1){ 
            $where .= " AND visib='0'"; 
		} elseif($mod == 2){
			$where .= " AND visib='1'";
		}		
		
        $valut_id = intval(is_param_get('valut_id'));
        if($valut_id > 0){ 
            $where .= " AND valid='$valut_id'"; 
		}

        $accountnum = pn_strip_input(is_param_get('item'));
        if($accountnum){ 
            $where .= " AND title LIKE '%$accountnum%'"; 
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."vschets WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."vschets WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
		global $wpdb;
		
		$valuts = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts ORDER BY vname ASC");		  	
    ?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$valut_id = intval(is_param_get('valut_id'));
?>
			<select name="valut_id" autocomplete="off">
				<option value="0"><?php echo _e('All currency','pn'); ?></option>
            <?php
				foreach($valuts as $item){
					echo "\t<option value='" . $item->id . "' " . selected($item->id, $valut_id, false ) . ">". pn_strip_input($item->vname .' '. $item->vtype) ."</option>\n";
			    }
			?>
			</select>
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}	
    ?>
	    </div>	
	
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_vaccounts');?>" class="button"><?php _e('Add new','pn'); ?></a>
			<a href="<?php echo admin_url('admin.php?page=pn_add_vaccounts_many');?>" class="button"><?php _e('Add list','pn'); ?></a>
		</div>		
	<?php 
	}	  
	
}


add_action('myscreen_pn_vaccounts','my_myscreen_pn_vaccounts');
function my_myscreen_pn_vaccounts() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_vaccounts_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_vaccounts_List_Table')){
		
		$myListTable = new trev_vaccounts_List_Table;
	
	}

}
?>