<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_valuts', 'adminpage_title_pn_valuts');
function adminpage_title_pn_valuts(){
	_e('Currency','pn');
}

add_action('adminpage_content_pn_valuts','def_adminpage_content_pn_valuts');
function def_adminpage_content_pn_valuts(){
global $wpdb;

	if(class_exists('trev_valuts_List_Table')){
		$Table = new trev_valuts_List_Table();
		$Table->prepare_items();
		
		$mod = intval(is_param_get('mod'));
		$vtype = pn_strip_input(is_param_get('vtype'));
?>

	<ul class='subsubsub'>
		<li class='all'><a href='<?php echo admin_url('admin.php?page=pn_valuts&vtype='.$vtype);?>' <?php if(!$mod){?>class="current"<?php }?>><?php _e('All'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_valuts&mod=1&vtype='.$vtype);?>' <?php if($mod==1){?>class="current"<?php }?>><?php _e('active currencies','pn'); ?></a> |</li>
		<li><a href='<?php echo admin_url('admin.php?page=pn_valuts&mod=2&vtype='.$vtype);?>' <?php if($mod==2){?>class="current"<?php }?>><?php _e('not active currencies','pn'); ?></a></li>
	</ul>

	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_valuts','def_myaction_post_pn_valuts');
function def_myaction_post_pn_valuts(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$mod = intval(is_param_post('mod'));
				if($mod){
					$ref .= '&mod='.$mod;
				}
				
				$vtype = pn_strip_input(is_param_post('vtype'));
				if($vtype){
					$ref .= '&vtype='.$vtype;
				}			
				
				$url = admin_url('admin.php?page=pn_valuts') . $ref . $reply;
				wp_redirect($url);
				exit;
			

			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action == 'active'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."valuts WHERE id='$id' AND vactive != '1'");
							if(isset($item->id)){			
								do_action('pn_valuts_active_before', $id, $item);	
								$wpdb->query("UPDATE ".$wpdb->prefix."valuts SET vactive = '1' WHERE id = '$id'");
								do_action('pn_valuts_active', $id, $item);
							}
						}
						
						$reply = '&reply=true';
						
					}

					if($action == 'notactive'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."valuts WHERE id='$id' AND vactive != '0'");
							if(isset($item->id)){
								do_action('pn_valuts_notactive_before', $id, $item);
								$wpdb->query("UPDATE ".$wpdb->prefix."valuts SET vactive = '0' WHERE id = '$id'");
								$wpdb->query("UPDATE ".$wpdb->prefix."napobmens SET status = '0' WHERE valsid1 = '$id' OR valsid2 = '$id'");
								do_action('pn_valuts_notactive', $id, $item);
							}
						}
						
						$reply = '&reply=true';
						
					}					
				
					if($action == 'delete'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."valuts WHERE id='$id'");
							if(isset($item->id)){							
								do_action('pn_valuts_delete_before', $id, $item);
								$wpdb->query("DELETE FROM ".$wpdb->prefix."valuts WHERE id = '$id'");
								$wpdb->query("DELETE FROM ".$wpdb->prefix."valuts_meta WHERE item_id = '$id'");
								$wpdb->query("DELETE FROM ".$wpdb->prefix."transactionrezerv WHERE valsid = '$id'");
								$wpdb->query("DELETE FROM ".$wpdb->prefix."napobmens WHERE valsid1 = '$id' OR valsid2 = '$id'");
								$wpdb->query("DELETE FROM ".$wpdb->prefix."zapros_rezerv WHERE valid = '$id'");
								$wpdb->query("DELETE FROM ".$wpdb->prefix."custom_fields_valut WHERE valut_id = '$id'"); 
								$wpdb->query("DELETE FROM ".$wpdb->prefix."vschets WHERE valid = '$id'");
								do_action('pn_valuts_delete', $id, $item);
							}								
						}
						
						$reply = '&reply=true';
						
					}
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_valuts_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_valuts_column_col', $column_name, $item);
		
		if($column_name == 'cid'){
			return $item->id;
		} elseif($column_name == 'code'){
			return pn_strip_input($item->vtype);
		} elseif($column_name == 'site_value'){
			return pn_strip_input($item->xname);		
		} elseif($column_name == 'xml_value'){
			return pn_strip_input($item->xml_value);		
		} elseif($column_name == 'reserve'){
			return get_summ_color(is_my_money($item->valut_reserv));	
		} elseif($column_name == 'received'){
			return get_valut_in($item->id, 6);
		} elseif($column_name == 'issued'){
			return get_valut_out($item->id, 6);
		} elseif($column_name == 'status'){	
		    if($item->vactive == 0){ 
			    return '<span class="bred">'. __('not active currency','pn') .'</span>'; 
			} else { 
			    return '<span class="bgreen">'. __('active currency','pn') .'</span>'; 
			}			
		} 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_title($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_valuts&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            pn_strip_input($item->vname),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'cid'     => __('ID','pn'),
			'title'     => __('Currency title','pn'),
			'code' => __('Currency code','pn'),
			'reserve' => __('Reserve','pn'),
			'received' => __('Received','pn').' &larr;',
			'issued' => __('Sent','pn').' &rarr;',
			'site_value' => __('Name for site','pn'),
			'xml_value' => __('Name for XML','pn'),
			'status'    => __('Status','pn'),
        );
		
		$columns = apply_filters('manage_restrict_valuts_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
			'active'    => __('Activated','pn'),
			'notactive'    => __('Deactivated','pn'),
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
	
    function get_sortable_columns() {
        $sortable_columns = array( 
			'cid'     => array('cid',false),
            'title'     => array('title',false),
			'code'     => array('code',false),
        );
        return $sortable_columns;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_valuts_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'title'){
		    $orderby = 'vname';
		} elseif($oby == 'code'){	
			$orderby = 'vtype';
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';		
		if($order != 'asc'){ $order = 'desc'; }		
		
		
		$where = '';
		
        $mod = intval(is_param_get('mod'));
        if($mod == 1){ 
            $where .= " AND vactive='1'"; 
		} elseif($mod == 2){
			$where .= " AND vactive='0'";
		}		
		
        $vtype = pn_strip_input(is_param_get('vtype'));
        if($vtype){ 
            $where .= " AND vtype = '$vtype'"; 
		}	
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."valuts WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
		global $wpdb;
		
		$vtypes = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."vtypes ORDER BY xname ASC");
    ?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$vtype = pn_strip_input(is_param_get('vtype'));
?>
			<select name="vtype" autocomplete="off">
				<option value="0"><?php echo _e('All codes','pn'); ?></option>
            <?php
				foreach($vtypes as $item){
					echo "\t<option value='" . pn_strip_input($item->xname) . "' " . selected($item->xname, $vtype, false ) . ">". pn_strip_input($item->xname) ."</option>\n";
			    }
			?>
			</select>		
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}	
    ?>
	    </div>	
	
		<div class="alignleft actions">
            <a href="<?php echo admin_url('admin.php?page=pn_add_valuts');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>		
	<?php 
	}	  
	
}


add_action('myscreen_pn_valuts','my_myscreen_pn_valuts');
function my_myscreen_pn_valuts() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_valuts_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_valuts_List_Table')){
		
		$myListTable = new trev_valuts_List_Table;
	
	}

}
?>