<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_vtypes', 'adminpage_title_pn_vtypes');
function adminpage_title_pn_vtypes(){
	_e('Currency codes','pn');
}

add_action('adminpage_content_pn_vtypes','def_adminpage_content_pn_vtypes');
function def_adminpage_content_pn_vtypes(){

	if(class_exists('trev_vtypes_List_Table')){
		$Table = new trev_vtypes_List_Table();
		$Table->prepare_items();
?>
	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<style>
.column-cid{ width: 80px!important; }
</style>	
<?php 
	} else {
		echo 'Class not found';
	}
}


add_action('myaction_post_pn_vtypes','def_myaction_post_pn_vtypes');
function def_myaction_post_pn_vtypes(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			if(isset($_POST['save'])){
				
				if(isset($_POST['vncurs']) and is_array($_POST['vncurs'])){
					foreach($_POST['vncurs'] as $id => $vncurs){
						$id = intval($id);
						$vncurs = is_my_money($vncurs);
						if($vncurs <= 0){ $vncurs = 1; }
						
						$wpdb->query("UPDATE ".$wpdb->prefix."vtypes SET vncurs = '$vncurs' WHERE id = '$id'");
					}
				}
				
				do_action('pn_vtypes_save');
				$reply = '&reply=true';
			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action == 'delete'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."vtypes WHERE id='$id'");
							if(isset($item->id)){
								do_action('pn_vtypes_delete_before', $id, $item);
								$wpdb->query("DELETE FROM ".$wpdb->prefix."vtypes WHERE id = '$id'");
								do_action('pn_vtypes_delete', $id, $item);
							}
						}
						
						$reply = '&reply=true';
						
					}
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 


if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_vtypes_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		$column_name = apply_filters('manage_restrict_vtypes_column_col', $column_name ,$item);
		
		if($column_name == 'cid'){
			return $item->id;
		} elseif($column_name == 'od'){	
		    return '<input type="text" style="width: 100px;" name="vncurs['. $item->id .']" value="'. is_my_money($item->vncurs) .'" />';	
		} 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }	

    function column_title($item){

        $actions = array(
            'edit'      => '<a href="'. admin_url('admin.php?page=pn_add_vtypes&item_id='. $item->id) .'">'. __('Edit','pn') .'</a>',
        );
        
        return sprintf('%1$s %2$s',
            pn_strip_input($item->xname),
            $this->row_actions($actions)
        );
		
    }	
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'cid' => __('ID','pn'),
			'title'     => __('Currency code','pn'),
			'od'    => __('Internal rate','pn'). '(1 '. cur_type() .')',
        );
		
		$columns = apply_filters('manage_restrict_vtypes_column', $columns);
		
        return $columns;
    }	
	

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
	
    function get_sortable_columns() {
        $sortable_columns = array( 
			'cid'     => array('cid',false),
            'title'     => array('title',false),
			'od'     => array('od',false),
        );
        return $sortable_columns;
    }	
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_vtypes_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'title'){
		    $orderby = 'xname';
		} elseif($oby == 'od'){
			$orderby = '(vncurs -0.0)';			
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';		
		if($order != 'asc'){ $order = 'desc'; }			

		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."vtypes");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."vtypes ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
    ?>
		<div class="alignleft actions">
			<input type="submit" name="save" class="button" value="<?php _e('Save','pn'); ?>">
            <a href="<?php echo admin_url('admin.php?page=pn_add_vtypes');?>" class="button"><?php _e('Add new','pn'); ?></a>
		</div>
		<?php
	}	  
	
}


add_action('myscreen_pn_vtypes','my_myscreen_pn_vtypes');
function my_myscreen_pn_vtypes() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_vtypes_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_vtypes_List_Table')){
		
		$myListTable = new trev_vtypes_List_Table;
	
	}

}
?>