<?php
if( !defined( 'ABSPATH')){ exit(); }

/* 
Подключаем к меню
*/
add_action('adminpage_title_pn_xmlmap', 'adminpage_title_pn_xmlmap');
function adminpage_title_pn_xmlmap($page){

	_e('Settings XML sitemap','pn');

} 

/* настройки */
add_action('adminpage_content_pn_xmlmap','def_adminpage_content_pn_xmlmap');
function def_adminpage_content_pn_xmlmap(){
global $wpdb;

	$args = array(
		'post_type' => 'page',
		'posts_per_page' => '-1'
	);
	$pages = get_posts($args);
	
	$exclude_pages = @unserialize(get_change('xmlmap','exclude_page'));
	if(!is_array($exclude_pages)){ $exclude_pages = array(); }
?>
<div class="premium_body">
		
	<form method="post" action="<?php the_link_tosaved(); ?>">
		<table class="premium_standart_table">
			<?php
				pn_h3(__('Settings XML sitemap','pn'), __('Save','pn'));
					
				pn_select(__('Display news?','pn'), 'news', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('xmlmap','news'));
				
				pn_line();
				
				pn_select(__('Display exchanges?','pn'), 'exchanges', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('xmlmap','exchanges'));
				
				pn_line();
				
				pn_select(__('Display pages?','pn'), 'pages', array('0'=>__('No','pn'),'1'=>__('Yes','pn')),  get_change('xmlmap','pages'));		
					
				?>
				<tr>
					<th><?php _e('Exclude pages','pn'); ?></th>
					<td>
						<div class="premium_wrap_standart">
							<?php foreach($pages as $item){ ?>
							<div><label><input type="checkbox" name="exclude_page[]" <?php if(in_array($item->ID, $exclude_pages)){ ?>checked="checked"<?php } ?> value="<?php echo $item->ID; ?>" /> <?php echo $item->post_title; ?></label></div>
							<?php } ?>
						</div>
					</td>		
				</tr>					
				<?php
					
				do_action('xmlmap_changeform');	
					
				pn_h3('', __('Save','pn'));								
			?>
		</table>
	</form>
		
</div>	
<?php
} 


/* обработка */
add_action('myaction_post_pn_xmlmap','def_myaction_post_pn_xmlmap');
function def_myaction_post_pn_xmlmap(){
global $wpdb;	

	if(current_user_can('administrator')){
		
		only_post();
	
			$new_exclude_page = array();
			$exclude_page = is_param_post('exclude_page');
			if(is_array($exclude_page)){
				foreach($exclude_page as $val){
					$new_exclude_page[] = intval($val);
				}
			}

			update_change('xmlmap','exclude_page',serialize($new_exclude_page));				
				
			$options = array('exchanges','pages','news');	
					
			foreach($options as $key){
				$val = intval(is_param_post($key));
				update_change('xmlmap',$key , $val);
			}				

			do_action('xmlmap_changeform_post');
	
			$url = admin_url('admin.php?page=pn_xmlmap&reply=true');
			wp_redirect($url);
			exit;
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 

?>