<?php
if( !defined( 'ABSPATH')){ exit(); }

/****************************** список ************************************************/

add_action('adminpage_title_pn_zreserv', 'adminpage_title_pn_zreserv');
function adminpage_title_pn_zreserv(){
	_e('Requests reserve','pn');
}

add_action('adminpage_content_pn_zreserv','def_adminpage_content_pn_zreserv');
function def_adminpage_content_pn_zreserv(){

	if(class_exists('trev_zreserv_List_Table')){
		$Table = new trev_zreserv_List_Table();
		$Table->prepare_items();
		
		$valut_id = intval(is_param_get('valut_id'));
?>
	<form method="post" action="<?php the_link_tosaved(); ?>">

		<?php $Table->display() ?>
		
	</form>
<?php 
	} else {
		echo 'Class not found';
	}
} 


add_action('myaction_post_pn_zreserv','def_myaction_post_pn_zreserv');
function def_myaction_post_pn_zreserv(){
global $wpdb;	
	if(current_user_can('administrator')){
		
		only_post();
	
			$reply = '';
			$action = get_admin_action();
			
			if(isset($_POST['filter'])){
			
				$ref = '';
				$valut_id = intval(is_param_post('valut_id'));
				if($valut_id){
					$ref .= '&valut_id='. $valut_id;
				}
				
				$url = admin_url('admin.php?page=pn_zreserv') . $ref . $reply;
				wp_redirect($url);
				exit;
			
			} else {
				
				if(isset($_POST['id']) and is_array($_POST['id'])){				
				
					if($action == 'delete'){
						
						foreach($_POST['id'] as $id){
							$id = intval($id);
							
							do_action('pn_zreserv_delete', $id);
							$wpdb->query("DELETE FROM ".$wpdb->prefix."zapros_rezerv WHERE id = '$id'");
							
						}
						
						$reply = '&reply=true';
						
					}
					
				} 
				
			}
			
			$url = is_param_post('_wp_http_referer') . $reply;
			wp_redirect($url);
			exit;			
			
	} else {
		the_warning(__('Error! insufficient privileges!','pn'));
	}
} 

if(!class_exists('WP_List_Table')){
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class trev_zreserv_List_Table extends WP_List_Table {

    function __construct(){
        global $status, $page;
                
        parent::__construct( array(
            'singular'  => 'id',      
			'ajax' => false,  
        ) );
        
    }
	
    function column_default($item, $column_name){
        
		if($column_name == 'csumm'){
		    return pn_strip_input($item->summk);
		} elseif($column_name == 'ccom'){		
		    return pn_strip_input($item->comment);		
		} elseif($column_name == 'cdate'){		
		    return get_mytime($item->zdate, 'd.m.Y в H:i');		
		} elseif($column_name == 'cemail'){
		    return '<a href="mailto:'. is_email($item->email) .'">'. is_email($item->email) .'</a>';
		} elseif($column_name == 'cvals'){
		    return get_vtitle($item->valid);
		}		 
		
    }	
	
    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'], 
            $item->id                
        );
    }		
	
    function get_columns(){
        $columns = array(
            'cb'        => '<input type="checkbox" />',
			'cdate'     => __('Date','pn'),
			'cemail'    => __('E-mail','pn'),
			'cvals'  => __('Currency title','pn'),
            'csumm'  => __('Sum','pn'),
			'ccom'  => __('Comment','pn'),			
        );
		
        return $columns;
    }	
	
    function get_sortable_columns() {
        $sortable_columns = array( 
			'cdate'     => array('cdate',false),
            'cvals'     => array('cvals',false),
			'csumm'     => array('csumm',false),
        );
        return $sortable_columns;
    }	

    function get_bulk_actions() {
        $actions = array(
            'delete'    => __('Delete','pn'),
        );
        return $actions;
    }
    
    function prepare_items() {
        global $wpdb; 
		
        $per_page = $this->get_items_per_page('trev_zreserv_per_page', 20);
        $current_page = $this->get_pagenum();
        
        $this->_column_headers = $this->get_column_info();

		$offset = ($current_page-1)*$per_page;
		$oby = is_param_get('orderby');
		if($oby == 'cvals'){
		    $orderby = 'valid';
		} elseif($oby == 'csumm'){
		    $orderby = '(summk -0.0)';
		} elseif($oby == 'cdate'){
		    $orderby = 'zdate';		
		} else {
		    $orderby = 'id';
		}
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		if($order != 'asc'){ $order = 'desc'; }		
		
		$where = '';
		
        $valut_id = intval(is_param_get('valut_id'));
        if($valut_id > 0){ 
            $where .= " AND valid='$valut_id'"; 
		}		
		
		$total_items = $wpdb->query("SELECT id FROM ". $wpdb->prefix ."zapros_rezerv WHERE id > 0 $where");
		$data = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."zapros_rezerv WHERE id > 0 $where ORDER BY $orderby $order LIMIT $offset , $per_page");  		

        $current_page = $this->get_pagenum();
        $this->items = $data;
		
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)  
        ));
    }
	
	function extra_tablenav( $which ) {
		global $wpdb;
		
		$valuts = $wpdb->get_results("SELECT * FROM ". $wpdb->prefix ."valuts ORDER BY vname ASC");		  	
    ?>
		<div class="alignleft actions">
<?php
		if ( 'top' == $which ) {
			$valut_id = intval(is_param_get('valut_id'));
?>
			<select name="valut_id" autocomplete="off">
				<option value="0"><?php echo _e('All currency','pn'); ?></option>
            <?php
				foreach($valuts as $item){
					echo "\t<option value='" . $item->id . "' " . selected($item->id, $valut_id, false ) . ">". pn_strip_input($item->vname .' '. $item->vtype) ."</option>\n";
			    }
			?>
			</select>
			<input type="submit" name="filter" class="button" value="<?php _e('Filter','pn'); ?>">
<?php
		}	
?>
		</div>	
<?php		
	}	  
	
}

add_action('myscreen_pn_zreserv','my_myscreen_pn_zreserv');
function my_myscreen_pn_zreserv() {
	global $myListTable;

    $args = array(
        'label' => __('Display','pn'),
        'default' => 20,
        'option' => 'trev_zreserv_per_page'
    );
    add_screen_option('per_page', $args );
	if(class_exists('trev_zreserv_List_Table')){
		
		$myListTable = new trev_zreserv_List_Table;
	
	}

}
?>