<?php
if( !defined( 'ABSPATH')){ exit(); }


/*
Стили и скрипты админки
*/
add_action('admin_enqueue_scripts', 'pn_admin_init');
function pn_admin_init(){
	$file_dir = PN_PLUGIN_URL;
	
	$locale = get_locale();
	
	if (isset($_GET['page']) and preg_match('/^pn_/i',$_GET['page'])){
		
		wp_enqueue_style('premium style', $file_dir."style.css", false, "1.0");
		wp_enqueue_style('premium ui-style', $file_dir."jquery-ui-1.9.2.custom.min.css", false, "1.9.2");

        wp_deregister_script('jquery');
        wp_register_script('jquery', $file_dir.'js/jquery-1.8.3.min.js', false, '1.8.3');
        wp_enqueue_script('jquery');
		
		wp_enqueue_script('jquery-ui', $file_dir.'js/jquery-ui-1.9.2.custom.min.js', false, '1.9.2');
		wp_enqueue_script("jform script", $file_dir."js/jquery.form.js", false, "3.51");
		wp_enqueue_script("jquery-cookie", $file_dir."js/jcook.js", false, "1.0");
		
		if($locale == 'ru_RU'){
			wp_enqueue_script("jquery-datepicker", $file_dir."js/jquery.ui.datepicker-ru.js", false, "1.0");
			wp_enqueue_script("jquery-timepicker", $file_dir."js/jquery-ui-timepicker-addon.js", false, "1.0");
		} else {
			wp_enqueue_script("jquery-timepicker", $file_dir."js/jquery-ui-timepicker-addon-en.js", false, "1.0");
		}
			
		wp_enqueue_script('premium config', $file_dir.'js/config.js', false, '1.0');
		
        wp_enqueue_media();
        wp_register_script( 'tgm-nmp-media', $file_dir. 'js/media.js' , array( 'jquery' ), '1.0.0', true );
            wp_localize_script( 'tgm-nmp-media', 'tgm_nmp_media',
				array(
					'title'     => __('Choose or upload a file','pn'), 
					'button'    => __('Insert the file into the field','pn'),
					'library'   => 'image', 
				)
            );
        wp_enqueue_script( 'tgm-nmp-media' );
		
	}		
	
	$screen = get_current_screen();
	if(has_filter( 'adminpage_style_' . $screen->id)){
		wp_enqueue_style('premium other style', $file_dir."jsphp/style.php?place=". $screen->id, false, "1.0");
	}
	if(has_filter( 'adminpage_quicktags_' . $screen->id)){
		wp_enqueue_script('premium other quicktags', $file_dir."jsphp/quicktags.php?place=". $screen->id, array('quicktags') );
	}
	if(has_filter( 'adminpage_js_' . $screen->id)){
		wp_enqueue_script('premium other javascript', $file_dir."jsphp/adminjs.php?place=". $screen->id, false, "1.0" );
	}
	
}

/* 
Меню нашего плагина
*/
add_action('admin_menu', 'pn_add_admin_menu',0);
function pn_add_admin_menu(){ 
	
	add_submenu_page("index.php", __('Migration','pn'), __('Migration','pn'), 'administrator', "pn_migrate", "pn_admin_themp");
	
	$hook = add_menu_page(__('Applications','pn'), __('Applications','pn'), 'administrator', "pn_bids", "pn_admin_themp", get_icon_link('exchange'), 3);
	add_action( "load-$hook", 'pn_trev_hook' );
	
	add_menu_page(__('Exchanger settings','pn'), __('Exchanger settings','pn'), 'administrator', 'pn_config', 'pn_admin_themp', get_icon_link('settings'));
	add_submenu_page("pn_config", __('Setting the exchange','pn'), __('Setting the exchange','pn'), 'administrator', "pn_exchange_config", "pn_admin_themp");
	add_submenu_page("pn_config", __('Field helps','pn'), __('Field helps','pn'), 'administrator', "pn_fhelps", "pn_admin_themp");
	add_submenu_page("pn_config", __('Settings HTML sitemap','pn'), __('Settings HTML sitemap','pn'), 'administrator', "pn_htmlmap", "pn_admin_themp");
	add_submenu_page("pn_config", __('Settings XML sitemap','pn'), __('Settings XML sitemap','pn'), 'administrator', "pn_xmlmap", "pn_admin_themp");
	add_submenu_page("pn_config", __('E-mail templates','pn'), __('E-mail templates','pn'), 'administrator', "pn_mailtemp", "pn_admin_themp");
	add_submenu_page("pn_config", __('Setting export txt and xml','pn'), __('Setting export txt and xml','pn'), 'administrator', "pn_txtxml", "pn_admin_themp");
	add_submenu_page("pn_config", __('Cron','pn'), __('Cron','pn'), 'administrator', "pn_cron", "pn_admin_themp");
	add_submenu_page("pn_config", __('Language settings','pn'), __('Language settings','pn'), 'administrator', "pn_lang", "pn_admin_themp");
	add_submenu_page("pn_config", __('Captcha','pn'), __('Captcha','pn'), 'administrator', "pn_config_captcha", "pn_admin_themp");
	add_submenu_page("pn_config", __('Admin panel','pn'), __('Admin panel','pn'), 'administrator', "pn_admin", "pn_admin_themp");
	
	add_menu_page(__('Theme settings','pn'), __('Theme settings','pn'), 'administrator', 'pn_theme', 'pn_admin_themp', get_icon_link('theme'));	
	
	add_menu_page(__('Merchants','pn'), __('Merchants','pn'), 'administrator', 'pn_merchants', 'pn_admin_themp', get_icon_link('merchants'));
	add_submenu_page("pn_merchants", __('Merchants settings','pn'), __('Merchants settings','pn'), 'administrator', "pn_merchants", "pn_admin_themp");
	add_submenu_page("pn_merchants", __('Merchants instructions','pn'), __('Merchants instructions','pn'), 'administrator', "pn_ins_merchants", "pn_admin_themp");
	add_submenu_page("pn_merchants", __('SMS gates settings','pn'), __('SMS gates settings','pn'), 'administrator', "pn_smsgate", "pn_admin_themp");
	add_submenu_page("pn_merchants", __('SMS gates data','pn'), __('SMS gates data','pn'), 'administrator', "pn_data_smsgate", "pn_admin_themp");	
	
	add_menu_page(__('Moduls','pn'), __('Moduls','pn'), 'administrator', 'pn_moduls', 'pn_admin_themp', get_icon_link('moduls'));
	
	$hook = add_menu_page( __('Currency','pn'), __('Currency','pn'), 'administrator', "pn_valuts", "pn_admin_themp", get_icon_link('valuts'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_valuts", __('Add currency','pn'), __('Add currency','pn'), 'administrator', "pn_add_valuts", "pn_admin_themp");
	
	$hook = add_menu_page(__('Currency codes','pn'), __('Currency codes','pn'), 'administrator', "pn_vtypes", "pn_admin_themp", get_icon_link('vtypes'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_vtypes", __('Add currency code','pn'), __('Add currency code','pn'), 'administrator', "pn_add_vtypes", "pn_admin_themp");	
	
	$hook = add_menu_page(__('Currency accounts','pn'), __('Currency accounts','pn'), 'administrator', 'pn_vaccounts', 'pn_admin_themp', get_icon_link('accounts'));  
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_vaccounts", __('Add','pn'), __('Add','pn'), 'administrator', "pn_add_vaccounts", "pn_admin_themp");	
	add_submenu_page("pn_vaccounts", __('Add list','pn'), __('Add list','pn'), 'administrator', "pn_add_vaccounts_many", "pn_admin_themp");
	
	$hook = add_menu_page( __('Custom currency fields','pn'), __('Custom currency fields','pn'), 'administrator', "pn_cfc", "pn_admin_themp", get_icon_link('vfield'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_cfc", __('Add custom field','pn'), __('Add custom field','pn'), 'administrator', "pn_add_cfc", "pn_admin_themp");
	add_submenu_page("pn_cfc", __('Sort custom fields','pn'), __('Sort custom fields','pn'), 'administrator', "pn_sort_cfc", "pn_admin_themp");
	
	$hook = add_menu_page(__('Directions exchanges','pn'), __('Directions exchanges','pn'), 'administrator', "pn_naps", "pn_admin_themp", get_icon_link('naps'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_naps", __('Add direction exchange','pn'), __('Add direction exchange','pn'), 'administrator', "pn_add_naps", "pn_admin_themp");
	add_submenu_page("pn_naps", __('Sort directions exchanges','pn'), __('Sort directions exchanges','pn'), 'administrator', "pn_sort_naps", "pn_admin_themp");
	add_submenu_page("pn_naps", __('Templates exchange directions','pn'), __('Templates exchange directions','pn'), 'administrator', "pn_naps_temp", "pn_admin_themp");
	
	$hook = add_menu_page(__('Adjustment reserve','pn'), __('Adjustment reserve','pn'), 'administrator', "pn_reserv", "pn_admin_themp", get_icon_link('reserv'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_reserv", __('Add reserv transaction','pn'), __('Add reserv transaction','pn'), 'administrator', "pn_add_reserv", "pn_admin_themp");
		
	add_menu_page(__('Parsers','pn'), __('Parsers','pn'), 'administrator', 'pn_parser', 'pn_admin_themp', get_icon_link('parser'));  
	add_submenu_page("pn_parser", __('Courses','pn'), __('Courses','pn'), 'administrator', "pn_parser", "pn_admin_themp");
	add_submenu_page("pn_parser", __('Work','pn'), __('Work','pn'), 'administrator', "pn_work_parser", "pn_admin_themp");	
	
	$hook = add_menu_page( __('Individual rate','pn'), __('Individual rate','pn'), 'administrator', "pn_masschange", "pn_admin_themp", get_icon_link('cbr'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_masschange", __('Add rate','pn'), __('Add rate','pn'), 'administrator', "pn_add_masschange", "pn_admin_themp");	
	
	$hook = add_menu_page( __('Requests reserve','pn'), __('Requests reserve','pn'), 'administrator', "pn_zreserv", "pn_admin_themp", get_icon_link('zreserv'));	
	add_action( "load-$hook", 'pn_trev_hook' );		
	
	$hook = add_menu_page(__('Reviews','pn'), __('Reviews','pn'), 'administrator', 'pn_reviews', 'pn_admin_themp', get_icon_link('reviews'));  
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_reviews", __('Add','pn'), __('Add','pn'), 'administrator', "pn_add_reviews", "pn_admin_themp");	
	add_submenu_page("pn_reviews", __('Settings','pn'), __('Settings','pn'), 'administrator', "pn_config_reviews", "pn_admin_themp");	
	
	$hook = add_menu_page(__('Member discounts','pn'), __('Member discounts','pn'), 'administrator', "pn_discount", "pn_admin_themp", get_icon_link('discount'));	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_discount", __('Add member discount','pn'), __('Add member discount','pn'), 'administrator', "pn_add_discount", "pn_admin_themp");		
	
	add_menu_page(__('Financial statistics','pn'), __('Financial statistics','pn'), 'administrator', "pn_finstats", "pn_admin_themp", get_icon_link('finstats'));
	
	add_menu_page(__('Export contacts','pn'), __('Export contacts','pn'), 'administrator', 'pn_cexp', 'pn_admin_themp', get_icon_link('export'));
	
	$hook = add_menu_page(__('Black list','pn'), __('Black list','pn'), 'administrator', 'pn_blacklist', 'pn_admin_themp', get_icon_link('blacklist'));  
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_blacklist", __('Add','pn'), __('Add','pn'), 'administrator', "pn_add_blacklist", "pn_admin_themp");	
	add_submenu_page("pn_blacklist", __('Add list','pn'), __('Add list','pn'), 'administrator', "pn_add_blacklist_many", "pn_admin_themp");
	add_submenu_page("pn_blacklist", __('Settings','pn'), __('Settings','pn'), 'administrator', "pn_config_blacklist", "pn_admin_themp");
	
	$hook = add_menu_page(__('Partners','pn'), __('Partners','pn'), 'administrator', 'pn_partners', 'pn_admin_themp', get_icon_link('partners'));  
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_partners", __('Add','pn'), __('Add','pn'), 'administrator', "pn_addpartners", "pn_admin_themp");
	add_submenu_page("pn_partners", __('Sort','pn'), __('Sort','pn'), 'administrator', "pn_sortpartners", "pn_admin_themp");	
	
	add_menu_page(__('Partner program','pn'), __('Partner program','pn'), 'administrator', 'pn_pp', 'pn_admin_themp', get_icon_link('pp'));
	add_submenu_page("pn_pp", __('Stats','pn'), __('Stats','pn'), 'administrator', "pn_pp", "pn_admin_themp");
	$hook = add_submenu_page("pn_pp", __('Partnership exchanges','pn'), __('Partnership exchanges','pn'), 'administrator', "pn_pexch", "pn_admin_themp");
	add_action( "load-$hook", 'pn_trev_hook' );		
	$hook = add_submenu_page("pn_pp", __('Payments','pn'), __('Payments','pn'), 'administrator', "pn_payouts", "pn_admin_themp");	
	add_action( "load-$hook", 'pn_trev_hook' );	
	$hook = add_submenu_page("pn_pp", __('Transitions','pn'), __('Transitions','pn'), 'administrator', "pn_plinks", "pn_admin_themp");
	add_action( "load-$hook", 'pn_trev_hook' );		
	$hook = add_submenu_page("pn_pp", __('Referals','pn'), __('Referals','pn'), 'administrator', "pn_preferals", "pn_admin_themp");
	add_action( "load-$hook", 'pn_trev_hook' );	
	$hook = add_submenu_page("pn_pp", __('Royalties','pn'), __('Royalties','pn'), 'administrator', "pn_partnpers", "pn_admin_themp");	
	add_action( "load-$hook", 'pn_trev_hook' );
	add_submenu_page("pn_pp", __('Add expulsion','pn'), __('Add expulsion','pn'), 'administrator', "pn_add_partnpers", "pn_admin_themp");	
	add_submenu_page("pn_pp", __('Banners','pn'), __('Banners','pn'), 'administrator', "pn_pbanners", "pn_admin_themp");	
	add_submenu_page("pn_pp", __('Settings','pn'), __('Settings','pn'), 'administrator', "pn_psettings", "pn_admin_themp");
	
}

?>