<?php 
session_start();
if( !defined( 'ABSPATH')){ exit(); }

/*
Основные функции,
не детализированные под плагин
*/


/*
Чистим входящие данные:
stripslashes - удаляем слэши. звучит страшно, тем не менее, они нам не нужны в БД
strip_tags - удаляем тэги, XSS не пройдет
esc_html - преобразовывем все данные в html, вот именно тут мы и "режем" страшные кавычки
trim - убираем пробелы с начала и конца

Ну и что бы было не скучно, режем "страшные слова"
*/
function pn_strip_input($txt){
			
	if(is_array($txt) or is_object($txt)){ return ''; }
	
	$txt = trim(esc_html(strip_tags(stripslashes($txt))));
	
	$pn_strip_input = array(
		'select' => 'sеlect',
		'insert' => 'insеrt',
		'union' => 'uniоn',
		'loadfile' => 'lоadfile',
		'load_file' => 'lоad_file',
		'outfile' => 'оutfile',
		'cookie' => 'cookie',
		'concat' => 'cоncat',
		'update' => 'updаte',
		'eval' => 'еval',
		'base64' => 'bаse64',
		'delete' => 'dеlete',
		'truncate' => 'truncаte',
		'replace' => 'rеplace',
		'infile' => 'infilе',
		'handler' => 'hаndler',
	);
	$pn_strip_input = apply_filters('pn_strip_input', $pn_strip_input);
	$pn_strip_input = (array)$pn_strip_input;
	
	foreach($pn_strip_input as $key => $value){
		$txt = preg_replace("/\b({$key})\b/iu", $value ,$txt);
	}
	
	return $txt;
}

/*
Чистим входящие данные:
эти данные использует только админ
*/
function pn_strip_text($txt){
	
	if(is_array($txt) or is_object($txt)){ return ''; }
	
	$txt = trim(stripslashes($txt));
	$pn_enable_tag_filter = apply_filters('pn_enable_tag_filter', 1);
	if($pn_enable_tag_filter == 1){
		$allow_tag = apply_filters('pn_allow_tag','<strong>,<em>,<a>,<del>,<ins>,<code>,<img>,<h1>,<h2>,<h3>,<h4>,<h5>,<b>,<i>,<table>,<tr>,<th>,<td>,<span>,<p>,<div>,<ul>,<li>,<ol>,<center>,<br>');
		$txt = strip_tags($txt, $allow_tag);
	}
	
	$pn_strip_text = array(
		'select' => 'sеlect',
		'insert' => 'insеrt',
		'union' => 'uniоn',
		'loadfile' => 'lоadfile',
		'load_file' => 'lоad_file',
		'outfile' => 'оutfile',
		'cookie' => 'cookie',
		'concat' => 'cоncat',
		'update' => 'updаte',
		'eval' => 'еval',
		'base64' => 'bаse64',
		'delete' => 'dеlete',
		'truncate' => 'truncаte',
		'replace' => 'rеplace',
		'infile' => 'infilе',
		'handler' => 'hаndler',
	);
	$pn_strip_text = apply_filters('pn_strip_text', $pn_strip_text);
	$pn_strip_text = (array)$pn_strip_text;
	
	foreach($pn_strip_text as $key => $value){
		$txt = preg_replace("/\b({$key})\b/iu", $value ,$txt);
	}		
	
	return $txt;
}

function pn_maxf($text, $len){
	$text = (string)$text;
	$text = trim($text);
	if(mb_strlen($text) > $len){
		return mb_substr($text,0,$len);
	}
		return $text;
}

/*
Если используется ssl, воизбежании ошибок браузера,
меняем все ссылки из БД на https://
*/
function is_ssl_url($url){
	if(is_ssl()){
		$url = str_replace('http://','https://',$url);
	}
	return pn_strip_input($url);
}

/* id сессии */
function get_session_id(){
	return md5(pn_strip_input(session_id()));
}

/* nonce */
function pn_create_nonce($key=''){
	return mb_substr(md5($key . session_id() . $key),0, 10);
}

function pn_verify_nonce( $word, $key=''){
	if(mb_substr(md5($key . session_id() . $key),0, 10) == $word){
		return 1;
	} else {
		return 0;
	}
}

/*
Получаем куку по ключу
*/
function get_mycookie($key){
	$key = pn_strip_input($key);
	
	if(isset($_COOKIE[$key])){
		return pn_strip_input($_COOKIE[$key]);
	} else {
		return false;
	}
}

/*
Записываем в куку по ключу, если время не указано, ставим на 1 год
*/
function add_mycookie($key, $arg, $time=0){
	if($time == 0){
		$time = time()+365*24*60*60;
	}	
	
	$key = pn_strip_input($key);
	$arg = pn_strip_input($arg);
	
	if(isset($_COOKIE[$key])){
		unset($_COOKIE[$key]);
	}	
	
    setcookie($key, $arg, $time, COOKIEPATH, COOKIE_DOMAIN, false);
}

/* выдаем нашу опцию */
function get_change($option='', $option2=''){
global $pn_change;

    if($option and $option2){
	    if(isset($pn_change[$option][$option2])){
	        return $pn_change[$option][$option2];
		}
    } elseif($option){
	    if(isset($pn_change[$option])){
	        return $pn_change[$option];
		}
	}
}

/* создаем опцию, если такой еще нет */
function update_change($key1='', $key2='', $value){
global $wpdb;   
	
	if(is_object($value) or is_array($value)){ return 0; }
	
	$key1 = pn_strip_input($key1);
	$key2 = pn_strip_input($key2);
	$data = $wpdb->get_row("SELECT * FROM ". $wpdb->prefix ."change WHERE meta_key = '$key1' AND meta_key2 = '$key2'");
	if(isset($data->id)){
		$data_id = $data->id;
		$wpdb->update($wpdb->prefix ."change", array('meta_value'=> $value), array('id'=>$data_id));
	} else {
		$wpdb->insert($wpdb->prefix ."change", array('meta_key'=>$key1,'meta_key2'=>$key2,'meta_value'=> $value));
	}
}

function is_text($arg){
	$arg = (string)$arg;
	$arg = trim($arg);
	$arg = preg_replace("/[^A-Za-z0-9АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧЩШЭЮЯЪЬфбвгдеёщзийклмнопрстуфхцчшщэюяъъ\n\r\-.,!?$%:;()@ ]/iu", '', $arg);

	return $arg;
}

/*
Хэш авторизации
*/
function is_lahash($hash){
	$hash = (string)$hash;
	$hash = trim($hash);
	if (preg_match("/^[a-zA-z0-9]{30}$/", $hash, $matches )) {
		$r = $hash;
	} else {
		$r = false;
	}
	return $r;
}

/* дата */
function is_my_date($date){
	$date = (string)$date;
	$date = trim($date);
	if (preg_match("/^[0-9]{1,2}[.]{1}[0-9]{1,2}[.]{1}[0-9]{4}$/", $date, $matches )) {
		$r = $date;
	} else {
		$r = '';
	}
	return $r;	
}

/*
Функция логина пользователя
*/
function is_user($username){
	$username = (string)$username;
	$username = trim($username);
	if (preg_match("/^[a-zA-z0-9]{3,30}$/", $username, $matches )) {
		$r = strtolower($username);
	} else {
		$r = false;
	}
	return $r;
}		

/* функция пароля пользователя */
function is_password($password){
	$password = pn_strip_input($password);
	if (strlen($password) > 3 and strlen($password) < 35) {
		$r = $password;
	} else {
		$r = false;
	}
	return $r;
}

/* проверка на новый адрес сайта */
function is_admin_newurl($url){
	$url = (string)$url;
	$url = trim($url);
	if (preg_match("/^[a-zA-z0-9]{3,150}$/", $url, $matches )) {
		$r = strtolower($url);
	} else {
		$r = '';
	}
	return $r;
}

/* 
Деньги со знаками
*/
function is_my_money($sum, $cz=6){
	$sum = (string)$sum;
	$sum = trim($sum);
	$sum = str_replace(',','.',$sum);	
    if ($sum) {
        $sum = round($sum,$cz);
		$sum = sprintf("%0.{$cz}F",$sum);
		$sum = rtrim($sum,'0');
		$sum = rtrim($sum,'.');
		
		return $sum;
    } else {
        return 0;
    }
}

function get_merchant_file($file){
	$plugin_patch = str_replace('\\','/',PN_PLUGIN_DIR);
	$path = str_replace('\\','/',dirname($file));
	$path = str_replace($plugin_patch,'',$path);
	return $path;
}

/* проверка браузера */
function is_older_browser(){
	$older_browser = false;
	
	if(isset($_SERVER['HTTP_USER_AGENT'])){
		if ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6.0') ){
			$older_browser = true;
		} elseif ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.0') ){
			$older_browser = true;
		} elseif ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 8.0') ){
			$older_browser = true;
		} elseif ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 9.0') ){
			$older_browser = true;
		}
	}
				
	$older_browser = apply_filters('is_older_browser',$older_browser);
	return $older_browser;
}

/* браузер */
function get_browser_name($user_agent){
	
	$user_agent = (string)$user_agent;
	
	if (strpos($user_agent, "Firefox") !== false){
		$browser = __('Firefox','pn');
	} elseif (strpos($user_agent, "OPR") !== false){
		$browser = __('Opera','pn');
	} elseif (strpos($user_agent, "Chrome") !== false){
		$browser = __('Chrome','pn');
	} elseif (strpos($user_agent, "MSIE") !== false){
		$browser = __('Internet Explorer','pn');
	} elseif (strpos($user_agent, "Safari") !== false){
		$browser = __('Safari','pn');
	} else { 
		$browser = __('Unknown','pn'); 
	}
	
	$browser = apply_filters('get_browser_name',$browser, $user_agent);
	return $browser;
}

/* стандартный CURL-парсер */
function get_curl_parser($url){
    $uagent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)";

    $ch = curl_init();
    curl_setopt($ch,CURLOPT_URL, $url);
    curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    //curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($ch, CURLOPT_REFERER , "");
    curl_setopt($ch, CURLOPT_TIMEOUT, 25);
    curl_setopt($ch, CURLOPT_USERAGENT, $uagent);
    $arg['output']= curl_exec($ch);
    $arg['err']= curl_errno($ch);
    curl_close($ch);

    return $arg;
}

/*
Перевод из utf-8 в ANSI
*/
function get_cptgn($text){
	$text = (string)$text;
	$txt = iconv('UTF-8','CP1251',$text);
	return $txt;
}

/*
Перевод из ANSI в utf-8
*/
function get_tgncp($text){
	$text = (string)$text;
	$txt = iconv('CP1251','UTF-8',$text);
	return $txt;
}

/* выводим слово, первая буква которого большая */
function get_caps_name($name){
	$name = pn_strip_input($name);
	if($name){
		$newname = mb_strtoupper(mb_substr($name,0,1)).mb_strtolower(mb_substr($name,1,mb_strlen($name)));
		
		return $newname;
	}
		return $name;
}

/* удаляем лишние символы */
function delsimbol($arg, $zn=1){

	$iso9_table = array(
		'А' => 'A', 'Б' => 'B', 'В' => 'V', 'Г' => 'G', 'Ѓ' => 'G`',
		'Ґ' => 'G`', 'Д' => 'D', 'Е' => 'E', 'Ё' => 'YO', 'Є' => 'YE',
		'Ж' => 'ZH', 'З' => 'Z', 'Ѕ' => 'Z', 'И' => 'I', 'Й' => 'Y',
		'Ј' => 'J', 'І' => 'I', 'Ї' => 'YI', 'К' => 'K', 'Ќ' => 'K',
		'Л' => 'L', 'Љ' => 'L', 'М' => 'M', 'Н' => 'N', 'Њ' => 'N',
		'О' => 'O', 'П' => 'P', 'Р' => 'R', 'С' => 'S', 'Т' => 'T',
		'У' => 'U', 'Ў' => 'U', 'Ф' => 'F', 'Х' => 'H', 'Ц' => 'TS',
		'Ч' => 'CH', 'Џ' => 'DH', 'Ш' => 'SH', 'Щ' => 'SHH', 'Ъ' => '``',
		'Ы' => 'YI', 'Ь' => '`', 'Э' => 'E`', 'Ю' => 'YU', 'Я' => 'YA',
		'а' => 'a', 'б' => 'b', 'в' => 'v', 'г' => 'g', 'ѓ' => 'g',
		'ґ' => 'g', 'д' => 'd', 'е' => 'e', 'ё' => 'yo', 'є' => 'ye',
		'ж' => 'zh', 'з' => 'z', 'ѕ' => 'z', 'и' => 'i', 'й' => 'y',
		'ј' => 'j', 'і' => 'i', 'ї' => 'yi', 'к' => 'k', 'ќ' => 'k',
		'л' => 'l', 'љ' => 'l', 'м' => 'm', 'н' => 'n', 'њ' => 'n',
		'о' => 'o', 'п' => 'p', 'р' => 'r', 'с' => 's', 'т' => 't',
		'у' => 'u', 'ў' => 'u', 'ф' => 'f', 'х' => 'h', 'ц' => 'ts',
		'ч' => 'ch', 'џ' => 'dh', 'ш' => 'sh', 'щ' => 'shh', 'ь' => '',
		'ы' => 'yi', 'ъ' => "'", 'э' => 'e`', 'ю' => 'yu', 'я' => 'ya'
	);	

	$arg = strtr($arg, $iso9_table);
	if($zn == 1){
		$arg = preg_replace("/[^A-Za-z0-9.]/", '', $arg);
	} else {
		$arg = preg_replace("/[^A-Za-z0-9]/", '', $arg);
	}
	$arg = strtolower($arg);

	return $arg;

}

/*
Заменяем данные из массива по контенту
*/
function get_replace_arrays($array, $content){
    if(is_array($array)){
        foreach($array as $key => $value){
		    $content = str_replace($key, $value, $content);
	    }
	}
	return $content;
}

/* конвертеры времени */
function get_mydate($date, $format='d.m.Y'){
	$date = pn_strip_input($date);
	if($date and $date != '0000-00-00'){
		$time = strtotime($date);
		return date($format, $time);
	}
}

function get_mytime($date, $format='d.m.Y H:i'){
	$date = pn_strip_input($date);
	if($date and $date != '0000-00-00 00:00:00'){
		$time = strtotime($date);
		return date($format, $time);
	}
}
/* end конвертеры времени */

/* запросы и существование */ 
function is_isset($where, $look){
	if(is_array($where)){
		if(isset($where[$look])){
			return $where[$look];
		}
	} elseif(is_object($where)) {
		if(isset($where->$look)){
			return $where->$look;
		} 
	}
		return '';
}

function is_param_get($arg){
	if(isset($_GET[$arg])){
		return $_GET[$arg];
	} else {
		return false;
	}
}

function is_param_post($arg){
	if(isset($_POST[$arg])){
		return $_POST[$arg];
	} else {
		return false;
	}
}

function is_param_req($arg){
	return isset( $_REQUEST[$arg] ) ? trim( $_REQUEST[$arg] ) : null;
}

function get_admin_action(){
	$action = false;

	if ( isset( $_REQUEST['action'] ) && -1 != $_REQUEST['action'] ){
		$action = $_REQUEST['action'];
	}
	if ( isset( $_REQUEST['action2'] ) && -1 != $_REQUEST['action2'] ){
		$action = $_REQUEST['action2'];
	}	
	return $action;
}
	
function only_post(){
	if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
		header('Allow: POST');
		header('HTTP/1.1 405 Method Not Allowed');
		header('Content-Type: text/plain');
		exit;
	}		
}

/* end запросы и существование */

/* действия для админа */
function link_tosaved($action=''){
	if(!$action){
		$action = pn_strip_input(is_param_get('page'));
	}
		
	$link = PN_PLUGIN_URL .'post/tosaved.php?notcsrf='. pn_create_nonce( 'pnbx' );
	if($action){
		$link .= '&myaction='.$action;	
	}
		
	return $link;
}
	
function the_link_tosaved($action=''){
	echo link_tosaved($action);
}

function link_toajax($action=''){
	if(!$action){
		$action = pn_strip_input(is_param_get('page'));
	}
		
	$link = PN_PLUGIN_URL .'post/toajax.php?notcsrf='. pn_create_nonce( 'pnbx' );
	if($action){
		$link .= '&myaction='.$action;	
	}
		
	return $link;
}
	
function the_link_toajax($action=''){
	echo link_toajax($action);
}
/* end действия для админа */

/* действия для пользователя */
function get_ajax_link($action){
global $or_site_url;
	
	return $or_site_url .'/ajax-'. $action .'.html?notcsrf='. pn_create_nonce( 'pnbx_site' );
	
}

function get_merchant_link($action){
global $or_site_url;
	
	return $or_site_url .'/merchant-'. pn_strip_input($action) .'.html';

}
/* end действия для пользователя */

/* excerpt для новостей */
function get_pn_excerpt($item, $count){
	
	$excerpt = pn_strip_text($item->post_excerpt);
	if($excerpt){
		return $excerpt;
	} else {
		return wp_trim_words(pn_strip_text($item->post_content),$count);
	}
	
}
/* end excerpt для новостей */

/* выводим страницу из БД */
function get_pn_page($attr){
global $the_pages;
    if(!$the_pages){
        $the_pages = get_option('the_pages');
	}
	
	if(isset($the_pages[$attr])){
		return get_permalink($the_pages[$attr]);
	} else {
		return '#';
	}
}

/* узнаём страницу нашего плагина */
function get_userpage_pn($page_id){
	if(is_page($page_id)){
	    return 'act';
	} else {
	    return false;
	}
}

/* универсальная дата копирайта */
function get_copy_date($year){
	$time = current_time('timestamp');
	$y = date('Y', $time);
	if($year != $y){
		return $year.'-'.$y;
	} else {
		return $y;
	}
}
/* end универсальная дата копирайта */

/* склонение */
function get_sklon($num, $text1, $text2, $text3){

	$num = abs($num);
	$nums = $num % 100;
		 
	if (($nums > 4) && ($nums < 21)) {
		return str_replace('%',$num,$text3);
	}
		
	$nums = $num % 10;
	if (($nums == 0) || ($nums > 4)) {
		return str_replace('%',$num,$text3);
	}	
		
	if ($nums == 1) {
		return str_replace('%',$num,$text1);
	}
		 
	return str_replace('%',$num,$text2);	
}
/* end склонение */

/* удаление папки */
function full_del_dir($directory){
	if(is_dir($directory)){
		$dir = @opendir($directory);
		while(($file = @readdir($dir))){
			if ( is_file($directory."/".$file)){
				@unlink($directory."/".$file);
			} else if ( is_dir ($directory."/".$file) && ($file != ".") && ($file != "..")){
				full_del_dir($directory."/".$file);  
			}
		}
		@closedir ($dir);
		@rmdir ($directory);
	}
}
/* end удаление папки */

function get_month_title($arg){
    $arg = intval($arg);

	$month = array('',
		__('Jan.','pn'),
		__('Feb.','pn'),
		__('Mar.','pn'),
		__('Apr.','pn'),
		__('May','pn'),
		__('June','pn'),
		__('July','pn'),
		__('Aug.','pn'),
		__('Sep.','pn'),
		__('Oct.','pn'),
		__('Nov.','pn'),
		__('Dec.','pn')
	);
	
	return $month[$arg];
}

/* вывод ошибки */
function the_warning($text, $vid='error'){
	
	if($vid == 'error'){
		$html = '<body><head><title>'. $text .'</title></head><body><p style="text-align: center; color: #ff0000; padding: 20px 0;">'. $text .'</p></body></html>';
	} else {
		$html = '<body><head><title>'. $text .'</title></head><body><p style="text-align: center; color: green; padding: 20px 0;">'. $text .'</p></body></html>';
	}
	
	$html = apply_filters('the_warning', $html, $text, $vid);
	
	echo $html;
	
	exit;
}
/* end вывод ошибки */

/*
Авто подгрузка
*/
function pn_auto_include($folder,$filename=''){
	$foldervn = PN_PLUGIN_DIR . $folder."/";   
    if(is_dir($foldervn)){
	    $dir = @opendir($foldervn);
		$abc_files = array();
	    while(($file = @readdir($dir))){
			
			$abc_files[] = $file;
			
	    }
		
		asort($abc_files);
		foreach($abc_files as $file){
			
			if($filename){
				if ( substr($file, -4) != '.php' and substr($file, 0, 1) != '.'){
					pn_template($folder. '/'. $file .'/'. $filename);
				}
			} else {
				if ( substr($file, -4) == '.php' ){
					include($foldervn. '/'. $file);
				}
			}			
			
		}
		
	}
}

/*
Удаление левых файлов
*/
function delete_eval_files($path=''){
	
	$pn_delete_eval_files = apply_filters('pn_delete_eval_files', 1);
	if($pn_delete_eval_files == 1){	
	
		if(!$path){
			$my_dir = wp_upload_dir();
			$path = $my_dir['basedir'].'/';
		}   
		if(is_dir($path)){
			$dir = @opendir($path);
			while(($file = @readdir($dir))){
				if (is_file($path.$file)){
					
					$ext = strtolower(strrchr($file,"."));
					$true = array('.gif','.jpg','.jpeg','.png','.csv','.htaccess','.txt','.xml');	
					if(!in_array($ext, $true) or strstr($file,'.php')){
						@unlink($path.$file);			
					}
				} elseif(is_dir($path.$file)){
					if ( substr($file, 0, 1) != '.'){
						delete_eval_files($path.$file.'/');
					}
				}
			}
		}
	
	}
}
