<?php

/* == IonCube file details ==
$ioncube_file_info = array (
  'FILE_EXPIRY' => 0,
  'DEMO' => false,
  'ENCODING_TIME' => 1451472823,
);
*/

function exb_is_my_rez($sum)
{
	$cou = intval(get_change("exchange", "courez"));

	if ($cou < 1) {
		$cou = 2;
	}

	if (6 < $cou) {
		$cou = 6;
	}

	return exb_is_my_moneyno($sum, $cou);
}

function exb_is_my_moneyno($arg, $cz = 6)
{
	$arg = (string) $arg;
	$arg = str_replace(",", ".", $arg);

	if (is_numeric($arg)) {
		$arg = explode(".", $arg);

		if (isset($arg[1])) {
			return pn_strip_input($arg[0] . "." . mb_substr($arg[1], 0, $cz));
		}

		return pn_strip_input($arg[0]);
	}

	return 0;
}

function get_user_discount($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sk = 0;
	$ui = get_userdata($user_id);

	if (isset($ui->user_discount)) {
		$user_discount = is_my_money($ui->user_discount, 2);

		if (0 < $user_discount) {
			$sk = $user_discount;
		}
		else {
			$sm = is_my_money(get_user_sum_exchanges($user_id), 6);
			$data = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "user_discounts WHERE ('$sm' -0.0) >= sumec ORDER BY (sumec -0.0) DESC");

			if (isset($data->discount)) {
				$sk = is_my_money($data->discount, 2);
			}
		}
	}

	$sk = apply_filters("user_discount", $sk, $user_id);
	$sk = apply_filters("get_user_skidka_obmen", $sk, $user_id);
	return $sk;
}

function get_user_pers_refobmen($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sk = 0;
	$ui = get_userdata($user_id);

	if (isset($ui->partner_pers)) {
		$partner_pers = is_my_money($ui->partner_pers, 2);

		if (0 < $partner_pers) {
			$sk = $partner_pers;
		}
		else {
			$sm = is_my_money(get_user_sum_refobmen($user_id), 6);
			$data = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "partner_pers WHERE ('$sm' -0.0) >= sumec ORDER BY (sumec -0.0) DESC");

			if (isset($data->pers)) {
				$sk = is_my_money($data->pers, 2);
			}
		}
	}

	$sk = apply_filters("user_pers_refobmen", $sk, $user_id);
	return $sk;
}

function get_partner_plinks($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$count_real = $wpdb->query("SELECT id FROM " . $wpdb->prefix . "plinks WHERE user_id='$user_id'");
	$count_arch = $wpdb->get_var("SELECT SUM(meta_value) FROM " . $wpdb->prefix . "archive_data WHERE meta_key='plinks' AND item_id='$user_id'");
	$count = $count_arch + $count_real;
	$count = apply_filters("partner_plinks", $count);
	return $count;
}

function convert_sum($summ, $type, $totype)
{
	global $wpdb;
	$type = pn_strip_input($type);
	$totype = pn_strip_input($totype);

	if (0 < $summ) {
		if ($type == $totype) {
			return $summ;
		}

		if ($type == cur_type()) {
			$data = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "vtypes WHERE xname='$totype'");

			if (isset($data->id)) {
				$curs = is_my_money($data->vncurs);

				if (0 < $curs) {
					return is_my_money($summ * $curs);
				}
			}

			return 0;
		}

		$data = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "vtypes WHERE xname='$type'");

		if (isset($data->id)) {
			$curs = is_my_money($data->vncurs);

			if (0 < $curs) {
				$sum_to = is_my_money($summ / $curs);
				return convert_sum($sum_to, cur_type(), $totype);
			}
		}

		return 0;
	}

	return 0;
}

function get_rezerv_valuts($valut_data, $cn = 5)
{
	return is_my_money($valut_data->valut_reserv, $cn);
}

function get_user_sum_exchanges($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(exsum) FROM " . $wpdb->prefix . "bids WHERE user_id='$user_id' AND status='success'");
	$sum = $sum + $sum1;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("user_sum_exchanges", $d_sum, $sum, $user_id);
	return $d_sum;
}

function get_user_count_exchanges($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$summ = 0;
	$sum1 = $wpdb->query("SELECT id FROM " . $wpdb->prefix . "bids WHERE user_id='$user_id' AND status='success'");
	$summ = $summ + $sum1;
	$summ = apply_filters("user_count_exchanges", $summ, $user_id);
	return $summ;
}

function get_partner_earn_all($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(ref_sum) FROM " . $wpdb->prefix . "bids WHERE pcalc='1' AND status='success' AND ref_id='$user_id'");
	$sum = $sum + $sum1;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("partner_zar_all", $d_sum, $sum, $user_id);
	return $d_sum;
}

function get_partner_payout($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(bsumm) FROM " . $wpdb->prefix . "payoutuser WHERE userid='$user_id' AND bstatus='1'");
	$sum = $sum + $sum1;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("partner_payout", $d_sum, $sum, $user_id);
	return $d_sum;
}

function get_user_count_refobmen($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$count = $wpdb->query("SELECT id FROM " . $wpdb->prefix . "bids WHERE pcalc='1' AND status='success' AND ref_id='$user_id'");
	$count = apply_filters("user_count_refobmen", $count);
	return $count;
}

function get_user_sum_refobmen($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(exsum) FROM " . $wpdb->prefix . "bids WHERE pcalc='1' AND status='success' AND ref_id='$user_id'");
	$sum = $sum + $sum1;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("user_sum_refobmen", $d_sum, $sum, $user_id);
	return $d_sum;
}

function get_partner_money($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(ref_sum) FROM " . $wpdb->prefix . "bids WHERE pcalc='1' AND status='success' AND ref_id='$user_id'");
	$sum2 = $wpdb->get_var("SELECT SUM(bsumm) FROM " . $wpdb->prefix . "payoutuser WHERE userid='$user_id' AND bstatus='1'");
	$sum = ($sum + $sum1) - $sum2;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("partner_money", $d_sum, $sum, $user_id);
	return $d_sum;
}

function get_partner_money_now($user_id)
{
	global $wpdb;
	$user_id = intval($user_id);
	$sum = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(ref_sum) FROM " . $wpdb->prefix . "bids WHERE pcalc='1' AND status='success' AND ref_id='$user_id'");
	$sum2 = $wpdb->get_var("SELECT SUM(bsumm) FROM " . $wpdb->prefix . "payoutuser WHERE userid='$user_id' AND bstatus IN('0','1')");
	$sum = ($sum + $sum1) - $sum2;
	$d_sum = is_my_money($sum, 2);
	$d_sum = apply_filters("partner_money_now", $d_sum, $sum, $user_id);
	return $d_sum;
}

function update_valut_reserv($valut_id)
{
	global $wpdb;
	$valut_id = intval($valut_id);
	$summ = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(vsumm) FROM " . $wpdb->prefix . "transactionrezerv WHERE valsid='$valut_id'");
	$sum2 = $wpdb->get_var("SELECT SUM(summ1) FROM " . $wpdb->prefix . "bids WHERE valut1i='$valut_id' AND status IN('payed','realpay','success','verify')");
	$sum4 = $wpdb->get_var("SELECT SUM(summ2) FROM " . $wpdb->prefix . "bids WHERE valut2i='$valut_id' AND status NOT IN ('auto','error','returned','delete')");
	$sum3 = 0;

	if (get_change("partners", "reserv") == 1) {
		$sum3 = $wpdb->get_var("SELECT SUM(bsumm) FROM " . $wpdb->prefix . "payoutuser WHERE valsid='$valut_id' AND bstatus='1'");
	}

	$summ = is_my_money(($summ + $sum1 + $sum2) - $sum3 - $sum4);
	$wpdb->update($wpdb->prefix . "valuts", array("valut_reserv" => $summ), array("id" => $valut_id));
	do_action("update_valut_reserv", $valut_id);
}

function get_valut_in($valut_id, $zn = 2)
{
	global $wpdb;
	$valut_id = intval($valut_id);
	$summ = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(summ1) FROM " . $wpdb->prefix . "bids WHERE valut1i='$valut_id' AND status IN('payed','realpay','verify','success')");
	$summ = is_my_money($summ + $sum1, $zn);
	return $summ;
}

function get_valut_out($valut_id, $zn = 2)
{
	global $wpdb;
	$valut_id = intval($valut_id);
	$summ = 0;
	$sum1 = $wpdb->get_var("SELECT SUM(summ2) FROM " . $wpdb->prefix . "bids WHERE valut2i='$valut_id' AND status NOT IN ('auto','delete','returned')");
	$summ = is_my_money($summ + $sum1, $zn);
	return $summ;
}

function convert_mycurs($summ, $curs, $share)
{
	global $wpdb;
	$curs = is_my_money($curs);

	if (0 < $curs) {
		if ($share == 0) {
			$sum_to = is_my_money($summ / $curs);
			return $sum_to;
		}

		$sum_to = is_my_money($summ * $curs);
		return $sum_to;
	}

	return 0;
}

if (!defined("ABSPATH")) {
	exit();
}

?>
