jQuery(function($){
	
	function getCaret(el) { 
		if (el.selectionStart) { 
			return el.selectionStart; 
		} else if (document.selection) { 
			el.focus(); 
	 
			var r = document.selection.createRange(); 
			if (r == null) { 
				return 0; 
			} 
	 
			var re = el.createTextRange(), 
				rc = re.duplicate(); 
			re.moveToBookmark(r.getBookmark()); 
			rc.setEndPoint('EndToStart', re); 
	 
			return rc.text.length; 
		}  
		return 0; 
	}
	
	function setSelectionRange(input, selectionStart, selectionEnd) {
		if (input.setSelectionRange) {
			input.focus();
			input.setSelectionRange(selectionStart, selectionEnd);
		}
		else if (input.createTextRange) {
			var range = input.createTextRange();
			range.collapse(true);
			range.moveEnd('character', selectionEnd);
			range.moveStart('character', selectionStart);
			range.select();
		}
	}	
		
	$('.prem_tagtext span').live('click', function(){
	    var thet = $(this).parents('.premium_wrap_standart').find('textarea');
		var shortcode = $(this).find('.prem_span_hide').html();

		var sectionid = parseInt(getCaret(thet.get(0)));
		thet.val(thet.val().substr(0, sectionid) + shortcode + thet.val().substr(sectionid, thet.val().length));
		setSelectionRange(thet.get(0),sectionid + shortcode.length, sectionid + shortcode.length);
		
		return false;
	});	
	
    $('.premium_helptitle span').live('click', function(){
	    $(this).parents('.premium_wrap_help').toggleClass('act');
	    return false;
	});		
	
	$('.tab_multi_title').live('click', function(){
		var id = $(this).attr('name');
		var par = $(this).parents('.multi_wrapper');
		
		par.find('.tab_multi_title').removeClass('act');
		$(this).addClass('act');
		
		par.find('.premium_wrap_multi').removeClass('act');
		$('#'+id).addClass('act');
		
		return false;
	});
	
    $('.rdtime').datetimepicker({ 
		maxDate: "+1Y",
		changeYear: true,
		dateFormat: 'dd.mm.yy',
		timeFormat: 'hh:mm',
		separator: ' '
    });
	
    $('.rdatepick').datepicker({ 
		maxDate: "+1Y",
		dateFormat: 'dd.mm.yy',
		changeYear: true
    });

	$('.premium_content .wp-list-table input').on('keydown', function( e ){
		
		if(e.which == 13){
			$(this).parents('form').find('input[name=save]').click();
			return false;
		}
		
	});		
	
});