<?php 
class exbloginwidget_Widget extends WP_Widget {
	
	public function __construct($id_base = false, $widget_options = array(), $control_options = array()){
		parent::__construct('exbloginwidget', __('Authorization/Menu','pn'), array( 'description' => __('Depending on the type of user login screen is displayed, or the user links','pn') ), $control_options = array());
	}
	
	public function widget($args, $instance){
		extract($args);

		global $wpdb;	
		
		$wp_current_user = wp_get_current_user();
		$user_id = intval($wp_current_user->ID);
		
		if($user_id){
			$title = pn_strip_input(is_isset($instance,'titlem')); 
			if(!$title){ $title = __('Menu','pn'); }
		} else {
			$title = pn_strip_input(is_isset($instance,'title'));
			if(!$title){ $title = __('Authorization','pn'); }			
		}
	
		$site_url = get_option('siteurl');

		$temp = '';
		
	    if($user_id){ 
		
			$temp = '
			<div class="user_widget">
				<div class="user_widgetvn">
				<div class="userwidget_title"><div class="userwidget_titlevn">'. $title .'</div></div>';

					$array = array(
					'[user_skidka]' => get_user_discount($user_id),
					'[account]' => get_pn_page('account'),
					'[usersobmen]'=> get_pn_page('usersobmen'),
					'[logout]' => get_ajax_link('logout'),
					'[xml]' => $site_url .'/exportxml.xml',
					'[txt]' => $site_url .'/exporttxt.txt',		
					);
					 
					$parray = array(
					'[partnerstats]' => get_pn_page('partnerstats'),
					'[payouts]' => get_pn_page('payouts'),
					'[banners]'=> get_pn_page('banners'),
					'[partnersFAQ]' => get_pn_page('partnersFAQ'),
					);		
			
					if(get_change('partners','status') == 1){
						$widget = apply_filters('exb_puser_widget', '');
						$widget = exb_replace_arrays($array, $widget);
						$widget = exb_replace_arrays($parray, $widget);
					} else {
						$widget = apply_filters('exb_user_widget', '');
						$widget = exb_replace_arrays($array, $widget);		
					}		

					$temp .= $widget;
			$temp .= '
				</div>
			</div>
			';	
		
		} else { 
		
			$regilink = get_pn_page('register');
			$lostpasslink = get_pn_page('lostpass');
		
			$temp = '
			<div class="login_widget">
				<div class="login_widgetvn">
				<div class="loginwidget_title"><div class="loginwidget_titlevn">'. $title .'</div></div>
					<form method="post" class="exbajaxpostform" action="'. get_ajax_link('loginform') .'">';
		
					$array = array(
						'[result]' => '<div class="resultgo"></div>',
						'[loginput_placeholder]' => '<input type="text" name="login" placeholder="'. __('Username', 'pn') .'" value="" />',
						'[passinput_placeholder]'=> '<input type="password" name="pass" placeholder="'. __('Password', 'pn') .'" value="" />',
						'[loginput]' => '<input type="text" name="login" value="" />',
						'[passinput]'=> '<input type="password" name="pass" value="" />',
						'[captcha]' => apply_filters('widget_login_form_line',''),
						'[reglink]' => $regilink,
						'[lostlink]' => $lostpasslink,
						'[submit]' => '<input type="submit" formtarget="_top" name="" value="'. __('Log in', 'pn') .'" />',
					);		
		
					$widget = apply_filters('exb_login_widget', '');
					$widget = get_replace_arrays($array, $widget);		

					$temp .= $widget;
				$temp .= '
					</form>
				</div>
			</div>
			';		
		
		} 
		
		echo $temp;
    }

	public function form($instance){
	?>
	<p>
		<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title authorization','pn'); ?>: </label><br />
		<input type="text" name="<?php echo $this->get_field_name('title'); ?>" class="widefat" id="<?php $this->get_field_id('title'); ?>" value="<?php echo is_isset($instance,'title'); ?>">
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('titlem'); ?>"><?php _e('Title menu','pn'); ?>: </label><br />
		<input type="text" name="<?php echo $this->get_field_name('titlem'); ?>" class="widefat" id="<?php $this->get_field_id('titlem'); ?>" value="<?php echo is_isset($instance,'titlem'); ?>">
	</p>
	<?php
	}
	
}

register_widget('exbloginwidget_Widget');

?>