<?php
class exbotzivs_Widget extends WP_Widget {
	
	public function __construct($id_base = false, $widget_options = array(), $control_options = array()){
		parent::__construct('exbotzivs_info', __('Reviews','pn'), $widget_options = array(), $control_options = array());
	}
	
	public function widget($args, $instance){
		extract($args);

    		$title = pn_strip_input(is_isset($instance,'title'));
			if(!$title){ $title = __('Reviews','pn'); }	
			
			$count = intval(is_isset($instance,'count'));
			if($count < 1){ $count=5; }

			$review_url = get_pn_page('reviews');	
			global $wpdb;
	
			$pars = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."exbotziv WHERE otstatus='publish' ORDER BY otdate DESC limit $count");	
			$countpost = $wpdb->query("SELECT id FROM ".$wpdb->prefix."exbotziv WHERE otstatus='publish'");	
			$hidepost = $countpost-$count; if($hidepost < 1){ $hidepost = 0; }	
	
			$news = '';
			$r=0;
			foreach($pars as $sh){ $r++;
				$fclass = '';
				if($r == 1){ $fclass='first'; }
				$lclass = '';
				if($r == $count){ $lclass='last'; }
				if($r%2 == 0){
					$oddeven = 'even';
				} else {
					$oddeven = 'odd';
				}
		
				$tnews = apply_filters('exb_otziv_widget_one', '', $sh, $r);
				$tnews = trim($tnews);
				if(!$tnews){
					$site = esc_url($sh->user_site);
					$site1 = $site2 = '';
					if($site){
						$site1 = '<a href="'. $site .'" rel="nofollow" target="_blank">';
						$site2 = '</a>';
					}		
					
					$reviews_date_format = apply_filters('reviews_date_format','d.m.Y, H:i');
					
					$tnews = '
						<div class="wotzivline '. $fclass .' '. $lclass .' '. $oddeven .'">
							<div class="wotzdateline"><span class="wotzivdate">'. get_mytime($sh->otdate, $reviews_date_format) .'</span> '. $site1 . pn_strip_input($sh->user_name) . $site2 .'</div>
							<div class="wotzivtext">'. wp_trim_words(pn_strip_input($sh->commenttext), 10) .'</div>
						</div>	
					';		
				}
				$news .= $tnews;
			} 	
	
		$array = array(
		'[countpost]' => $countpost,
		'[hidepost]' => $hidepost,
		'[count]' => $count,
		'[title]' => $title,
		'[url]' => $review_url,
		'[otzivs]' => $news,
		);	
		$widget = '<div class="widget exb_otziv_widget"><div class="widgettitle">[title]</div>
		[otzivs]
			<div class="wallotziv"><a href="[url]">'. __('All reviews','pn') .'</a> ([countpost]) &rarr;</div>
		</div>
		';	
		$widget = apply_filters('exb_otziv_widget_block', $widget);
		$widget = get_replace_arrays($array, $widget);
		echo $widget;	

	}

	public function form($instance){
	?>
	<p>
	<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title'); ?>: </label><br />
	<input type="text" name="<?php echo $this->get_field_name('title'); ?>" class="widefat" id="<?php $this->get_field_id('title'); ?>" value="<?php echo is_isset($instance,'title'); ?>">
	</p>
	<p>
	<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Count','pn'); ?>: </label><br />
	<input type="text" name="<?php echo $this->get_field_name('count'); ?>" class="widefat" id="<?php $this->get_field_id('count'); ?>" value="<?php echo is_isset($instance,'count'); ?>">
	</p>
	<?php
	}
	
}

register_widget('exbotzivs_Widget');

?>